<?php

// QT-registerations 2.2 build:20090710

class cSection
{

// -- Properties --

var $domid=0;              // Domain id
var $domname='';           // Domain name
var $id=-1;                // Section id
var $idtitle='untitled';   // Section idtitle
var $name='untitled';      // Section name (translation)
var $descr='';             // Section descr (translation)
var $type=0;               // Type:   0=visible, 1=hidden, 2=hidden by user
var $status=0;             // Status: 0=actif,   1=closed
var $notify=1;             // Notify: 0=disable, 1=enabled
var $modid=0;              // Moderator id
var $modname='Admin';      // Moderaotr name
var $numfield='%03s';      // Format of the ref number: 'N' means no ref number
var $titlefield=1;         // Topic title: 0=None, 1=Optional, 2=Mandatory
var $eventdate=0;          // Topic eventdate: 0=None, 1=Optional, 2=Mandatory, 3=Date+time (optional), 4=Date+time (mandatory)
var $wisheddate=0;         // Topic wisheddate: 0=None, 1=Optional, 2=Mandatory
var $notifycc=0;           // Topic alternate notify: 0=None, 1=Optional, 2=Mandatory
var $prefix='a';           // Prefix icon from the serie 'a'
var $stats='';             // Several stats
var $options='';           // Several options
// computed values
var $lastpostid=-1;
var $lastposttopic=-1;
var $lastpostdate='0';
var $lastpostuser=0;
var $lastpostname='Visitor';
// stats
var $tabs=3;      // Total tabs (including the 3 basic)
var $topics=0;    // Total topics (including news)
var $replies=0;   // Total replies (type R,F or  D)
var $tags=0;      // >0 means tags exists (may be several time the same!)
var $topicsZ=0;   // Total topics closed (including news)
var $repliesZ=0;  // Total replies in topics closed (type R,F or  D)
// options
var $d_order='';  // Ticket default sort order
var $d_last='replies'; // Last column in the topic list: '0' means no last column
var $d_logo='';   // Ovewrite icon with an image-logo named s_x.gif/.jpeg/.jpg/.png (where x is the section id)

// -- Constructor method (accept an id or an array as parameter) --

function cSection($aSection=null,$bLast=false)
{
  if ( isset($aSection) )
  {
    if ( is_int($aSection) )
    {
      if ( $aSection<0 ) die('No section '.$aSection);      
      global $oDB;      
      $oDB->Query( 'SELECT * FROM '.TABSECTION.' WHERE id='.$aSection );
      $row = $oDB->Getrow();
      if ( $row===False ) die('No section '.$aSection);
      $this->MakeFromArray($row);
    }
    elseif ( is_array($aSection) )
    {
      $this->MakeFromArray($aSection);
    }
    else
    {
      die('Invalid constructor parameter #1 for the class cSection');
    }
  }

  // Read options
  
  $this->ReadOptions();
  
  // Read stats
  
  $arr = ReadValues($this->stats);
  if ( isset($arr['topics']) ) $this->topics = intval($arr['topics']);
  if ( isset($arr['replies']) ) $this->replies = intval($arr['replies']);
  if ( isset($arr['tabs']) ) $this->tabs = intval($arr['tabs']);
  if ( isset($arr['tags']) ) $this->tags = intval($arr['tags']);
  if ( isset($arr['topicsZ']) ) $this->topicsZ = intval($arr['topicsZ']);
  if ( isset($arr['repliesZ']) ) $this->repliesZ = intval($arr['repliesZ']);
  
  // Find last post
  
  if ( $bLast ) $this->GetSectionLastPost();
  
  // Default sort order
  
  if ( $this->d_last=='no' ) $this->d_last = '0';
  if ( empty($this->d_order) ) $this->d_order='lastpostdate';

}

// --------

function MakeFromArray($arr)
{
  foreach($arr as $strKey=>$oValue) {
  switch ($strKey) {
    case 'domainid':     $this->domid     = intval($oValue); break;
    case 'id':           $this->id        = intval($oValue); break;
    case 'title':        $this->idtitle   = $oValue; break;
    case 'type':         $this->type      = intval($oValue); break;
    case 'status':       $this->status    = intval($oValue); break;
    case 'stats':        $this->stats     = $oValue; break;
    case 'options':      $this->options   = $oValue; break;
    case 'notify':       $this->notify    = intval($oValue); break;
    case 'moderator':    $this->modid     = intval($oValue); break;
    case 'moderatorname':$this->modname   = $oValue; break;
    case 'numfield':     $this->numfield  = $oValue; break;
    case 'titlefield':   $this->titlefield= intval($oValue); break;
    case 'eventdate':    $this->eventdate = intval($oValue); break;
    case 'wisheddate':   $this->wisheddate= intval($oValue); break;
    case 'alternate':    $this->notifycc  = intval($oValue); break;
    case 'prefix':       $this->prefix    = $oValue; break;
  }}
  $this->name = ObjTrans('sec','s'.$this->id,$this->idtitle);
  $this->descr = ObjTrans('secdesc','s'.$this->id,false);
  $this->domname= ObjTrans('domain','d'.$this->domid,'(domain '.$this->domid.')');
}

// --- [i] ---

function Add($intDom=0,$str='untitled')
{  
  DieArg( 'cSection->Add',array($intDom,$str),array('int','str') );
  if ( empty($str) ) die('cSection->Add: Argument #1 must be a string');

  // Inserts a new section

  global $oDB, $oSYS;
  $id = Nextid(TABSECTION);
  $oDB->Query( 'INSERT INTO '.TABSECTION.' (domainid,id,type,status,notify,titleorder,moderator,titlefield,eventdate,wisheddate,alternate,title,stats,options,moderatorname,numfield,prefix) VALUES ('.$intDom.','.$id.',0,0,1,0,0,1,0,0,0,"'.addslashes($str).'","","coord=0;order=0;last=0;logo=0","Admin","%03s","a")' );

  // Linked tables

  $oDB->Query( 'INSERT INTO '.TABTAB.' (section,tabid,taborder,tabselect,tabframe,tabfields) VALUES ('.$id.',"ticket",0,"1","",0)' );
  $oDB->Query( 'INSERT INTO '.TABTAB.' (section,tabid,taborder,tabselect,tabframe,tabfields) VALUES ('.$id.',"messages",253,"1","",0)' );
  $oDB->Query( 'INSERT INTO '.TABTAB.' (section,tabid,taborder,tabselect,tabframe,tabfields) VALUES ('.$id.',"documents",254,"1","",0)' );
  
  // System

  if ( isset($_SESSION[QT]['sys_sections']) ) Unset($_SESSION[QT]['sys_sections']);
  $oSYS->Changed();
}

// ----------

function Delete()
{  
  if ( $this->id<1 ) die('cSection->Delete: Argument #1 must be an integer'); // section 0 cannot be deleted

  // Process
  
  global $oDB, $oSYS;
  $this->DeleteTopics();
  $oDB->Query('DELETE FROM '.TABSECTION.' WHERE id='.$this->id);
  $oDB->Query('DELETE FROM '.TABTAB.' WHERE section='.$this->id);
  cLang::Delete(array('sec','secdesc'),'s'.$this->id);

  // System

  if ( isset($_SESSION[QT]['sys_topics']) ) Unset($_SESSION[QT]['sys_topics']);
  if ( isset($_SESSION[QT]['sys_replies']) ) Unset($_SESSION[QT]['sys_replies']);
  if ( isset($_SESSION[QT]['sys_sections']) ) Unset($_SESSION[QT]['sys_sections']);
  $oSYS->Changed();
}

// --------

function GetSectionLastPost()
{  
  // Initialize
  
  $this->lastpostid = null;
  $this->lastposttopic = null;
  $this->lastpostdate = null;
  $this->lastpostuser = null;
  $this->lastpostname = null;
  
  // Check
  
  if ( $this->id<0 ) return null;
  if ( $this->topics==0 ) return null;

  // Query - attention: this subquery requires mysql 4.1 (use here two queries)
  
  global $oDB;
  
  $oDB->Query( 'SELECT MAX(id) as maxid FROM '.TABPOST.' WHERE section='.$this->id );
  $row = $oDB->Getrow();
  $intId = intval($row['maxid']);
  if ( $intId>0 ) 
  {
    $oDB->Query( 'SELECT id,topic,issuedate,userid,username FROM '.TABPOST.' WHERE id='.$intId );
    if ( $row=$oDB->Getrow() )
    {
    $this->lastpostid = intval($row['id']);
    $this->lastposttopic = intval($row['topic']);
    $this->lastpostdate = $row['issuedate'];
    $this->lastpostuser = intval($row['userid']);
    $this->lastpostname = $row['username'];
    }
  }
}

// --------

function GetLogo()
{
  if ( !empty($this->d_logo) )
  {
  if ( file_exists('upload/section/'.$this->d_logo) ) return 'upload/section/'.$this->d_logo;
  }
  return $_SESSION[QT]['skin_dir'].'/ico_section_'.$this->type.'_'.$this->status.'.gif';
}

// --- [i] ---

function GetTagsUsed($intS=null,$intMax=50)
{
  // -1 to compute on all sections // maximum returned is $intMax distinct tags
  // Allow instanciation
  
  if ( !isset($intS) ) $intS = $this->id;

  // Check

  if ( !is_int($intS) ) die('cSection->GetTagsUsed: Argument #1 must be integer');

  // Process

  $arrTags = array();  
  global $oDB;
  $oDB->Query( 'SELECT DISTINCT tags FROM '.TABTOPIC.($intS==-1 ? '' : ' WHERE section='.$intS) ); //' WHERE section='.$intS );
  $i=0;
  while($row=$oDB->Getrow()) {
  if ( !empty($row['tags']) ) {

    $arr = explode(';',$row['tags']);
    foreach ($arr as $str)
    {
      if ( !empty($str) ) {
      if ( !in_array($str,$arrTags) ) {
        $arrTags[$str] = $str;
        $i++;
        if ( $i>$intMax ) break;      
      }}
    }    
    if ( $i>$intMax ) break;
    
  }}
  if ( count($arrTags)>2 ) asort($arrTags);
  return $arrTags;
}

// --- [i] ---

function MoveTopics($intD=0,$intRenum=1,$intTopic=-1,$bClosedOnly=false)
{
  // Check

  if ( !is_int($intD) ) die('cSection->MoveTopics: Argument #2 must be integer');
  if ( $this->id<0 ) die('cSection->MoveTopics: Wrong argument #1 (id<0)');
  if ( $intD<0 ) die('cSection->MoveTopics: Wrong argument #2 (d<1)');
  if ( $this->id==$intD ) die('cSection->MoveTopics: Wrong argument, source=destination');

  // Process

  global $oDB;
  
  $strTopic = '';
  $strPost = '';
  $strField = ''; if ( $intRenum==0 ) $strField = ', numid = 0';

  // Move only one topic
  
  if ( $intTopic>=0 )
  {
    $strTopic=" AND id=$intTopic";
    $strPost=" AND topic=$intTopic";
    if ( $intRenum==2 )
    {
    $nextnumid = Nextid(TABTOPIC,'numid','WHERE section='.$intD);
    $strField = ', numid='.intval($nextnumid);
    }
    $bClosedOnly=false;
  }
  else
  {
    if ( $intRenum==2 )
    {
    $nextnumid = Nextid(TABTOPIC,'numid','WHERE section='.$intD);
    $oDB->Query('SELECT MIN(numid) as minnumid FROM '.TABTOPIC.' WHERE section='.$this->id);
    $row = $oDB->Getrow();
    $minnumid = $row['minnumid'];
    $strField = ", numid = $nextnumid + (numid - $minnumid)";
    }
  }

  // Check if prefix system are the same. If not, remove the prefix.
  
  $strSetPrefix = '';
  if ( !empty($this->prefix) )
  {
    $oDB->Query('SELECT prefix FROM '.TABSECTION.' WHERE id='.$intD);
    $row = $oDB->Getrow();
    if ( $row['prefix']!=$this->prefix ) $strSetPrefix = ',icon="00"';
  }

  // Update topics and posts
  
  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query('SELECT id FROM '.TABTOPIC.' WHERE section='.$this->id.' AND status="Z" AND type="T"');
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey => $intSection)
    {
    $oDB->Query( 'UPDATE '.TABTOPIC.' SET section='.$intD.$strField.',modifdate="'.date('Ymd His').'" WHERE id='.$this->id );
    $oDB->Query( 'UPDATE '.TABPOST.' SET section='.$intD.$strSetPrefix.' WHERE topic='.$this->id );
    }
  }
  else
  {
    $oDB->Query( 'UPDATE '.TABTOPIC.' SET section='.$intD.$strField.',modifdate="'.date('Ymd His').'" WHERE section='.$this->id.' '.$strTopic );
    $oDB->Query( 'UPDATE '.TABPOST.' SET section='.$intD.$strSetPrefix.' WHERE section='.$this->id.' '.$strPost );
  }

  // stats
  
  UpdateSectionStats($this->id);
  UpdateSectionStats($intD);
}

// ----------

function DeleteTopics($bClosedOnly=false)
{
  // Check

  if ( $this->id<0 ) die('cSection->DeleteTopics: Wrong argument #1 (id<0)');

  // Process - delete topics and posts
  
  global $oDB;
  
  if ( $bClosedOnly )
  {
    $arr = array();
    $oDB->Query( 'SELECT id FROM '.TABTOPIC.' WHERE section='.$this->id.' AND status="Z" AND type="T"' );
    while($row=$oDB->Getrow())
    {
      $arr[] = $row['id'];
    }
    foreach($arr as $intKey=>$id)
    {
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic='.$id );
      $oDB->Query( 'DELETE FROM '.TABDATA.' WHERE id='.$id );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id='.$id );
    }
  }
  else
  {
    $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE section='.$this->id) ;
    $oDB->Query( 'DELETE FROM '.TABDATA.' WHERE id IN (SELECT id FROM '.TABTOPIC.' WHERE section='.$this->id.')' );
    $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE section='.$this->id );
  }
  UpdateSectionStats($this->id);
}

// --------

function ChangeOption($strKey='',$strValue='')
{
  DieArg( 'cSection->ChangeOption',array($strKey,$strValue) );
  if ( $strKey==='' ) die ('cSection->ChangeOption: Missing key'); // $strValue can be ''

  // Execute
  
  $arr = ReadValues($this->options);
  $arr[$strKey] = $strValue;
  $str = '';
  foreach($arr as $strKey=>$strValue) $str .= (empty($str) ? '' : ';').$strKey.'='.$strValue;
  $this->options = $str;

  global $oDB;
  $oDB->Query('UPDATE '.TABSECTION.' SET options="'.$this->options.'" WHERE id='.$this->id);

  // Refresh
  
  $this->ReadOptions();
}

// --------

function ReadOptions()
{
  $arr = ReadValues($this->options);
  if ( isset($arr['order']) ) $this->d_order = $arr['order'];
  if ( isset($arr['last']) ) $this->d_last = $arr['last'];
  if ( isset($arr['logo']) ) $this->d_logo = $arr['logo']; 
}

// --------

}

?>