<?php

// QT-registerations 2.2 build:20090710

class cSYS
{

// -- Properties --

var $sections = array(); // list of sectionstitles (translated) visible for the current user ($oVIP->role)
var $types = array();    // list of types
var $statuses = array(); // list of statuses
var $topics = 0;       // count topics
var $replies = 0;       // count messages
var $messages = 0;     // count messages
var $members = 0;      // count members
var $states = array();   // other info
var $output = 'screen'; // output (screen,print)

// -- Constructor --

function cSYS()
{
  // Construct if not yet registered

  if ( !isset($_SESSION[QT]['sys_sections']) ) { global $oVIP; $_SESSION[QT]['sys_sections'] = GetSectionTitles($oVIP->role,-1,-1,'',QTR_SHOW_DOMAIN); }
  if ( !isset($_SESSION[QT]['sys_statuses']) ) $_SESSION[QT]['sys_statuses'] = $this->GetStatuses();  
  if ( !isset($_SESSION[QT]['sys_topics']) ) $_SESSION[QT]['sys_topics'] = $this->SysCount('topics');
  if ( !isset($_SESSION[QT]['sys_replies']) ) $_SESSION[QT]['sys_replies'] = $this->SysCount('replies');
  if ( !isset($_SESSION[QT]['sys_members']) ) $_SESSION[QT]['sys_members'] = $this->SysCount('members');
  if ( !isset($_SESSION[QT]['sys_states']) ) $_SESSION[QT]['sys_states'] = $this->SysCount('states');

  // Exit

  $this->types = $this->GetTypes();
  $this->sections = $_SESSION[QT]['sys_sections'];
  $this->statuses = $_SESSION[QT]['sys_statuses'];
  $this->topics = $_SESSION[QT]['sys_topics'];
  $this->replies = $_SESSION[QT]['sys_replies'];
  $this->members = $_SESSION[QT]['sys_members'];
  $this->states = $_SESSION[QT]['sys_states'];
}

// --------

function SysCount($str='topics')
{
  if ( !is_string($str) ) die('SysCount: Invalid argument type (expect string)');
  
  // Process
  
  global $oDB;
  switch($str)
  {
  case 'topics':
    $oDB->Query('SELECT count(id) as countid FROM '.TABTOPIC);
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'replies':
    $oDB->Query('SELECT count(id) as countid FROM '.TABPOST.' WHERE type<>"P"');
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'members':
    $oDB->Query('SELECT count(id) as countid FROM '.TABUSER);
    $row = $oDB->Getrow();
    return intval($row['countid']);
    break;
  case 'states':
    $arr = array();
      $oDB->Query('SELECT max(id) as countid FROM '.TABUSER);
      $row = $oDB->Getrow();
    $arr['newuserid'] = intval($row['countid']);
      $oDB->Query('SELECT name FROM '.TABUSER.' WHERE id='.$row['countid'] );
      $row = $oDB->Getrow();
    $arr['newusername'] = $row['name'];
    return $arr;
    break;
  }
}

// --------

function GetStatuses()
{
  $arr = array();

  global $oDB;
  $oDB->Query( 'SELECT * FROM '.TABSTATUS.' ORDER BY id' );
  while($row=$oDB->Getrow())
  {
    $arr[$row['id']]['statusname'] = ucfirst(str_replace('_',' ',$row['name']));
    $arr[$row['id']]['statusdesc'] = '';
    $arr[$row['id']]['name'] = $row['name'];
    $arr[$row['id']]['icon'] = $row['icon'];
    $arr[$row['id']]['mailto'] = $row['mailto'];
    $arr[$row['id']]['color'] = $row['color'];
  }

  // find translations

  $arrL = cLang::GetNames('status',$_SESSION[QT]['lang_iso']);
  foreach($arrL as $id=>$str) { if ( !empty($str) ) $arr[$id]['statusname'] = $str; }
  $arrL = cLang::GetNames('statusdesc',$_SESSION[QT]['lang_iso']);
  foreach($arrL as $id=>$str) { if ( !empty($str) ) $arr[$id]['statusdesc'] = $str; }

  return $arr;
}

// --------

function DomainAdd($id=-1,$strTitle='untitled',$intOrder=0)
{
  DieArg( 'cSYS->DomainAdd',array($id,$strTitle,$intOrder),array('int','str','int') );

  global $oDB;

  // Option for new id

  if ( $id<0 ) $id = Nextid(TABDOMAIN);

  // Inserts a new domain

  $oDB->Query( 'INSERT INTO '.TABDOMAIN.' (id,title,titleorder) VALUES ('.$id.',"'.addslashes($strTitle).'",'.$intOrder.')' );
}

// --------

function StatusAdd($id='',$name='',$icon='',$color='',$mailto='')
{
  DieArg( 'cSYS->StatusAdd',array($id,$name,$icon,$color,$mailto),'str' );
  DieArg( 'cSYS->StatusAdd',array($id,$name),'empty' );

  // Process

  global $oDB;
  $error = '';

  $id = strtoupper(substr(trim($id),0,1));
  $name = QTconv($name,'3',QTR_CONVERT_AMP);

  // unique id and name

  $oDB->Query('SELECT count(*) AS countid FROM '.TABSTATUS.' WHERE id="'.$id.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Status id [$id] already used";
  $oDB->Query('SELECT count(*) AS countid FROM '.TABSTATUS.' WHERE name="'.addslashes($name).'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Status name [$name] already used";

  // Save

  if ( empty($error) )
  {
    $oDB->Query('INSERT INTO '.TABSTATUS.' (id,name,color,mailto,icon) VALUES ("'.$id.'","'.addslashes($name).'","'.$color.'","'.$mailto.'","'.$icon.'")');
  }
  
  // Exit
  
  if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
  return $error;
}

// --------

function StatusDelete($id='',$to='A')
{
  DieArg( 'cSYS->StatusDelete',array($id,$to) );
  DieArg( 'cSYS->StatusDelete',array($id,$to),'empty' );
  $id = strtoupper(substr(trim($id),0,1));
  $to = strtoupper(substr(trim($to),0,1));
  if ( $id=='A' || $id=='Z' ) die('cSYS->StatusDelete: Argument #1 cannot be A nor Z');
  if ( $id==$to ) die('cSYS->StatusDelete: Argument #1 equal #2');

  // Process - status id > to and delete id
  
  global $oDB;

  $oDB->Query( 'UPDATE '.TABTOPIC.' SET status="'.$to.'" WHERE status="'.$id.'"' );
  $oDB->Query( 'DELETE FROM '.TABSTATUS.' WHERE id="'.$id.'"' );
  $oDB->Query( 'DELETE FROM '.TABLANG.' WHERE (objtype="status" OR objtype="statusdesc") AND objid="'.$id.'"' );

  // Exit

  if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
}

// --------

function StatusChangeId($id='',$to='')
{
  DieArg( 'cSYS->StatusChangeId',array($id,$to) );
  DieArg( 'cSYS->StatusChangeId',array($id,$to),'empty' );
  $id = strtoupper(substr(trim($id),0,1));
  $to = strtoupper(substr(trim($to),0,1));
  if ( $id=='A' || $id=='Z' ) die('cSYS->StatusChangeId: Argument #1 cannot be A nor Z');
  if ( $to=='A' || $to=='Z' ) die('cSYS->StatusChangeId: Argument #2 cannot be A nor Z');

  // Process
  
  global $oDB;
  $error = '';

  // Unique id

  if ( array_key_exists($to,$this->statuses) ) return 'Status id ['.$to.'] already used';
  
  // Save changes

  if ( empty($error) )
  {
  $oDB->Query('UPDATE '.TABTOPIC.' SET status="'.$to.'" WHERE status="'.$id.'"');
  $oDB->Query('UPDATE '.TABSTATUS.' SET id="'.$to.'" WHERE id="'.$id.'"');
  }

  // Exit
  
  if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
  return $error;
}

// --------

function GetTypes()
{
  global $L;
  return array('T'=>array('name'=>$L['Topic'],'color'=>''),'A'=>array('name'=>$L['News'],'color'=>''));
}

// -------- [i]

function Changed()
{
  // increment and save in TAB SETTING

  if ( isset($_SESSION[QT]['sys_change']) ) {
  if ( $_SESSION[QT]['sys_change']!='-1' ) {
    global $oDB;
    $_SESSION[QT]['sys_change']=intval($_SESSION[QT]['sys_change'])+1; if ( $_SESSION[QT]['sys_change']>9 ) $_SESSION[QT]['sys_change']=0;
    $oDB->Query( 'UPDATE '.TABSETTING.' SET setting="'.$_SESSION[QT]['sys_change'].'" WHERE param="sys_change"' );
  }}
}

// --- [i] ---

function SetLang($str='en')
{
  if ( !is_string($str) ) die('cSYS->SetLang: Argument #1 must be a string');
  if ( empty($str) ) die('cSYS->SetLang: Argument #1 must be a string');

  // check that value is valid (to avoid injection)
  require_once('bin/qtr_lang.php');
  if ( array_key_exists($str,$arrLang) )
  {
    $_SESSION[QT]['lang_iso'] = $str;
    $_SESSION[QT]['language'] = 'language/'.$arrLang[$str][2];
    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
    if ( isset($_SESSION[QT]['sys_sections']) ) unset($_SESSION[QT]['sys_sections']);
    if ( isset($_SESSION[QT]['sys_statuses']) ) unset($_SESSION[QT]['sys_statuses']);
  }
  else
  {
    global $error;
    $error = 'Wrong iso code language';
  }
}

// --------

}

?>