<?php

// QT-registerations 2.2 build:20090710

class cTab
{

var $tabid = '';
var $section = -1;
var $tabselect = true;
var $tabframe = '';
var $tabfields = 0;

var $tabname = '';
var $tabdesc = '';

// --------

function cTab($id=null)
{
  if ( isset($id) )
  {
    if ( is_string($id) )
    {
      if ( empty($id) ) die('cTab->cTab(): No tabid');
      global $oDB;      
      $oDB->Query('SELECT * FROM '.TABTAB.' WHERE tabid="'.$id.'"');
      $row = $oDB->Getrow();
        if ( !is_array($row) ) $row = array('tabid'=>$id);
        if ( count($row)==0 ) $row = array('tabid'=>$id);
      $this->MakeFromArray($row);
    }
    if ( is_array($id) )
    {
      $this->MakeFromArray($id);
    }
    if ( empty($this->tabname) ) $this->tabname = ObjTrans('tab',$this->tabid,true);
    if ( empty($this->tabname) ) $this->tabdesc = QTconv(ObjTrans('tabdesc',$this->tabid,false));    
  }
}

// --------

function MakeFromArray($arr)
{
  foreach ($arr as $strKey => $oValue) {
  switch ($strKey) {
    case 'tabid':     $this->tabid     = $oValue; break;
    case 'section':   $this->section   = intval($oValue); break;
    case 'tabframe':  $this->tabframe  = $oValue; break;
    case 'tabfields': $this->tabfields = intval($oValue); break;
    case 'tabselect': $this->tabselect = ($oValue=='1' ? true : false); break;
    case 'tabname':   $this->tabname   = $oValue; break;
    case 'tabdesc':   $this->tabdesc   = $oValue; break;
  }}
}

// --------

function Add($s,$id,$taborder=1,$tabselect='1',$intFields=0)
{
  // ticket, messages and documents are required tabs (created during section creation) cannot be added from here

  // Check
  
  if ( !is_int($s) ) die('cTab->Add: Argument #1 must be a integer');
  if ( !is_string($id) || empty($id) ) die('cTab->Add: Argument #2 must be a string');
  if ( !is_int($taborder) ) die('cTab->Add: Argument #3 must be a integer');
  if ( !is_string($tabselect) ) die('cTab->Add: Argument #4 must be a string');
  if ( !is_int($intFields) ) die('cTab->Add: Argument #5 must be a integer');
  if ( $tabselect!='0' ) $tabselect='1';

  // Process
  
  global $oDB;
  $error = '';

  $id = QTconv($id,'K');
  if ( in_array($id,array('ticket','messages','documents')) ) $error = "Tab id [$id] already used";

  // Unique name in this section

  if ( empty($error) )
  {
  $oDB->Query('SELECT count(*) AS countid FROM '.TABTAB.' WHERE section='.$s.' AND tabid="'.$id.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Tab id [$id] already used";
  }

  // Save new tab in this section and register lang

  if ( empty($error) )
  {
    $oDB->Query('INSERT INTO '.TABTAB.' (section,tabid,taborder,tabselect,tabfields,tabframe) VALUES ('.$s.',"'.$id.'",'.$taborder.',"'.$tabselect.'",'.$intFields.',"")');
    $_SESSION['L']['tab'] = cLang::GetNames('tab',$_SESSION[QT]['lang_iso']);
  
    UpdateSectionStats($s);
  }

  // Exit

  return $error;
}

// --------

function Delete($s,$id)
{
  // Check

  if ( !is_int($s) ) die('cTab->Delete: Argument #1 must be a integer');
  if ( !is_string($id) ) die('cTab->Delete: Argument #2 must be a string');
  if ( $id!=QTconv($id,'K') ) die('cTab->Delete: Argument #2 must be a keycode string');
  if ( in_array($id,array('ticket','messages','documents','gmap')) ) die('cTab->Delete: Argument #2 cannot be "ticket" nor "messages" nor "documents"');

  // remove tab from section
  
  global $oDB;

  $oDB->Query('DELETE FROM '.TABTAB.' WHERE section='.$s.' AND tabid="'.$id.'"');

  // if no more used deletetab lang and fields

  $oDB->Query('SELECT count(*) AS countid FROM '.TABTAB.' WHERE tabid="'.$id.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']==0 )
  {
    // delete tab
    cLang::Delete('tab',$id);
    // unregister from lang
    if ( isset($_SESSION['L']['tab'][$id]) ) unset($_SESSION['L']['tab'][$id]);
    if ( isset($_SESSION['L']['tabdesc'][$id]) ) unset($_SESSION['L']['tabdesc'][$id]);
    // delete each fields of this tab
    $arr = cTab::GetFields($id);
    if ( count($arr)>0 ) 
    {
      foreach($arr as $strKey => $strValue)
      {
      cField::Delete($strKey);
      }
    }
  }

  UpdateSectionStats($s);

}

// --------

function GetTab($id='')
{
  // Check
  
  if ( !is_string($id) ) die('cTab->GetTab: Argument #1 must be a string');

  // This method returns the db-propertie of one tab
  // ALSO the translation 'tabname' (and tabdesc if not empty)
  
  global $oDB;

  $oDB->Query('SELECT * FROM '.TABTAB.' WHERE tabid="'.$id.'"');
  $row = $oDB->Getrow();
    if ( !is_array($row) ) $row = array('tabid'=>$id);
    if ( count($row)==0 ) $row = array('tabid'=>$id);
  $row['tabname'] = ObjTrans('tab',$id,true);
  $row['tabdesc'] = QTconv(ObjTrans('tabdesc',$id,false));
  return $row;
}

// --------

function GetFields($id='')
{
  global $oDB;
  $arr = array();
  
  $oDB->Query( 'SELECT fieldid FROM '.TABFIELD.($id=='' ? '' : ' WHERE tabid="'.$id.'"').' ORDER by fieldorder' );
  while($row=$oDB->Getrow())
  {
    $arr[$row['fieldid']] = ObjTrans('field',$row['fieldid']);
  }
  return $arr;
}

// --------

function Rename($id='',$newid='')
{
  // Check

  $error = '';
  if ( !is_string($id) || empty($id) ) die('cTab::Rename: Argument #1 must be a string');
  if ( !is_string($newid) || empty($newid) ) die('cTab::Rename: Argument #2 must be a string');
  if ( in_array($id,array('ticket','messages','documents','gmap')) ) die('cTab->Rename: Argument #1 cannot be "ticket" nor "messages" nor "documents"');
  if ( $id!=QTconv($id,'K') ) $error = 'cTab::Rename: Argument #1 must be a keycode string';

  // Process
  
  global $oDB;

  // format newid

  if ( empty($error) )
  {
  $newid = QTconv($newid,'K');
  }

  // check unique name

  if ( empty($error) )
  {
  $oDB->Query('SELECT count(*) AS countid FROM '.TABTAB.' WHERE tabid="'.$newid.'"');
  $row=$oDB->Getrow();
  if ( $row['countid']>0 ) $error = "Tab id [$id] already used";
  }

  // save changes and register lang

  if ( empty($error) )
  {
  $oDB->Query('UPDATE '.TABLANG.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $oDB->Query('UPDATE '.TABDATA.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $oDB->Query('UPDATE '.TABFIELD.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $oDB->Query('UPDATE '.TABTAB.' SET tabid="'.$newid.'" WHERE tabid="'.$id.'"');
  $_SESSION['L']['tab'] = cLang::GetNames('tab',$_SESSION[QT]['lang_iso']);
  }

  return $error;
}

// --------

}

?>