<?php

// QT-registerations 2.2 build:20090710

// --------
// HIGH LEVEL
// --------

function DieArg($str='Error',$arrArgs,$arrTypes='str')
{
  // This function allow cheching argument types: The value in $arrArgs must be of type specified in $arrTypes
  // Application stops when the value is not of the specified type.
  // Note 1: The type 'empty' means that the application stops if the value IS empty.
  // Note 2: When $arrTypes is one type, this type is converted to a list of types

  if ( !is_string($str) ) die('DieArg: Argument #1 must be a string');
  if ( !is_array($arrArgs) ) die('DieArg: Argument #2 must be an array');
  // last argument can be one string meaning: an array of n time this string is created
  if ( is_string($arrTypes) ) { $str=$arrTypes; $arrTypes=array(); foreach ($arrArgs as $a) $arrTypes[]=$str; }
  if ( !is_array($arrTypes) ) die('DieArg: Argument #3 must be an array');
  if ( count($arrTypes)!=count($arrArgs) ) die('DieArg: Argument #2 and #3 are not the same size');
  
  // Process
  
  for ($i=0;$i<count($arrArgs);$i++)  
  {
    switch($arrTypes[$i])
    {
    case 'str': if ( !is_string($arrArgs[$i]) )  die($str.': Argument #'.$i.' must be a string'); break;
    case 'int': if ( !is_integer($arrArgs[$i]) ) die($str.': Argument #'.$i.' must be an integer'); break;
    case 'arr': if ( !is_array($arrArgs[$i]) )   die($str.': Argument #'.$i.' must be an array'); break;
    case 'flo': if ( !is_float($arrArgs[$i]) )   die($str.': Argument #'.$i.' must be a float'); break;
    case 'boo': if ( !is_bool($arrArgs[$i]) )    die($str.': Argument #'.$i.' must be a boolean'); break;
    case 'empty': if ( empty($arrArgs[$i]) )     die($str.': Argument #'.$i.' is empty'); break;
    }
  }
}

// --------

function CheckDico($strVar,$bDesc=false)
{
  if ( !isset($_SESSION['L'][$strVar]) )
  {
  $_SESSION['L'][$strVar] = cLang::GetNames($strVar,$_SESSION[QT]['lang_iso']);
  if ( $bDesc ) $_SESSION['L'][$strVar.'desc'] = cLang::GetNames($strVar.'desc',$_SESSION[QT]['lang_iso']);
  }
}

// --------

function Error($i=0)
{
  include(Translate('qtr_error.php'));
  if ( isset($e[$i]) ) return $e[$i];
  return 'Error '.$i;
}

// --------

//  Returns the plural (if $intVal>1 and if the plural word exists)
//  The variable $strVar can be composed of 2 strings (comma separated): LangS['userrole,A',25] returns $L['Userroles']['A']
//  $bInclude=true will returns number + space + the word

function LangS($strVar,$intVar,$bInclude=true)
{  
  global $L;
  if ( !strstr($strVar,',') )
  {
    if ( !isset($L[$strVar]) ) return ($bInclude ? $intVar.' ' : '').$strVar;
    if ( $intVar>1 && isset($L[$strVar.'s']) ) return ($bInclude ? $intVar.' ' : '').$L[$strVar.'s'];
    return ($bInclude ? $intVar.' ' : '').$L[$strVar];
  }
  else
  {
    $arr = explode(',',$strVar);
    if ( !isset($L[$arr[0]][$arr[1]]) ) return ($bInclude ? $intVar.' ' : '').$strVar;
    if ( $intVar>1 && isset($L[$arr[0].'s'][$arr[1]]) ) return ($bInclude ? $intVar.' ' : '').$L[$arr[0].'s'][$arr[1]];
    return ($bInclude ? $intVar.' ' : '').$L[$arr[0]][$arr[1]];    
  }
}

// --------

function ObjTrans($strType,$strId,$bGenerate=true,$intMax=0,$strTrunc='...')
{
  // This function returns the translation of the objid
  // When translation is not defined and generate is true, returns the ucfirst(objid)
  // otherwise, returns ''
  // When $intMax>1, the text is truncated to intMax characters and the $strTrunc is added.

  $str = '';
  if ( isset($_SESSION['L'][$strType][$strId]) ) $str = $_SESSION['L'][$strType][$strId];
  if ( empty($str) && $bGenerate )
  {
    switch($strType)
    {
    case 'field': $str = ucfirst(str_replace('_',' ',$strId)); break;
    case 'tabdesc': $str = $bGenerate ;
    case 'tab': $str = ucfirst(str_replace('_',' ',$strId)); break;
    case 'tabdesc': $str = $bGenerate; break;
    case 'index': $str = $_SESSION[QT]['index_name']; break;
    case 'domain': $str = $bGenerate; break;
    case 'sec': $str = $bGenerate; break;
    case 'secdesc': $str = $bGenerate; break;
    }
  }
  if ( $intMax>1 && strlen($str)>$intMax ) return substr($str,0,$intMax).$strTrunc;
  return $str;
}

// --------

function Translate($strFile)
{
  if ( file_exists($_SESSION[QT]['language'].'/'.$strFile) ) Return $_SESSION[QT]['language'].'/'.$strFile;
  Return 'language/english/'.$strFile;
}

// --------
// COMMON FUNCTIONS
// --------

function AsDateInput($str,$to='date')
{
  DieArg( 'AsDateInput',array($str,$to) );

  // convert a db date [YYYYMMDD | YYYYMMDD.HHMM | YYYYMMDD.HHMMSS] to Y-m-d or G:i[:s]
  // seconds are included if provided (and not 00)  

  switch($to)
  {
  case 'date':
    if ( strlen($str)<8 ) return '?'.$str;
    return substr($str,0,4).'-'.substr($str,4,2).'-'.substr($str,6,2);
    break;
  case 'time':
    if ( strlen($str)<8 ) return '?'.$str;
    if ( strlen($str)==8 ) $str .= '.';
    if ( strlen($str)>8 ) $str .= '000000';
    return substr($str,9,2).':'.substr($str,11,2).(substr($str,13,2)=='00' ? '' : ':'.substr($str,13,2));
    break;
  }
}

// --------

function AsEmails($strEmails,$intId,$intSec=0,$strRender='txt',$bFirst=false,$strSkin='skin/default',$strNojava='Java protected email',$strEmpty='&nbsp;')
{
  if ( !is_string($strEmails) ) return $strEmpty;
  if ( empty($strEmails) ) return $strEmpty;
  // get list of Emails
  if ( strstr($strEmails,' ; ') ) { $arrEmails = explode(' ; ',$strEmails); } else { $arrEmails = array($strEmails); }
  // get first Email
  $strFirst = $arrEmails[0];
  // only one email
  if ( $bFirst ) $arrEmails = array($strFirst);
  // build expression
  $strReturn = '';
  switch($strRender)
  {
  case 'txt':
    $strReturn .= '<a id="href'.$intId.'s'.$intSec.'" class="small" href="mailto:'.implode(';',$arrEmails).'">';
    $strReturn .= implode(' ; ',$arrEmails);
    $strReturn .= '</a>';
    break;
  case 'img':
    $strReturn .= '<a id="href'.$intId.'s'.$intSec.'" class="small" href="mailto:'.implode(';',$arrEmails).'">';
    $strReturn .= '<img class="ico i_user" id="img'.$intId.'s'.$intSec.'" src="'.$strSkin.'/ico_user_e_1.gif" alt="email" title="'.$strFirst.'"/>';
    $strReturn .= '</a>';
    break;
  case 'txtjava':
    $strReturn .= '<script type="text/javascript">';
    foreach($arrEmails as $strEmail)
    {
    $arr = explode('@',$strEmail);
    $strReturn .= 'qtWritemailto("'.$arr[0].'","'.$arr[1].'"," ");';
    }
    $strReturn .= '</script><noscript class="small">'.$strNojava.'</noscript>';
    break;
  case 'imgjava':
    $str = implode(';',$arrEmails);
    $str = str_replace('@','-at-',$str);
    $str = str_replace('.','-dot-',$str);
    $strFirst = str_replace('@','-at-',$strFirst);
    $strFirst = str_replace('.','-dot-',$strFirst);
    $strReturn .= '<a id="href'.$intId.'s'.$intSec.'" onmouseover="qtVmail(\''.$intId.'s'.$intSec.'\');" onmouseout="qtHmail(\''.$intId.'s'.$intSec.'\');" class="small" href="javamail:'.$str.'">';
    $strReturn .= '<img class="ico i_user" id="img'.$intId.'s'.$intSec.'" src="'.$strSkin.'/ico_user_e_1.gif" alt="email" title="'.$strFirst.'"/>';
    $strReturn .= '</a>';
    break;
  }
  return $strReturn;
}

// --------

function AsImg($strSrc='',$strAlt='',$strTitle='',$strClass='',$strStyle='',$strHref='',$strId='')
{
  DieArg( 'AsImg',array($strSrc,$strAlt,$strClass,$strStyle,$strHref,$strId) );

  if ( empty($strSrc) ) return '';
  $strSrc = '<img'.(empty($strId) ? '' : ' id="'.$strId.'"').' src="'.$strSrc.'" alt="'.(empty($strAlt) ? '' : QTconv($strAlt)).'" title="'.(empty($strTitle) ? '' : QTconv($strTitle)).'"'.(empty($strClass) ? '' : ' class="'.$strClass.'"').(empty($strStyle) ? '' : ' style="'.$strStyle.'"').'/>';
  if ( empty($strHref) ) { return $strSrc; } else { return '<a href="'.$strHref.'">'.$strSrc.'</a>' ; }
}

// --------

function AsImgBox($strSrc='',$strClass='',$strStyle='',$strCaption='',$strHref='')
{
  DieArg( 'AsImgBox',array($strSrc,$strClass,$strStyle,$strCaption,$strHref) );

  if ( !empty($strHref) ) $strCaption = '<a href="'.$strHref.'" class="small">'.$strCaption.'</a>';
  return '<div'.(empty($strClass) ? '' : ' class="'.$strClass.'"').(empty($strStyle) ? '' : ' style="'.$strStyle.'"').'>'.$strSrc.(empty($strCaption) ? '' : '<p class="imgcaption">'.$strCaption.'</p>').'</div>';
}

// --------

function CanPerform($strParam,$strRole='V')
{
  // valid parameter are: upload, show_calendar, show_stats
  if ( empty($strParam) || !isset($_SESSION[QT][$strParam]) ) return false;
  if ( $_SESSION[QT][$strParam]=='A' && $strRole=='A' ) return true;
  if ( $_SESSION[QT][$strParam]=='M' && ($strRole=='A' || $strRole=='M') ) return true;
  if ( $_SESSION[QT][$strParam]=='U' && $strRole!='V' ) return true;
  if ( $_SESSION[QT][$strParam]=='V' ) return true;
  return false;
}

// --------

function DateAdd($d='0',$i=-1,$str='year')
{
  DieArg( 'DateAdd',array($d,$i,$str),array('str','int','str') );

  if ( $d=='0' ) die('DateAdd: Argument #1 must be a string');

  $intY = intval(substr($d,0,4));
  $intM = intval(substr($d,4,2));
  $intD = intval(substr($d,6,2));
  switch($str)
  {
  case 'year': $intY += $i; break;
  case 'month': $intM += $i; break;
  case 'day': $intD += $i; break;
  }
  if ( in_array($intM,array(1,3,5,7,8,10,12)) && $intD>31 ) { $intM++; $intD -= 31; }
  if ( in_array($intM,array(4,6,9,11)) && $intD>31 ) { $intM++; $intD -= 30; }
  if ( $intM==2 && $intD>28 ) { $intM++; $intD -= 28; }
  if ( $intD<1 ) { $intM--; $intD += 30; }
  if ( $intM>12 ) { $intY++; $intM -= 12; }
  if ( $intM<1 ) { $intY--; $intM += 12; }
  return strval($intY*10000+$intM*100+$intD).(strlen($d)>8 ? substr($d,8) : '');
}

// --------

function FieldQuote($strValue,$strTable,$strField)
{
  // Returns a quoted value, except for these fields:
  if ( $strTable==TABDATA && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABDOC && $strField=='id' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABDOMAIN && in_array($strField,array('id','titleorder')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABFIELD && $strField=='fieldorder' ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABPOST && in_array($strField,array('id','section','topic','userid','modifuser')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABSECTION && in_array($strField,array('id','titleorder','domainid','moderator')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABTAB && in_array($strField,array('section','taborder','tabfields')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABTOPIC && in_array($strField,array('id','numid','section','firstpostid','lastpostid','firstpostuser','lastpostuser','x','y','z','actorid','notifiedid','replies','views'),$strField) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);
  if ( $strTable==TABUSER && in_array($strField,array('id','numpost','x','y','z')) ) return ($strValue==='' || is_null($strValue) ? 'NULL' : $strValue);  
  if ( empty($strValue) ) {
  if ( in_array($strField,array('birthday','docdate','eventdate','fielddate','firstdate','firstpostdate','issuedate','lastdate','lastpostdate','modifdate','statusdate','wisheddate')) ) {
    return '"0"';
  }}
  return '"'.$strValue.'"';
}

// --------
// Register and Returns an array of [key] id, [value] title (

function GetDomains()
{
  // Query
  
  global $oDB;
  $arr = array();
  
  $oDB->Query( 'SELECT id,title FROM '.TABDOMAIN.' ORDER BY titleorder' );
  while($row=$oDB->Getrow()) { $arr[$row['id']] = $row['title']; }

  // Search translation from db
  
  $arrL = cLang::GetNames('domain',$_SESSION[QT]['lang_iso']);
  if ( count($arrL)>0)
  {
    foreach($arr as $id=>$str)
    {
      if ( array_key_exists('d'.$id,$arrL) )
      {
      if ( !empty($arrL['d'.$id]) ) $arr[$id]=$arrL['d'.$id];
      }
    }
  }
  return $arr;
}

// --------
// Returns an array of [key] section id, [value] section title

function GetSectionTitles($strRole='V',$intDomain=-1,$intReject=-1,$strExtra='',$bAddDomain=false)
{
  DieArg( 'GetSectionTitles',array($strRole,$intDomain,$intReject,$strExtra,$bAddDomain),array('str','int','int','str','boo') );

  global $oDB;

  if ( $intDomain>=0 ) { $strWhere = 's.domainid='.$intDomain; } else { $strWhere = 's.domainid>=0'; }
  if ( $strRole=='V' || $strRole=='U' ) $strWhere .= ' AND s.type<>"1"';
  if ( !empty($strExtra) ) $strWhere .= ' AND '.$strExtra;

  $arr = array();

  // Search translations
  
  $arrL = cLang::GetNames('sec',$_SESSION[QT]['lang_iso']);
  
  // Get sections from DB

  $oDB->Query( 'SELECT s.id,s.title,d.titleorder,s.titleorder FROM '.TABSECTION.' s INNER JOIN '.TABDOMAIN.' d ON d.id=s.domainid WHERE '.$strWhere.' ORDER BY d.titleorder, s.titleorder' );
  while ( $row = $oDB->Getrow() )
  {
    $id = intval($row['id']);
    $arr[$id] = stripslashes($row['title']);
    if ( array_key_exists('s'.$id,$arrL) ) {
    if ( !empty($arrL['s'.$id]) ) {
      $arr[$id] = $arrL['s'.$id];
    }}
    if ( $bAddDomain ) $arr[$id] = ObjTrans('domain','d'.$id,'Domain &nbsp;'.$id).': '.$arr[$id];
  }
  
  // Reject
  
  if ( count($arr)>0 && $intReject>=0 ) unset($arr[$intReject]);

  return $arr;
}

// --------
// Returns an array of [key] section id, array of [values] section

function GetSections($strRole='V',$intDomain=-1,$intReject=-1,$strExtra='')
{
  DieArg( 'GetSections',array($strRole,$intDomain,$intReject,$strExtra),array('str','int','int','str') );

  global $oDB;

  if ( $intDomain>=0 ) { $strWhere = 'domainid='.$intDomain; } else { $strWhere = 'domainid>=0'; }
  if ( $strRole=='V' || $strRole=='U' ) $strWhere .= ' AND type<>"1"';
  if ( !empty($strExtra) ) $strWhere .= ' AND '.$strExtra;

  $arr = array();
  $oDB->Query( 'SELECT * FROM '.TABSECTION.' WHERE '.$strWhere.' ORDER BY titleorder' );
  while ( $row = $oDB->Getrow() )
  {
    $arr[intval($row['id'])] = $row;
  }

  if ( count($arr)>0 )
  {
    // search translation
    $arrL = cLang::GetNames('sec',$_SESSION[QT]['lang_iso']);
    if ( count($arrL)>0)
    {
      foreach($arr as $id=>$str)
      {
        if ( array_key_exists('s'.$id,$arrL) )
        {
        if ( !empty($arr['s'.$id]) ) $arr[$id]['title']=$arrL['s'.$id];
        }
      }
    }
    // reject
    if ( $intReject>=0 ) unset($arr[$intReject]);
  }
  return $arr;
}

// --------

function GetSectionTabs($intS=-1)
{
  DieArg( 'GetSectionTabs',array($intS),array('int') );

  // This method creates an array of several tabs (from section $intS)
  // $intS -1 to get ALL tabs
  // $intS -2 to get messages and documents only
  // Returns only visible tabs if user limitation exist
    
  global $oDB,$oVIP;
  
  $arr = array();
  $strWhere = 'section='.$intS;
  if ( $intS==-1 ) $strWhere = 'section>=0';
  if ( $intS==-2 ) $strWhere = '(tabid="messages" OR tabid="documents")';
  if ( $oVIP->role=='U' || $oVIP->role=='V' ) $strWhere .= ' AND tabselect="1"';

  $oDB->Query('SELECT * FROM '.TABTAB. ' WHERE '.$strWhere.' ORDER by taborder');
  while($row=$oDB->Getrow())
  {
    $oTab = new cTab($row);
    $arr[$oTab->tabid] = $oTab;
  }
  
  // check minimum
  if ( $intS>=0 ) 
  {
    if ( !isset($arr['ticket']) ) { $oTab = new cTab('ticket'); $arr['ticket'] = $oTab; }
    if ( !isset($arr['messages']) ) { $oTab = new cTab('messages'); $arr['messages'] = $oTab; }
    if ( !isset($arr['documents']) ) { $oTab = new cTab('documents'); $arr['documents'] = $oTab; }
  }
  
  return $arr;
}

// --------

function GetParam($bRegister=false,$strWhere='')
{
  DieArg( 'GetParam',array($bRegister,$strWhere),array('boo','str') );

  // Process
  
  global $oDB;
  $arrParam = array();
  $oDB->Query( 'SELECT param,setting FROM '.TABSETTING.(empty($strWhere) ? '' : ' WHERE '.$strWhere) );
  while($row=$oDB->Getrow())
  {
  $arrParam[$row['param']]=$row['setting'];
  if ( $bRegister ) $_SESSION[QT][$row['param']]=$row['setting'];
  }

  Return $arrParam;
}

/**
 *
 * GetUserInfo
 *
 * Options supported for the $intUser:
 * i [int] a userid,
 * "S" [string] all staff members,
 * "A" [string] all administrators,
 * "i" [string] the coordinator of section i
 * will return a list of values (as string)
 *
 **/
function GetUserInfo($intUser=null,$strField='name',$oSEC=null)
{
  global $oDB;

  if ( is_string($intUser) )
  {
    if ( $intUser=='A' || $intUser=='S' )
    {
      $lst = array();
      $oDB->Query('SELECT '.$strField.' FROM '.TABUSER.' WHERE role="'.$intUser.'"');
      while( $row=$oDB->Getrow() )
      {
      $lst[] = $row[$strField];
      }
      return $lst;
    }
    if ( is_numeric($intUser) )
    {
      if ( !isset($oSEC) ) $oSEC = new cSection(intval($intUser));
      $oDB->Query('SELECT '.$strField.' FROM '.TABUSER.' WHERE id='.$oSEC->modid);
      $row=$oDB->Getrow();
      return $row[$strField];
    }
  }
  if ( is_int($intUser) )
  {
    if ( $intUser<0 ) { if ( isset($onerror) ) return $onerror; die ('GetUserInfo: Missing user id'); }
    $oDB->Query('SELECT '.$strField.' FROM '.TABUSER.' WHERE id='.$intUser);
    $row = $oDB->Getrow();
    return $row[$strField];
  }
  die ('GetUserInfo: Invalid argument #1 '.var_dump($intUser));
}

/**
 *
 * GetUsers
 *
 * Return an array of (maximum 200) users id/name
 * number = returns 1 user [id][name]
 * 'A'    = returns administrators (default)
 * 'M'    = returns moderators (+Admin)
 * 'M-'   = returns moderators (-Admin)
 * 'name' = return the user having the name [strValue]
 * 'A*'   = returns names beginning by A
 *
 * Attention: names are htmlquoted in the db, no need to stripslashes
 *
 **/
function GetUsers($strRole='A',$strValue='',$strOrder='name')
{
   global $oDB;
   $strQ = 'SELECT id,name FROM '.TABUSER.' WHERE role="A" ORDER BY '.$strOrder;

   if ( $strRole=='M' ) $strQ = 'SELECT id,name FROM '.TABUSER.' WHERE role="A" OR role="M" ORDER BY '.$strOrder;
   if ( $strRole=='M-' ) $strQ = 'SELECT id,name FROM '.TABUSER.' WHERE role="M" ORDER BY '.$strOrder;
   if ( $strRole=='name') $strQ = 'SELECT id,name FROM '.TABUSER.' WHERE name="'.$strValue.'" ORDER BY '.$strOrder;
   if ( substr($strRole,-1,1)=='*' )
   {
      $like = 'LIKE'; if ( $oDB->type=='pg' ) $like = 'ILIKE';
      $strQ = 'SELECT id,name FROM '.TABUSER.' WHERE name '.$like.' "'.substr($strRole,0,-1).'%" ORDER BY '.$strOrder;
   }

   $oDB->Query($strQ);

   $arrUsers = array();
   $i=1;
   while($row=$oDB->Getrow())
   {
      $arrUsers[$row['id']]=$row['name'];
      $i++;
      if ( $i>200 ) break;
   }
   return $arrUsers;
}

// -------

function MakePager($uri, $count, $intPagesize=50, $currentpage=1)
{
   global $L;
   $arrUri = parse_url($uri);
   $uri = $arrUri['path'];
   $arg = $arrUri['query'];
   $arg = str_replace('&amp;','&',$arg);
   $arrArg = explode('&',$arg);
   $arrNew = array();
   foreach($arrArg as $strValue)
   {
      if ( substr($strValue,0,4)=='page' ) continue;
      $arrNew[]=$strValue;
   }
   $arg = implode('&amp;',$arrNew);

   $strPager='';
   if ( $count>($intPagesize*5) )
   {
      // firstpage
      if ( $currentpage==1 )
      {
        $strFirstpage = ' &laquo;';
      }
      else
      {
        $strFirstpage = ' <a class="pager" href="'.$uri.'?'.$arg.'&amp;page=1" title="'.$L['First'].'">&laquo;</a>';
      }
      // lastpage
      $il = ceil($count/$intPagesize);
      if ( $currentpage==$il )
      {
        $strLastpage = ' &raquo;';
      }
      else
      {
        $strLastpage = ' <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.$il.'" title="'.$L['Last'].': '.$il.'">&raquo;</a>';
      }
      // 3 pages
      if ( $currentpage==1 )
      {
         $strThesepages = ' <b>'.$currentpage.'</b> <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.($currentpage+1).'" title="'.$L['Next'].'">'.($currentpage+1).'</a> <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.($currentpage+2).'" title="'.$L['Next'].'">'.($currentpage+2).'</a>';
      }
      elseif ( $currentpage==$il )
      {
         $strThesepages = ' <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.($currentpage-2).'" title="'.$L['Previous'].'">'.($currentpage-2).'</a> <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.($currentpage-1).'" title="'.$L['Previous'].'">'.($currentpage-1).'</a> <b>'.$currentpage.'</b> ';
      }
      else
      {
         $strThesepages = ' <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.($currentpage-1).'" title="'.$L['Previous'].'">'.($currentpage-1).'</a> <b>'.$currentpage.'</b> <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.($currentpage+1).'" title="'.$L['Next'].'">'.($currentpage+1).'</a>';
      }
      // finish
      $strPager .= $strFirstpage.$strThesepages.$strLastpage;
   }
   elseif ( $count>$intPagesize )
   {
      for ($i=0; $i<$count; $i+=$intPagesize)
      {
        $page = $i/$intPagesize+1;
        if ( $currentpage==$page )
        {
          $strPager .= ' <b>'.$page.'</b>';
        }
        else
        {
          $strPager .= ' <a class="pager" href="'.$uri.'?'.$arg.'&amp;page='.$page.'">'.$page.'</a>';
        }
      }
   }
   return $strPager;
}

// --------

function Nextid($strTable,$strField='id',$strWhere='')
{
  DieArg( 'Nextid',array($strTable,$strField,$strWhere) );
  DieArg( 'Nextid',array($strTable,$strField),array('empty','empty') );

  // Process

  global $oDB;
  
  $oDB->Query("SELECT max($strField)+1 as newnum FROM $strTable $strWhere");
  $row = $oDB->Getrow();
  $intId = $row['newnum'];
  if ( empty($intId) ) $intId=1;

  return intval($intId);
}

// --------

function ReadValues($str='')
{
  $arrValues = array();
  if ( empty($str) ) return $arrValues;
  $arr = explode(';',$str);
  foreach ($arr as $str)
  {
    $a = explode('=',$str);
    if ( count($a)==2 ) $arrValues[$a[0]]=$a[1];
  }
  return $arrValues;
}

// --------

function SectionCount($strObject='topics',$intS,$intD=10)
{
  DieArg( 'SectionCount',array($strObject,$intS,$intD),array('str','int','int') );

  // Check
  
  if ( $intS<0 ) die('SectionCount: Wrong argument #2 (id<0)');
  if ( $intD<1 ) die('SectionCount: Wrong argument #3 (d<1)');

  // Process (Z means status "closed")

  global $oDB;
  switch($strObject)
  {
  case 'topics': $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE section='.$intS ); break;
  case 'topicsZ': $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE status="Z" AND section='.$intS.' AND type="T"' ); break;
  case 'news': $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE section='.$intS.' AND type="A"' ); break;
  case 'replies': $oDB->Query( 'SELECT count(id) as countid FROM '.TABPOST.' WHERE section='.$intS.' AND type<>"P"' ); break;
  case 'repliesZ': $oDB->Query( 'SELECT count(*) as countid FROM '.TABPOST.' p INNER JOIN '.TABTOPIC.' t ON p.topic=t.id WHERE p.section='.$intS.' AND p.type<>"P" AND t.status="Z"' ); break;
  case 'unreplied': $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE section='.$intS.' AND replies=0 AND firstpostdate<"'.DateAdd(date('Ymd His'),-$intD,'day').'"' ); break;
  case 'unrepliednews': $oDB->Query( 'SELECT count(id) as countid FROM '.TABTOPIC.' WHERE section='.$intS.' AND type="A" AND replies=0 AND firstpostdate<"'.DateAdd(date('Ymd His'),-$intD,'day').'"' ); break;
  case 'tags': $oDB->Query( 'SELECT count(*) as countid FROM '.TABTOPIC.' WHERE tags<>"" AND section='.$intS ); break;
  case 'tabs': $oDB->Query( 'SELECT count(*) as countid FROM '.TABTAB.' WHERE section='.$intS ); break;
  case 'messages': $oDB->Query( 'SELECT count(*) as countid FROM '.TABPOST.' WHERE section='.$intS ); break;
  default: die('SectionCount: Wrong argument #1');
  }  
  $row = $oDB->Getrow();
  return intval($row['countid']);
}

// --------

function UpdateSectionStats($intS=-1,$arrValues=array(),$bLastPostDate=false,$bReplies=false)
{
  // Check

  if ( $intS<0 ) die('UpdateSectionStats: Wrong id');  

  // Process (provided values are not recomputed)
  
  if ( !isset($arrValues['topics']) )   $arrValues['topics']  = SectionCount('topics',$intS);
  if ( !isset($arrValues['replies']) )  $arrValues['replies'] = SectionCount('replies',$intS);
  if ( !isset($arrValues['tabs']) )     $arrValues['tabs']    = SectionCount('tabs',$intS);
  if ( !isset($arrValues['tags']) )     $arrValues['tags']    = SectionCount('tags',$intS);
  if ( !isset($arrValues['topicsZ']) )  $arrValues['topicsZ'] = SectionCount('topicsZ',$intS);
  if ( !isset($arrValues['repliesZ']) ) $arrValues['repliesZ']= SectionCount('repliesZ',$intS);
  foreach($arrValues as $strKey=>$strValue) { $arrValues[$strKey]=$strKey.'='.$strValue; }
  
  // Save
  
  global $oDB;
  $oDB->Query( 'UPDATE '.TABSECTION.' SET stats="'.implode(';',$arrValues).'" WHERE id='.$intS );

  // Re-compute lastpostdate (used after import)
  
  if ( $bLastPostDate )
  {
    if ( in_array($oDB->type,array('sqlite','mssql','pg','access','db2')) )
    {
    $oDB->Query( 'UPDATE '.TABTOPIC.' SET lastpostdate=(SELECT MAX(issuedate) FROM '.TABPOST.' p, '.TABTOPIC.' t WHERE t.id=p.topic) WHERE section='.$intS );
    }
    else
    {
    $oDB->Query( 'UPDATE '.TABTOPIC.' t SET t.lastpostdate=(SELECT MAX(p.issuedate) FROM '.TABPOST.' p WHERE t.id=p.topic) WHERE t.section='.$intS );
    }
  }
  
  // Re-compute replies (used after import)
  
  if ( $bReplies )
  {
    if ( in_array($oDB->type,array('sqlite','mssql','pg','access','db2')) )
    {
    $oDB->Query( 'UPDATE '.TABTOPIC.' SET replies=(SELECT COUNT(*) FROM '.TABPOST.' p, '.TABTOPIC.' t WHERE t.id=p.topic) WHERE section='.$intS );
    }
    else
    {
    $oDB->Query( 'UPDATE '.TABTOPIC.' t SET t.replies=(SELECT COUNT(p.id) FROM '.TABPOST.' p WHERE t.id=p.topic AND p.type<>"P") WHERE t.section='.$intS );
    }
  }

  // Unregister global sys (will be recomputed on next page)
  
  Unset($_SESSION[QT]['sys_topics']);
  Unset($_SESSION[QT]['sys_replies']);
}

// --------

function UseModule($strName)
{
  DieArg( 'UseModule',array($strName) );
  if ( isset($_SESSION[QT]['module_'.$strName]) ) return TRUE;
  return FALSE;
}

?>