<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
if ( $oVIP->role!='A' ) die(Error(13));

include(Translate('qtr_adm.php'));
if ( !isset($_GET['a']) ) die('Wrong action');

// --------
// INITIALISE
// --------

$a = strip_tags($_GET['a']); // mandatory action
$s = -1; // section
$t = -1; // topic
$p = -1; // post
$v = ''; // value
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_GET['t']) ) $t = intval(strip_tags($_GET['t']));
if ( isset($_GET['p']) ) $p = intval(strip_tags($_GET['p']));
if ( isset($_GET['v']) ) $v = strip_tags($_GET['v']);

$oVIP->selfurl = 'qtr_adm_cmd.php';
$oVIP->selfname = 'QT-registerations command';

// --------
// EXECUTE
// --------

switch($a)
{

// --------------
case 'deletedomain':
// --------------

  if ( $s<1 ) die('Wrong id '.$s);

  $oVIP->selfname = $L['Domain_del'];
  $oVIP->exiturl = 'qtr_adm_sections.php';
  $oVIP->exitname = '&laquo; '.$L['Sections'];

  // Ask destination

  if ( !isset($_GET['ok']) )
  {
    $arrDomains = GetDomains();
    $strTitle = $arrDomains[$s];
    $arrSections = GetSectionTitles($oVIP->role,$s);
    $strCont='';
    $strDest='';

    // list the domain content
    if ( count($arrSections)==0 )
    {
      $strCont = '<span class="small">0 '.$L['Section'].'</span>';
    }
    else
    {
      $strCont = QTasSpan($arrSections,'',array('format'=>$L['Section'].': %s','class'=>'small','endline'=>'<br/>'));
    }
    
    // list of domain destination
    if ( count($arrSections)>0 )
    {
      if ( isset($arrDomains[$s]) ) unset($arrDomains[$s]);  
      $strDest = '<tr class="data_o">
      <td class="th_o th_o_first">'.$L['Sections'].'</td>
      <td class="td_o">
      <select name="t" size="1" class="small">'.QTasOption($arrDomains,'',array('format'=>$L['Move_to'].': %s')).'</select>
      </td>
      </tr>';
    }

    // form
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="data_o" cellspacing="0">
    <tr class="data_a">
    <td class="th_o th_o_first" style="width:150px">'.$L['Title'].'</td>
    <td class="td_o"><b>'.$strTitle.'</b></td>
    </tr>
    <tr class="data_a">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.$strCont.'</td>
    </tr>'.N.$strDest.'
    <tr class="data_a">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/><input type="hidden" name="s" value="'.$s.'"/><input type="submit" name="ok" value="'.$L['Delete'].'"/></td>
    </tr>
    </table>
    </form>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Delete domain

  require_once('bin/qtr_class_dom.php');
  if ( $t>-1 ) cDomain::MoveSections($s,$t);
  cDomain::Delete($s);

  // Exit

  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'deletesection':
// --------------

  if ( $s<1 ) die('Wrong id '.$s);

  $oVIP->selfname = $L['Section_del'];
  $oVIP->exiturl = 'qtr_adm_sections.php';
  $oVIP->exitname = '&laquo; '.$L['Sections'];

  $oSEC = new cSection($s);

  // Ask confirmation

  if ( !isset($_GET['ok']) )
  {
    // list topics
    if ( $oSEC->topics>0 )
    {
      $strList = '<tr class="data_o"><td class="th_o">&nbsp;</td><td class="td_o"><i><b>'.$L['H_Topics_delete'].'</b></i>&nbsp;&nbsp;<a href="qtr_adm_cmd.php?a=topicmoveall&amp;s='.$s.'&amp;d=10">'.$L['Adm_topics_move'].' &raquo;</a></td></tr>';
    }
    else
    {
      $strList = '';
    }

    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="data_o" cellspacing="0">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px">'.$L['Section'].'</td>
    <td class="td_o">'.$oSEC->name.'</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Topic',$oSEC->topics).', '.LangS('Reply',$oSEC->replies).'</td>
    </tr>
    '.$strList.'
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/><input type="hidden" name="s" value="'.$s.'"/><input type="submit" name="ok" value="'.$L['Delete'].'"/>
    </td>
    </tr>
    </table>
    </form>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Delete section

  $oSEC->Delete();

  // Exit

  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'status_del':
// --------------

  if ( $v=='A' || $v=='Z' ) die('Wrong id '.$v);

  $oVIP->selfname = $L['Status_del'];
  $oVIP->exiturl  = 'qtr_adm_statuses.php';
  $oVIP->exitname = '&laquo; '.$L['Statuses'];

  // Ask confirmation

  if ( !isset($_GET['ok']) || !isset($_GET['to']) )
  {
    // list of status destination
    $strSdest = '';
    foreach( $oSYS->statuses as $strKey=>$arrStatus )
    {
      if ( $strKey!=$v ) $strSdest .= '<option value="'.$strKey.'"/>'.$strKey.' - '.$arrStatus['statusname'].'</option>';
    }

    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="data_o">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px;">'.$L['Status'].'</td>
    <td class="td_o"><b>'.$v.'&nbsp;&nbsp;'.AsImg($_SESSION[QT]['skin_dir'].'/'.$oSYS->statuses[$v]['icon'],'-',$oSYS->statuses[$v]['statusname'],'ico i_status').'&nbsp;&nbsp;'.$oSYS->statuses[$v]['statusname'].'</b></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Description'].'</td>
    <td class="td_o">'.$oSYS->statuses[$v]['statusdesc'].'</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Move'].'</td>
    <td class="td_o">'.$L['H_Status_move'].' <select name="to" size="1" class="small">'.$strSdest.'</select></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="v" value="'.$v.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/></td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Delete status

  $oSYS->StatusDelete($v,$_GET['to']);

  // Exit

  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'topicdeleteall':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $days = $_GET['d'];

  $oVIP->selfname = $L['Adm_topics_delete'];
  $oVIP->exiturl  = 'qtr_adm_topic.php?d='.$days;
  $oVIP->exitname = '&laquo; '.$oVIP->exitname;

  $oSEC = new cSection($s);
  $intClosed = SectionCount('topicsZ',$s);
  $intNews= SectionCount('news',$s);

  // Ask confirmation

  if ( !isset($_GET['ok']) )
  {
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="data_o">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</td>
    <td class="td_o">'.$oSEC->name.'</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Topic',$oSEC->topics).' ('.LangS('News',$intNews).', '.LangS('Reply',$oSEC->replies).')</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><i><b>'.$L['H_Topics_delete'].'</b></i></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="hidden" name="d" value="'.$days.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/> <span class="small">('.$oSEC->topics.')</span>&nbsp;&nbsp;'.( $intClosed>0 ? ' <input type="submit" name="ok" value="'.$L['Delete_closed'].'"/> <span class="small">('.$intClosed.')</span>' : '').'</td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Delete topics

  if ( $_GET['ok']==$L['Delete'] )
  {
  $oSEC->DeleteTopics();
  }
  else
  {
  $oSEC->DeleteTopics(true);
  }

  // Exit

  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'topicmoveall':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $days = $_GET['d'];

  $oVIP->selfname = $L['Adm_topics_move'];
  $oVIP->exiturl = 'qtr_adm_topic.php?d='.$days;
  $oVIP->exitname = '&laquo; '.$oVIP->exitname;

  $oSEC = new cSection($s);
  $intClosed = SectionCount('topicsZ',$s);
  $intNews = SectionCount('news',$s);
  $arrSections = GetSectionTitles($oVIP->role,-1,$s);

  // Ask confirmation

  if ( !isset($_GET['ok']) || $p<0 )
  {
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table cellspacing="0" class="data_o">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</td>
    <td class="td_o">'.$oSEC->name.'</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Topic',$oSEC->topics).' ('.LangS('News',$intNews).', '.LangS('Reply',$oSEC->replies).')</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Move_to'].'</td>
    <td class="td_o"><select name="p" size="1">'.QTasOption($arrSections).'</select></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Ref'].'</td>
    <td class="td_o"><select name="v" size="1">
    <option value="1">'.$L['Move_keep'].'</option>
    <option value="0">'.$L['Move_reset'].'</option>
    <option value="2">'.$L['Move_follow'].'</option>
    </select></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="hidden" name="d" value="'.$days.'"/>
    <input type="submit" name="ok" value="'.$L['Move'].'"/> <span class="small">('.$oSEC->topics.')</span>&nbsp;&nbsp;'.( $intClosed>0 ? ' <input type="submit" name="ok" value="'.$L['Move_closed'].'"/> <span class="small">('.$intClosed.')</span>' : '').'</td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Move topics
  
  if ( $s<0 ) die('Wrong parameters: missing section id');

  if ( $_GET['ok']==$L['Move'] )
  {
  $oSEC->MoveTopics($p,intval($v));
  }
  else
  {
  $oSEC->MoveTopics($p,intval($v),-1,true);
  }

  // Exit
  
  $oVIP->EndMessage(NULL,$L['S_update'],'admin',2);
  exit;
  break;

// --------------
case 'topicprune':
// --------------

  if ( $s<0 ) die('Wrong id '.$s);
  $d = 10; if ( isset($_GET['d']) ) $d = intval($_GET['d']);
  if ( $d<1 ) die('Wrong day '.$d);
  $intTopics = 0;
  $intNews = 0;
  if ( isset($_GET['tt']) ) $intTopics = $_GET['tt'];
  if ( isset($_GET['ta']) ) $intNews = $_GET['ta'];

  include('bin/qtr_fn_sql.php');

  $intU = SectionCount('unreplied',$s,$d);
  $intUN = SectionCount('unrepliednews',$s,$d);

  $oVIP->selfname = $L['Adm_topics_prune'];
  $oVIP->exiturl = 'qtr_adm_topic.php?d='.$d;
  $oVIP->exitname = '&laquo; '.$oVIP->exitname;

  // Ask confirmation
  
  if ( !isset($_GET['ok']) || ($intTopics+$intNews)==0 )
  {
    $error = (isset($_GET['ok']) ? '<span class="error">'.$L['E_nothing_selected'].'</span><br/>' : '');

    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'"><table class="data_o" cellspacing="0">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px;">'.$L['Section'].'</td>
    <td class="td_o"><b>'.ObjTrans('sec',$s,"Section $s").'</b></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Containing'].'</td>
    <td class="td_o">'.LangS('Unreplied_topic',$intU).' ('.LangS('News',$intUN).')</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">'.$L['Delete'].'</td>
    <td class="td_o">
    <input type="checkbox" id="tt" name="tt" value="'.$intU.'"'.($intU==0 ? QDIS : '').'/>&nbsp;<label for="t">'.LangS('Topic',$intU).'</label><br/>
    <input type="checkbox" id="ta" name="ta" value="'.$intUN.'"'.($intUN==0 ? QDIS : '').'/>&nbsp;<label for="a">'.LangS('News',$intUN).'</label></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><i><b>'.sprintf($L['H_Topics_prune'],$d).'</b></i></td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="a" value="'.$a.'"/>
    <input type="hidden" name="d" value="'.$d.'"/>
    <input type="hidden" name="s" value="'.$s.'"/>
    <input type="submit" name="ok" value="'.$L['Delete'].'"/>
    </td></tr>
    </table></form>'.$error,
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Dflt topics

  if ( $intTopics>0 )
  {
    $oDB->Query( 'SELECT t.id FROM '.TABTOPIC.' t WHERE t.section='.$s.' AND t.replies=0 AND t.type="T" AND t.firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    $strId = '';
    while($row=$oDB->Getrow())
    {
      $strId .= $row['id'].',';
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      // delete posts and topics
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABDATA.' WHERE id IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id IN ('.$strId.')' );
    }
  }

  // News topics

  if ( $intNews>0 )
  {
    $oDB->Query( 'SELECT t.id FROM '.TABTOPIC.' t WHERE t.section='.$s.' AND t.replies=0 AND t.type="A" AND t.firstpostdate<"'.DateAdd(date('Ymd His'),-$d,'day').'"' );
    $strId = '';
    while($row=$oDB->Getrow())
    {
      $strId .= $row['id'].',';
    }
    if ( !empty($strId) )
    {
      $strId = substr($strId,0,-1);
      // delete posts and topics
      $oDB->Query( 'DELETE FROM '.TABPOST.' WHERE topic IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABDATA.' WHERE id IN ('.$strId.')' );
      $oDB->Query( 'DELETE FROM '.TABTOPIC.' WHERE id IN ('.$strId.')' );
    }
  }

  // count topics in this section

  UpdateSectionStats($s);

  // exit

  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
case 'listtrans':
// --------------

  include(Translate('qtr_adm_tf.php'));

  // attention, method POST

  $tt='ticket';
  if ( isset($_GET['tt']) ) $tt=$_GET['tt'];
  if ( isset($_POST['tt']) ) $tt=$_POST['tt'];

  $oVIP->selfname = $L['Translations'];
  $oVIP->exiturl  = 'qtr_adm_fields.php?tt='.$tt;
  $oVIP->exitname = '&laquo; '.$L['Field_upd'];

  // ask confirmation

  if ( !isset($_POST['ok']) )
  {
    // prepare languages form
    include('bin/qtr_lang.php'); // this creates $arrLang
    $str = '';
    foreach($arrLang as $strIso=>$arr)
    {
      $strPopup = cLang::GetNames('list',$strIso,$v);
      $strHelpTip = '';
      if ( !isset($intPopup) ) $intPopup = substr_count($strPopup, ';');
      if ( $intPopup!=substr_count($strPopup, ';') ) $strHelpTip = '<abbr class="helptip" title="'.$L['E_listsize'].'">'.$L['i'].'</abbr>' ;
      $str .= '<tr class="data_o"><td class="th_o th_o_first" style="width:100px;">'.$arr[1].'</td><td class="td_o"><textarea class="small" id="T'.$strIso.'" name="T'.$strIso.'" cols="50" rows="5">'.str_replace(';',"\r\n",$strPopup).'</textarea>'.$strHelpTip.'</td></tr>'.N;
    }
    // form
    $oVIP->EndMessage
    (
    NULL,
    '<h2>'.ObjTrans('field',$v).' &middot; Popup list</h2>
    <p class="help">'.$L['H_Trans_list'].'</p>
    <form method="post" action="'.$oVIP->selfurl.'?a=listtrans">
    <table cellspacing="0" class="data_o">
    '.$str.'
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="tt" value="'.$tt.'"/>
    <input type="hidden" name="fieldid" value="'.$v.'"/>
    <input type="submit" name="ok" value="'.$L['Save'].'"/></td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // delete previous
  $oDB->Query('DELETE FROM '.TABLANG.' WHERE objtype="list" AND objid="'.$_POST['fieldid'].'"');

  // save each translations
  foreach($_POST as $strKey => $strTranslation)
  {
    if ( substr($strKey,0,1)=='T' )
    {
      if ( !empty($strTranslation) )
      {
        $strTranslation = str_replace(array("\r\n","\n",'.',),';',strip_tags($strTranslation));
        $strTranslation = trim($strTranslation); if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        $oDB->Query('INSERT INTO '.TABLANG.' (objtype,objlang,objid,objname) VALUES ("list","'.strtolower(substr($strKey,1)).'","'.$_POST['fieldid'].'","'.addslashes(htmlentities($strTranslation)).'")');
      }
    }
  }

  // unregister (if it was registered)
  if ( isset($_SESSION['L']['list'][$_POST['fieldid']]) ) unset($_SESSION['L']['list'][$_POST['fieldid']]);

  // exit
  $oVIP->EndMessage('0');
  break;

// --------------
case 'defaulttrans':
// --------------

  include(Translate('qtr_adm_tf.php'));

  // Attention, method POST

  $tt='ticket';
  if ( isset($_GET['tt']) ) $tt=$_GET['tt'];
  if ( isset($_POST['tt']) ) $tt=$_POST['tt'];

  $oVIP->selfname = $L['Translations'];
  $oVIP->exiturl  = 'qtr_adm_fields.php?tt='.$tt;
  $oVIP->exitname = '&laquo; '.$L['Field_upd'];

  // Ask confirmation

  if ( !isset($_POST['ok']) )
  {
    // prepare languages form
    include('bin/qtr_lang.php'); // this creates $arrLang
    $str = '';
    foreach($arrLang as $strIso => $arr)
    {
      $strPopup = cLang::GetNames('list',$strIso,$v);
      $strHelpTip = '';
      if ( !isset($intPopup) ) $intPopup = substr_count($strPopup, ';');
      if ( $intPopup!=substr_count($strPopup, ';') ) $strHelpTip = '<abbr class="helptip" title="'.$L['E_listsize'].'">'.$L['i'].'</abbr>' ;
      $str .= '<tr class="data_o"><td class="th_o th_o_first" style="width:100px;">'.$arr[1].'</td><td class="td_o"><input type="text" class="small" id="T'.$strIso.'" name="T'.$strIso.'" size="50" maxlength="255"/></td></tr>'.N;
    }
    // form
    $oVIP->EndMessage
    (
    NULL,
    '<h2>'.ObjTrans('field',$v).' &middot; Default value</h2>
    <p class="help">'.$L['H_Trans_dflt'].'</p>
    <form method="post" action="'.$oVIP->selfurl.'?a=defaulttrans">
    <table cellspacing="0" class="data_o">
    '.$str.'
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o">
    <input type="hidden" name="tt" value="'.$tt.'"/>
    <input type="hidden" name="fieldid" value="'.$v.'"/>
    <input type="submit" name="ok" value="'.$L['Save'].'"/></td>
    </tr>
    </table>
    </form><br/>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Delete previous

  $oDB->Query('DELETE FROM '.TABLANG.' WHERE objtype="list" AND objid="'.$_POST['fieldid'].'"');

  // Save each translations

  foreach($_POST as $strKey => $strTranslation)
  {
    if ( substr($strKey,0,1)=='T' )
    {
      $strTranslation = trim($strTranslation);
      if ( !empty($strTranslation) )
      {
      $strTranslation = str_replace(array("\r\n","\n",'.',),';',strip_tags($strTranslation));
      $oDB->Query('INSERT INTO '.TABLANG.' (objtype,objlang,objid,objname) VALUES ("list","'.strtolower(substr($strKey,1)).'","'.$_POST['fieldid'].'","'.htmlentities($strTranslation).'")');
      }
    }
  }

  // Unregister (if it was registered)

  if ( isset($_SESSION['L']['list'][$_POST['fieldid']]) )  unset($_SESSION['L']['list'][$_POST['fieldid']]);

  // Exit

  $oVIP->EndMessage('0');
  break;

// --------------
case 'tags_del':
// --------------

  if ( isset($_GET['tt']) ) { $tt=strip_tags($_GET['tt']); } else { $tt='en'; }
  
  $oVIP->selfname = $L['Delete'].' CSV';
  $oVIP->exiturl = 'qtr_adm_tags.php?tt='.$tt;
  $oVIP->exitname = '&laquo; '.$L['Tags'];

  
  // Ask confirmation

  if ( !isset($_GET['ok']) )
  {
    $oVIP->EndMessage
    (
    NULL,
    '<form method="get" action="'.$oVIP->selfurl.'">
    <table class="data_o" cellspacing="0">
    <tr class="data_o">
    <td class="th_o th_o_first" style="width:150px">File</td>
    <td class="td_o">'.$v.'</td>
    </tr>
    <tr class="data_o">
    <td class="th_o th_o_first">&nbsp;</td>
    <td class="td_o"><input type="hidden" name="a" value="'.$a.'"/><input type="hidden" name="tt" value="'.$tt.'"/><input type="hidden" name="v" value="'.$v.'"/><input type="submit" name="ok" value="'.$L['Delete'].'"/>
    </td>
    </tr>
    </table>
    </form>',
    'admin',
    0,
    '600px'
    );
    exit;
  }

  // Delete

  if ( file_exists('upload/'.$v) ) unlink('upload/'.$v);

  // Exit

  $oVIP->EndMessage(NULL,$L['S_delete'],'admin',2);
  exit;
  break;

// --------------
default:
// --------------

  echo 'Unknown action';
  break;

// --------------
}

$oVIP->EndMessage('!','Command ['.$a.'] failled...',$_SESSION[QT]['skin_dir'],2);

?>