<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));

if ( $oVIP->role!='A' ) die(Error(13));

// INITIALISE

$s = -1;
$tt = 0; // 0:definition, 1:display or 9:translation
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( $s<0 ) die('Missing parameters');
if ( isset($_GET['tt']) ) $tt = intval($_GET['tt']);
if ( isset($_POST['tt']) ) $tt = intval($_POST['tt']);
if ( $tt!=0 && $tt!=1 && $tt!=9 ) die('Missing parameters');

$oVIP->selfurl = 'qtr_adm_section.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Section_upd'];
$oVIP->exiturl = 'qtr_adm_sections.php';
$oVIP->exitname = '&laquo; '.$L['Sections'];

$arrDomains = GetDomains();
$arrStaff = GetUsers('M');
if ( count($arrStaff)>10 ) { $bAjax=true; } else { $bAjax=false; }

CheckDico('tab',true);

$oSEC = new cSection($s);
$arrSectionTabs = array();
foreach(GetSectionTabs($s) as $strKey=>$oTab) { $arrSectionTabs[$strKey]=$oTab->tabname; }

// --------
// SUBMITTED
// --------

if ( isset($_POST['ok']) && $tt==0 )
{
  // CHECK MANDATORY VALUE

  $str = trim($_POST['title']); if ( get_magic_quotes_gpc() ) $str = stripslashes($str);
  $str = QTconv($str,'3',QTR_CONVERT_AMP,false);
  if ( empty($str) ) $error = $L['Title'].' '.Error(1);

  if ( empty($error) )
  {
    $oSEC->domid = intval($_POST['domain']);
    $oSEC->idtitle = $str;
    $oSEC->name = $str;
    $oSEC->type = intval($_POST['type']);
    $oSEC->status = intval($_POST['status']);
    $oSEC->notify= intval($_POST['notify']);
    if ( isset($_POST['modname']) )
    {
      if ( $_POST['modname']!=$_POST['modnameold'] )
      {
      $oSEC->modname = $_POST['modname'];
      $oSEC->modid = array_search($_POST['modname'],$arrStaff);
      if ( $oSEC->modid==FALSE || empty($oSEC->modid) ) { $oSEC->modid=1; $oSEC->modname=$arrStaff[1]; $warning=$L['Userrole_MF'].' '.Error(1); }
      }
    }
    if ( isset($_POST['modid']) )
    {
      if ( $_POST['modid']!=$_POST['modidold'] )
      {
        $oSEC->modname = $arrStaff[$_POST['modid']];
        $oSEC->modid = $_POST['modid'];
      }
    }
    $oSEC->titlefield = intval($_POST['titlefield']);
    $oSEC->numfield = trim($_POST['numfield']); if ( strlen($oSEC->numfield)==0 ) $oSEC->numfield='N';
    $oSEC->prefix = $_POST['prefix'];
    $oSEC->eventdate = intval($_POST['eventdate']);
    $oSEC->wisheddate = intval($_POST['wisheddate']);
    $oSEC->notifycc = intval($_POST['alternate']);
  }

  // SAVE

  if ( empty($error) )
  {
    // update
    
    $strQ = 'UPDATE '.TABSECTION.' SET';
    $strQ .= ' domainid='.$oSEC->domid;
    $strQ .= ',title="'.$oSEC->idtitle.'"';
    $strQ .= ',type="'.$oSEC->type.'"';
    $strQ .= ',status="'.$oSEC->status.'"';
    $strQ .= ',notify="'.$oSEC->notify.'"';
    $strQ .= ',moderator='.$oSEC->modid;
    $strQ .= ',moderatorname="'.$oSEC->modname.'"';
    $strQ .= ',titlefield="'.$oSEC->titlefield.'"';
    $strQ .= ',numfield="'.$oSEC->numfield.'"';
    $strQ .= ',alternate="'.$oSEC->notifycc.'"';
    $strQ .= ',eventdate="'.$oSEC->eventdate.'"';
    $strQ .= ',wisheddate="'.$oSEC->wisheddate.'"';
    $strQ .= ',prefix="'.$oSEC->prefix.'"';
    $strQ .= ' WHERE id='.$oSEC->id;
    $oDB->Query($strQ);

    // unregister and exit

    $oSYS->Changed();
    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
    if ( isset($_SESSION[QT]['sys_sections']) ) Unset($_SESSION[QT]['sys_sections']);    
    $strInfo = $L['S_save'];
  }

}

if ( isset($_POST['ok']) && $tt==1 )
{
    $oSEC->d_order = $_POST['d_order'];
    $oSEC->d_last = $_POST['d_last'];
    $oSEC->d_logo = $_POST['d_logo'];
    $oSEC->options = 'order='.$oSEC->d_order.';last='.$oSEC->d_last.';logo='.$oSEC->d_logo;
    $oDB->Query( 'UPDATE '.TABSECTION.' SET options="'.$oSEC->options.'" WHERE id='.$oSEC->id );
    $strInfo = $L['S_save'];
}

if ( isset($_POST['ok']) && $tt==9 )
{
    // translations

    cLang::Delete(array('sec','secdesc'),'s'.$oSEC->id);
    foreach($_POST as $strKey=>$strTranslation)
    {
      if ( substr($strKey,0,1)=='T' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('sec',substr($strKey,1),'s'.$oSEC->id,$strTranslation);
        }
      }
      if ( substr($strKey,0,1)=='D' )
      {
        if ( !empty($strTranslation) )
        {
        if ( get_magic_quotes_gpc() ) $strTranslation = stripslashes($strTranslation);
        cLang::Add('secdesc',substr($strKey,1),'s'.$oSEC->id,$strTranslation);
        }
      }
    }

    // unregister and exit

    $oSYS->Changed();
    if ( isset($_SESSION['L']) ) $_SESSION['L'] = array();
    if ( isset($_SESSION[QT]['sys_sections']) ) Unset($_SESSION[QT]['sys_sections']);    
    $strInfo = $L['S_save'];
}

// --------
// HTML START
// --------

if ( $bAjax )
{
$arrCss = array('qt_jquery.css'); 
$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
  $("#modname").autocomplete("qtr_j_name.php", {
    selectFirst: false,
    extraParams: { r:"M" }
  });
});
-->
</script>';
}

include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

$arrDest = $arrDomains;
Unset($arrDest[$oSEC->domid]);

// DISPLAY TABS

$arrTabs = array(0=>$L['Adm_settings'],1=>$L['Display_options'],9=>$L['Translations']);
echo HtmlTabs($arrTabs, $oVIP->selfurl.'?s='.$s, $tt, 6, true, true, $L['E_editing']);

// DISPLAY TAB PANEL

echo '<table class="pan" cellspacing="0">
<tr class="pan">
<td class="pan">
<div class="pan_top">',$oSEC->idtitle,' &middot; ',$arrTabs[$tt],'</div>
';

// FORM 0

if ( $tt==0 )
{

echo '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert(qtHtmldecode("',$L['Missing'],': ',$L['Title'],'")); return false; }
  return null;
}
-->
</script>
';

echo '<form method="post" action="',$oVIP->selfurl,'" onsubmit="return ValidateForm(this);">
<table class="data_o" cellspacing="0">
<tr class="data_o">
<td class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Definition'],'</b></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="width:150px; text-align:right"><span class="texthead"><label for="title">',$L['Title'],'</label></span></td>
<td class="td_o"><input type="text" id="title" name="title" size="55" maxlength="64" value="',$oSEC->name,'" style="background-color:#FFFF99;" onchange="bEdited=true;"/></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Domain'],'</span></td>
<td class="td_o"><select name="domain" onchange="bEdited=true;">
<option value="',$oSEC->domid,'"',QSEL,'>',$arrDomains[$oSEC->domid],'</option>',QTasOption($arrDest,'',array('format'=>$L['Move_to'].': %s')),'</select></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Properties'],'</b></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="type">',$L['Type'],'</label></span></td>
<td class="td_o">
<select id="type" name="type" onchange="bEdited=true;">
<option value="1"',($oSEC->type==1 ? QSEL : ''),'>',$L['Section_type'][1],'</option>
<option value="0"',($oSEC->type==0 ? QSEL : ''),'>',$L['Section_type'][0],'</option>
<option value="2"',($oSEC->type==2 ? QSEL : ''),'>',$L['Section_type'][2],'</option>
</select>
 ',$L['Status'],' <select id="status" name="status" onchange="bEdited=true;">
<option value="0"',($oSEC->status==0 ? QSEL : ''),'>',$L['Section_status'][0],'</option>
<option value="1"',($oSEC->status==1 ? QSEL : ''),'>',$L['Section_status'][1],'</option>
</select>
 ',$L['Notification'],' <select id="notify" name="notify" onchange="bEdited=true;">
<option value="1"',($oSEC->notify==1 ? QSEL : ''),'>',$L['Y'],'</option>
<option value="0"',($oSEC->notify==0 ? QSEL : ''),'>',$L['N'],'</option>
</select>
</td>
</tr>
';
if ( $bAjax )
{
echo '<tr class="data_o">
<td class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Userrole_MF'],'</span></td>
<td class="td_o">
<input type="hidden" name="modnameold" value="',$oSEC->modname,'" onchange="bEdited=true;"/>
<input name="modname" id="modname" size="20" maxlength="24" value="',$oSEC->modname,'" onchange="bEdited=true;"/>
</td>
</tr>
';
}
else
{
echo '<tr class="data_o">
<td class="th_o" style="width:150px; text-align:right"><span class="texthead">',$L['Userrole_MF'],'</span></td>
<td class="td_o">
<input type="hidden" name="modidold" value="',$oSEC->modid,'" onchange="bEdited=true;"/>
<select name="modid" id="modid" onchange="bEdited=true;">',QTasOption($arrStaff,$oSEC->modid,array('current'=>$oSEC->modid,'classC'=>'bold')),'</select>
</td>
</tr>
';
}
echo '<tr class="data_o">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead">Tabs</span></td>
<td class="td_o small">',implode(', ',$arrSectionTabs),' &middot; <a href="qtr_adm_tabs.php?s=',$s,'" onclick="return qtEdited(bEdited,\'',$L['E_editing'],'\');">',$L['Edit'],'</a></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Specific_fields'],'</b></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="numfield">',$L['Show_topic_id'],'</label></span></td>
<td class="td_o"><input type="text" size="12" maxlength="24" name="numfield" value="',($oSEC->numfield=='N' ? '' : $oSEC->numfield),'" onchange="bEdited=true;"/>&nbsp;<span class="small">',$L['H_Show_topic_id'],'</span></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="titlefield">',$L['Show_topic_title'],'</label></span></td>
<td class="td_o"><select id="titlefield" name="titlefield" onchange="bEdited=true;">',QTasOption($L['Topic_title'],$oSEC->titlefield),'</select>&nbsp;<span class="small">',$L['H_Show_topic_title'],'</span></td>
</tr>
';
echo '<tr class="data_o" title="',$L['H_Topic_prefix'],'">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="prefix">',$L['Topic_prefix'],'</label></span></td>
<td class="td_o">
<select id="prefix" name="prefix" onchange="bEdited=true;">
',QTasOption($L['Prefix_serie'],$oSEC->prefix),'
<option value="0"',($oSEC->prefix=='0' ? QSEL : ''),'>','(',$L['None'],')','</option>
</select>&nbsp;<a class="small" href="qtr_adm_prefix.php" target="_blank">',$L['Topic_prefix_demo'],'</a>
</td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="eventdate">',$L['Show_topic_eventdate'],'</label></span></td>
<td class="td_o">
<select id="eventdate" name="eventdate" onchange="bEdited=true;">
<option value="0"',($oSEC->eventdate=='0' ? QSEL : ''),'>',$L['Topic_eventdate'][0],'</option>
<optgroup label="',$L['Date'],'">
<option value="1"',($oSEC->eventdate=='1' ? QSEL : ''),'>',$L['Topic_eventdate'][1],'</option>
<option value="2"',($oSEC->eventdate=='2' ? QSEL : ''),'>',$L['Topic_eventdate'][2],'</option>
</optgroup>
<optgroup label="',$L['Date'],' + ',$L['Time'],'">
<option value="3"',($oSEC->eventdate=='3' ? QSEL : ''),'>',$L['Topic_eventdate'][3],'</option>
<option value="4"',($oSEC->eventdate=='4' ? QSEL : ''),'>',$L['Topic_eventdate'][4],'</option>
</optgroup>
</select> <span class="small">',$L['H_Show_topic_eventdate'],'</span>
</td>
</tr>
';
echo '<tr class="data_o" title="',$L['H_Show_topic_wisheddate'],'">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="wisheddate">',$L['Show_topic_wisheddate'],'</label></span></td>
<td class="td_o">
<select id="wisheddate" name="wisheddate" onchange="bEdited=true;">',QTasOption($L['Topic_wisheddate'],$oSEC->wisheddate),'</select>
</td>
</tr>
';
echo '<tr class="data_o" title="',$L['H_Show_topic_notify'],'">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="prefix">',$L['Show_topic_notify'],'</label></span></td>
<td class="td_o">
<select id="alternate" name="alternate" onchange="bEdited=true;">',QTasOption($L['Topic_notify'],$oSEC->notifycc),'</select>
</td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" colspan="2" style="padding:6px; text-align:center">
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></td>
</tr>
';
echo '</table>
</form>
';

}

// FORM 1

if ( $tt==1 )
{

$strLogo='';
if ( file_exists('upload/section/'.$s.'.gif') ) $strLogo = $s.'.gif';
if ( file_exists('upload/section/'.$s.'.jpg') ) $strLogo = $s.'.jpg';
if ( file_exists('upload/section/'.$s.'.png') ) $strLogo = $s.'.png';
if ( file_exists('upload/section/'.$s.'.jpeg') ) $strLogo = $s.'.jpeg';

echo '
<script type="text/javascript">
<!--
function switchimage(strId)
{
  var strDefault="'.$_SESSION[QT]['skin_dir'].'/ico_section_'.$oSEC->type.'_'.$oSEC->status.'.gif";
  var strSpecific="upload/section/',$strLogo,'";
  document.getElementById(strId).src=(document.getElementById(strId).src.search(strDefault)==-1 ? strDefault : strSpecific);
  return null;
}
-->
</script>
';

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="data_o" cellspacing="0">
';
echo '<tr class="data_o">
<td class="th_o th_o_all" style="text-align:left" colspan="2"><b>',$L['Display_options'],'</b></td>
</tr>
';

if ( !empty($strLogo) ) $strLogo = '<option value="'.$strLogo.'"'.(empty($oSEC->d_logo) ? '' : QSEL).'>'.$L['Specific_image'].'</option>';

echo '<tr class="data_o">
<td class="th_o" style="width:150px; text-align:right"><span class="texthead">Logo</span></td>
<td class="td_o"><select name="d_logo" onchange="bEdited=true; switchimage(\'idlogo\');">
<option value=""',(empty($oSEC->d_logo) ? QSEL : ''),'>',$L['Default'],'</option>
',$strLogo.'
</select> ',AsImg($oSEC->GetLogo(),'S',$L['Ico_section_'.$oSEC->type.'_'.$oSEC->status],'ico i_sec','vertical-align:middle','','idlogo'),' <a class="small" href="qtr_adm_section_img.php?s=',$s,'">',$L['Add'],'/',$L['Remove'],'</a>
</td>
</tr>
';
$arr = array('lastpostdate'=>$L['Last_message'].' '.strtolower($L['Date']),'numid'=>'Reference number','title'=>$L['Title']);
echo '<tr class="data_o">
<td class="th_o" style="width:150px; text-align:right"><span class="texthead">Tickets order</span></td>
<td class="td_o">
<select name="d_order" id="d_order" onchange="bEdited=true;"/>',QTasOption($arr,$oSEC->d_order,array('current'=>$oSEC->d_order,'classC'=>'bold')),'</select>
</td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" style="text-align: right; width:150px"><span class="texthead"><label for="d_last">',$L['Infofield'],'</label></span></td>
<td class="td_o">
<select id="d_last" name="d_last" onchange="bEdited=true;">
',QTasOption(array('0'=>'('.$L['None'].')','views'=>$L['Views'],'eventdate'=>$L['Eventdate'],'wisheddate'=>$L['Wisheddate'],'status'=>$L['Status'],'actorname'=>$L['Userrole_MA'],'notifiedname'=>$L['Userrole_UN'],'tags'=>$L['Tags']),$oSEC->d_last),'
</select></td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" colspan="2" style="padding:6px; text-align:center">
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></td>
</tr>
';
echo '</table>
</form>
';

}

// FORM 9

if ( $tt==9 )
{

echo '<form method="post" action="',$oVIP->selfurl,'">
<table class="data_o" cellspacing="0">
';
echo '<td class="th_o th_o_all" colspan="3">',$L['Translations'],'</td>
<tr class="data_o">
<td class="th_o th_o_first">',$L['Section_name_and_desc'],'</td>
<td class="td_o" colspan="2">
<p class="help">',sprintf($L['E_no_translation'],$oSEC->idtitle),'</p>
<table cellspacing="0" class="hidden">';
$arrTrans = cLang::GetTrans('sec','s'.$oSEC->id);
$arrDescTrans = cLang::GetTrans('secdesc','s'.$oSEC->id);
include('bin/qtr_lang.php'); // this creates $arrLang
foreach($arrLang as $strIso=>$arr)
{
  $str = '';
  if ( isset($arrTrans[$strIso]) ) {
  if ( !empty($arrTrans[$strIso]) ) {
    $str = QTconv($arrTrans[$strIso],'I');
  }}
  echo '
  <tr class="hidden">
  <td class="hidden" style="width:30px"><span title="',$arr[1],'">',$arr[0],'</span></td>
  <td class="hidden"><input class="small" title="',$L['Section'],' (',$strIso,')" type="text" id="T',$strIso,'" name="T',$strIso,'" size="30" maxlength="64" value="',$str,'" onchange="bEdited=true;"/>&nbsp;</td>';
  $str = '';
  if ( isset($arrDescTrans[$strIso]) ) {
  if ( !empty($arrDescTrans[$strIso]) ) {
    $str = QTconv($arrDescTrans[$strIso],'I');
  }}
  echo '<td class="hidden"><textarea class="small" title="',$L['Description'],' (',$strIso,')" type="text" id="D',$strIso,'" name="D',$strIso,'" cols="45" rows="2" onchange="bEdited=true;">',$str,'</textarea></td>
  </tr>
  ';
}
echo '</table>
</td>
</tr>
';
echo '<tr class="data_o">
<td class="th_o" colspan="3" style="padding:6px; text-align:center">
<input type="hidden" name="s" value="',$oSEC->id,'"/>
<input type="hidden" name="tt" value="',$tt,'"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></td>
</tr>
';
echo '</table>
</form>
';

}

// END TABS

echo '
</td>
</tr>
</table>
';

echo '<p><a href="',$oVIP->exiturl,'" onclick="return qtEdited(bEdited,\'',$L['E_editing'],'\');">',$oVIP->exitname,'</a></p>';

// HTML END

include('qtr_adm_p_footer.php');

?>