<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
require_once('bin/qtr_fn_edit.php');
include(Translate('qtr_adm.php'));

if ( $oVIP->role!='A' ) die(Error(13));

// INITIALISE

$s = -1;
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( $s<0 ) die('Missing parameters');

$oSEC = new cSection($s);

$intWidth = 50;
$intSize = 10;

$oVIP->selfurl = 'qtr_adm_section_img.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Section_upd'];
$oVIP->exiturl = 'qtr_adm_section.php?tt=1&s='.$s;

// --------
// SUBMITTED FOR DELETE 
// --------

if ( isset($_POST['del']) )
{
  unlink('upload/section/'.$oSEC->d_logo);
  $oSEC->ChangeOption('logo','');

  $oVIP->selfname = $L['Section_upd'];
  $oVIP->EndMessage(NULL,$L['S_delete'],$_SESSION[QT]['skin_dir'],2);
}

// --------
// SUBMITTED FOR UPLOAD
// --------

if ( isset($_POST['ok']) )
{
  // Check uploaded document

  $error = InvalidUpload($_FILES['title'],'gif,jpg,jpeg,png','',0,50,50);

  // Upload

  if ( empty($error) )
  {
    $strExt = strtolower(substr(strrchr($_FILES['title']['name'],'.'),1));
    if ( !copy($_FILES['title']['tmp_name'],'upload/section/'.$s.'.'.$strExt) ) $error='Problem to copy the uploaded file in the application directory (upload/section/).';
    unlink($_FILES['title']['tmp_name']);
  }
  
  // Update section
  
  if ( empty($error) )
  {
    $oSEC->ChangeOption('logo',$s.'.'.$strExt);
    $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
  }
  else
  {
    $oVIP->EndMessage(NULL,$error,$_SESSION[QT]['skin_dir'],0);
  }
}

// --------
// HTML START
// --------

$strHeadScript = '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert("'.$L['Missing'].': File"); return false; }
  return null;
}
-->
</script>
';
include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

$strLogo='';
if ( file_exists('upload/section/'.$s.'.gif') ) $strLogo = $s.'.gif';
if ( file_exists('upload/section/'.$s.'.jpg') ) $strLogo = $s.'.jpg';
if ( file_exists('upload/section/'.$s.'.png') ) $strLogo = $s.'.png';
if ( file_exists('upload/section/'.$s.'.jpeg') ) $strLogo = $s.'.jpeg';

echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden" style="width:175px;"><br/>',AsImgBox(AsImg('upload/section/'.$strLogo),'picbox'),'</td>',N;
echo '<td class="hidden">',N;

HtmlMsg(0,'400px','',$L['Add'].' logo');

echo '<form method="post" action="',$oVIP->selfurl,'" enctype="multipart/form-data" onsubmit="return ValidateForm(this);">',N;

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',N;
echo '<p style="text-align:right">',N;
echo '(max ',$intWidth,'x',$intWidth,' pixels)<br/><br/>',N;
echo '<input type="hidden" name="max_file_size" value="',($intSize*1024),'"/>',N;
echo '<input type="hidden" name="s" value="',$s,'"/>',N;
echo '<input type="file" id="title" name="title" size="32"/>',N;
echo '<input type="submit" name="ok" value="',$L['Save'],'"/></p>',N;
echo '</form>',N;

HtmlMsg(1);

if ( !empty($str) )
{
  HtmlMsg(0,'400px','',$L['Remove'].' logo');
  echo '<form method="post" action="',$oVIP->selfurl,'">
  <p style="text-align:right">
  <input type="hidden" name="s" value="',$s,'"/>
  <input type="submit" name="del" value="',$L['Delete'],'"/></p>
  </form>
  ';
  HtmlMsg(1);
}

echo '
</td>
</tr>
</table>
<p>&laquo; <a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>
';

// HTML END

include('qtr_adm_p_footer.php');

?>