<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
include(Translate('qtr_adm.php'));
include(Translate('qtr_adm_tf.php'));

if ( $oVIP->role!='A' ) die(Error(13));

function arrShift($arrSrc,$intObject,$strDir)
{
  $arrTemp = $arrSrc;

  // search for the value
  foreach($arrSrc as $intKey => $intValue)
  {
  if ( $intValue==$intObject ) $intNewkey = $intKey;
  }
  if ( !isset($intNewkey) ) return false;
  if ( $intNewkey==0 && $strDir=='up' ) return $arrSrc;
  if ( $intNewkey==(count($arrSrc)-1) && $strDir=='down' ) return $arrSrc;

  // reorder the elements
  if ( $strDir=='up' ) { $intDir = -1; } else { $intDir = 1; }
  $arrTemp[$intNewkey+$intDir] = $arrSrc[$intNewkey];
  $arrTemp[$intNewkey] = $arrSrc[$intNewkey+$intDir];

  // return the ordered array
  return $arrTemp;
}

// --------
// INITIALISE
// --------

$s = -1;
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( $s<0 ) die('Missing parameters');

$strCurrentTab = '';
if ( isset($_GET['tt']) ) $strCurrentTab = $_GET['tt'];
if ( isset($_POST['tt']) ) $strCurrentTab = $_POST['tt'];

$oVIP->selfurl = 'qtr_adm_tabs.php';
$oVIP->selfname = '<span class="upper">'.$L['Adm_content'].'</span><br/>'.$L['Sectiontabs'];
$oVIP->exiturl = 'qtr_adm_sections.php';
$oVIP->exitname = $L['Sections'];

$oSEC = new cSection($s);

// Tabs dictionary

CheckDico('tag',true);

// --------
// SUBMITTED move or delete
// --------

if ( isset($_GET['a']) )
{
  if ( $_GET['a']=='up' )
  {
    $oDB->Query('SELECT tabid FROM '.TABTAB.' WHERE section='.$s.' ORDER BY taborder');
    $arrList = array();
    while($row=$oDB->Getrow())
    {
    $arrList[]=$row['tabid'];
    }
    $arrOrdered = arrShift($arrList,$_GET['id'],'up');
    $i = 0;
    foreach($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABTAB.' SET taborder='.$i.' WHERE section='.$s.' AND tabid="'.$intId.'"');
    $i++;
    }
  }
  if ( $_GET['a']=='down' )
  {
    $oDB->Query('SELECT tabid FROM '.TABTAB.' WHERE section='.$s.' ORDER BY taborder');
    $arrList = array();
    while($row=$oDB->Getrow())
    {
    $arrList[]=$row['tabid'];
    }
    $arrOrdered = arrShift($arrList,$_GET['id'],'down');
    $i = 0;
    foreach($arrOrdered as $intId)
    {
    $oDB->Query('UPDATE '.TABTAB.' SET taborder='.$i.' WHERE section='.$s.' AND tabid="'.$intId.'"');
    $i++;
    }
  }
  if ( $_GET['a']=='del' )
  {
     cTab::Delete($s,$_GET['id']);
     $strInfo = $L['S_delete'];
  }
}

// --------
// SUBMITTED add
// --------

if ( isset($_POST['okadd']) )
{
  // check id

  $id = $_POST['id'];
  if ( $id=='*' )
  {
    // new tab to create
    $id = trim($_POST['idnew']); if ( get_magic_quotes_gpc() ) $id = stripslashes($id);
    $id = QTconv($id,'K');
    if ( !ereg('^[a-z0-9_]+$',$id) ) $error="Id $id ".Error(1).' (lowercase)';
  }

  // Add tab

  if ( empty($error) )
  {
    $error = cTab::Add($s,$id);
    if ( empty($error) ) $strInfo = $L['S_insert'];
  }
}

// --------
// HTML START
// --------

$arrTabs = GetSectionTabs($s);

  // other tabs
  $arrTabsOther = array();
  $oDB->Query('SELECT DISTINCT tabid FROM '.TABTAB.' ORDER by tabid');
  while($row=$oDB->Getrow())
  {
    if ( !array_key_exists($row['tabid'],$arrTabs) ) $arrTabsOther[$row['tabid']] = ObjTrans('tab',$row['tabid'],true);
  }
  $arrTabsOther['*'] = $L['Create_tab'].' &raquo;';

// WARNINGS

if ( count($arrTabs)>7 ) $warning = $L['E_more_than_6'];

// DISPLAY

include('qtr_adm_p_header.php');
include('qtr_adm_p_title.php');

// PREVIEW

$tt = 'ticket';
if ( isset($_GET['tt']) ) $tt = $_GET['tt'];
if ( isset($_POST['tt']) ) $tt = $_POST['tt'];

echo '
<h2>',$L['Preview'],' &middot; ',$oSEC->name,'</h2>
<div style="margin:0; padding:15px; border:1px dotted #AAAAAA;">
',HtmlTabs( $arrTabs, $oVIP->selfurl.'?s='.$s, $tt ),'
<table class="pan" cellspacing="0">
<tr class="pan">
<td class="pan">
<div class="pan_top">',( isset($_SESSION['L']['tabdesc'][$tt]) ? ObjTrans('tabdesc',$tt,false) : ObjTrans('tab',$tt) ),'</div>
</td>
</tr>
</table>
</div>
';

echo '
<script type="text/javascript">
<!--
function iddisabled(str)
{
  if (str=="*")
  {
  document.getElementById("idnew").disabled=false;
  }
  else
  {
  document.getElementById("idnew").disabled=true;
  }
  return null;
}
function ValidateForm(theForm)
{
  if (theForm.id.value.length<1) { alert(qtHtmldecode("',$L['Missing'],': tab id")); return false; }
  return null;
}
-->
</script>
';

echo '<h2>',$L['Tabs_upd'],' &middot; ',$oSEC->name,'</h2>';

echo '<table cellspacing="0" class="data_o">
<colgroup span="4"><col></col><col></col><col width="150"></col><col width="150"></col></colgroup>
<tr class="data_o">
<td class="th_o" style="text-align:left">Tab</td>
<td class="th_o">',$L['Visible'],'</td>
<td class="th_o">',$L['Action'],'</td>
<td class="th_o">',$L['Move'],'</td>
</tr>
';
$j = 0;
foreach($arrTabs as $strTabid=>$oTab)
{
  // replace visibility for some tabs
  $strSelect = $L['Y']; if ( $oTab->tabselect=='0' ) $strSelect = '<span class="bold">'.$L['N'].'</span>';
  if ( $strTabid=='ticket' || $strTabid=='documents' || $strTabid=='messages' ) $strSelect = $L['Y']; // some tabs are alway visible
  if ( $strTabid=='documents' && $_SESSION[QT]['upload']=='0' ) { $strSelect = '<span class="bold">'.$L['N'].'</span> <abbr class="helptip" title="'.$L['E_docnotallowed'].'">'.$L['i'].'</abbr>'; }

  echo '<tr class="data_o rowlight">',N;
  echo '<td class="td_o td_o_inf">',(count($oSEC->tabs)>6 && $j>4 ? '<img class="i_sort" src="admin/sort_desc.gif" alt="v" title="Displayed in popup"/> ' : ''),'<a class="bold" href="qtr_adm_tab.php?s=',$s,'&amp;id=',$strTabid,'" title="Edit content">',$oTab->tabname,'</a>',(empty($oTab->tabdesc) ? '' : ' <span class="disabled">&middot; '.$oTab->tabdesc.'</span>'),'</td>',N;
  echo '<td class="td_o td_o_sta">',$strSelect,'</td>',N;
  echo '<td class="td_o td_o_sta"><a class="small" href="qtr_adm_tab.php?s=',$s,'&amp;id=',$strTabid,'">',$L['Edit'],'</a>&nbsp;&middot;&nbsp;';
  if ( $strTabid=='ticket' || $strTabid=='messages' || $strTabid=='documents' ) { echo '<span class="disabled">',$L['Remove']; } else { echo '<a class="small" href="',$oVIP->selfurl,'?s=',$s,'&amp;id=',$strTabid,'&amp;a=del">',$L['Remove'],'</a>'; }
  echo '</td>',N;
  echo '<td class="td_o" style="text-align:center">';
  if ( $j==0 ) { echo '<span class="disabled">',$L['Up'],'</span>'; } else { echo '<a class="small" href="',$oVIP->selfurl,'?s=',$s,'&amp;id=',$strTabid,'&amp;a=up">',$L['Up'],'</a>'; }
  echo ' &middot; ';
  if ( $j+1==count($arrTabs) ) { echo '<span class="disabled">',$L['Down'],'</span>'; } else { echo '<a class="small" href="',$oVIP->selfurl,'?s=',$s,'&amp;id=',$strTabid,'&amp;a=down">',$L['Down'],'</a>'; }
  $j++;
  echo '</td></tr>',N;
}

if ( count($arrTabs)==0 ) echo '<tr class="data_o"><td class="td_o td_o_inf disabled" colspan="5">',$L['None'],'...</td></tr>';

echo '
<tr class="data_o">
<td class="td_o" colspan="4">
<form method="post" action="',$oVIP->selfurl,'" onsubmit="return ValidateForm(this);">
<select id="id" name="id" onchange="iddisabled(this.value)">',QTasOption($arrTabsOther),'</select>
 <input type="text" id="idnew" name="idnew" value="" size="24" maxlength="24" class="small"',(count($arrTabsOther)==1 ? '' : QDIS),'/>
<input type="hidden" id="s" name="s" value="',$s,'"/>
 <input type="submit" id="okadd" name="okadd" value="',$L['Add'],'"/>
</from>
</td>
</tr>
</table>
';

echo '
<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>
';

// --------
// HTML END
// --------

include('qtr_adm_p_footer.php');

?>