<?php

/**
* PHP versions 4 and 5
*
* LICENSE: This source file is subject to version 3.0 of the PHP license
* that is available through the world-wide-web at the following URI:
* http://www.php.net/license. If you did not receive a copy of
* the PHP License and are unable to obtain it through the web, please
* send a note to license@php.net so we can mail you a copy immediately.
*
* @category   Safety
* @package    QT-registerations
* @author     Philippe Vandenberghe <info@qt-cute.org>
* @copyright  2008-2012 The PHP Group
* @version    2.2.5 build:20090823
* @since      File available since Release 1.0.0
* @deprecated File deprecated in Release 3.0.0
*/

session_start();
require_once('bin/qtr_init.php');
if ( !isset($_GET['s']) ) die('Missing section id...');
if ( !$oVIP->CanView('V2') ) HtmlPage(11);
if ( $oVIP->role > $_SESSION[QT]['show_calendar'] ) HtmlPage(11);

// ---------
// INITIALISE
// ---------

$s = intval($_GET['s']);
$v = 'firstpostdate';
if ( isset($_GET['v']) )
{
  if ( in_array($_GET['v'],array('firstpostdate','lastpostdate','wisheddate','eventdate')) ) $v = $_GET['v'];
}
$intYear = intval(date('Y')); if ( isset($_GET['y']) ) $intYear = intval($_GET['y']);
$intMonth = intval(date('n')); if ( isset($_GET['m']) ) $intMonth = intval($_GET['m']);
$strOptions = '';

// moderator settings

if ( !isset($_SESSION[QT]['cal_showall']) ) $_SESSION[QT]['cal_showall'] = false;
if ( !isset($_SESSION[QT]['show_closed']) ) $_SESSION[QT]['show_closed'] = true;
if ( !isset($_SESSION[QT]['cal_shownews']) ) $_SESSION[QT]['cal_shownews'] = false;

if ( isset($_GET['Maction']) )
{
if ( $_GET['Maction']=='this' ) $_SESSION[QT]['cal_showall'] = false;
if ( $_GET['Maction']=='all' ) $_SESSION[QT]['cal_showall'] = true;
if ( $_GET['Maction']=='show_Z' ) $_SESSION[QT]['show_closed']=true;
if ( $_GET['Maction']=='hide_Z' ) $_SESSION[QT]['show_closed']=false;
if ( $_GET['Maction']=='hide_News' ) $_SESSION[QT]['cal_shownews'] = false;
if ( $_GET['Maction']=='show_News' ) $_SESSION[QT]['cal_shownews'] = true;
}
if ( !$_SESSION[QT]['show_closed'] ) $strOptions .= 'status<>"Z" AND ';
if ( !$_SESSION[QT]['cal_showall'] ) $strOptions .= 'section='.$s.' AND ';
if ( !$_SESSION[QT]['cal_shownews'] ) $strOptions .= 'type="T" AND ';

$dToday = mktime(0,0,0,date('n'),date('j'),date('Y'));

if ( $intYear>2037 ) die('Invalid year');
if ( $intYear<1970 ) die('Invalid year');
if ( $intMonth>12 ) die('Invalid month');
if ( $intMonth<1 ) die('Invalid month');

$oSEC = new cSection($s);

$oVIP->selfurl = 'qtr_calendar.php';
$oVIP->selfuri = 'qtr_calendar.php?s='.$s.'&amp;v='.$v.'&amp;y='.$intYear.'&amp;m='.$intMonth;
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

// MAP MODULE

if ( UseModule('map') ) { $strCheck=$s; include('qtrm_map_ini.php'); } else { $bMap=false; }

// Date parameters

$dCurrentDate = mktime(0,0,0,$intMonth,1,$intYear);
$dMainDate = $dCurrentDate;
$dFirstDay = mktime(0,0,0,$intMonth,1,$intYear);
if ( date('l',$dFirstDay)!='Monday' )
{
  $dFirstDay = strtotime('-1 week',$dFirstDay);
  $dFirstMonday = strtotime('next monday',$dFirstDay);
  // correction for php 4.2
  // find last monday
  for ($i=date('j',$dFirstDay);$i<32;$i++)
  {
    $dI = mktime(0,0,0,date('n',$dFirstDay),$i,date('Y',$dFirstDay));
    if ( !$dI )
    {
    if ( date('N',$dI)==1 ) $dFirstMonday = $dI;
    }
  }
  $dFirstDay = $dFirstMonday;
}
$intShiftWeek = intval(date('W',$dFirstDay)); if ( $intShiftWeek>53 ) $intShiftWeek==1;

// --------
// HTML START
// --------

$arrCss = array('qtr_main2.css');
 
$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript">
<!--
$(function() {
  $(".ajaxmouseover").mouseover(function() {
    $.post("qtr_j_topic.php",
    {id:this.id,lang:"'.$_SESSION[QT]['language'].'"},
    function(data) { 
      if ( data.length>0 ) document.getElementById("title_err").innerHTML=data;
    });
  });
});
-->
</script>
';

include('qtr_p_header.php');

// Moderator actions

if ( $oVIP->IsStaff() )
{
echo '<form method="get" action="qtr_calendar.php" id="m-form">
<div class="modboard">
<span class="modboard">';
echo $L['Userrole'][$oVIP->role],':&nbsp;<input type="hidden" name="s" value="',$s,'"/>';
echo '<input type="hidden" name="v" value="',$v,'"/>
<input type="hidden" name="y" value="',$intYear,'"/>
<input type="hidden" name="m" value="',$intMonth,'"/>
<select name="Maction" class="small" onchange="document.getElementById(\'m-form\').submit();">
<option value="">',S,'</option>
<option value="show_Z"',($_SESSION[QT]['show_closed'] ? ' class="bold"' : ''),'>',$L['Topic_closed_show'],'</option>
<option value="hide_Z"',(!$_SESSION[QT]['show_closed'] ? ' class="bold"' : ''),'>',$L['Topic_closed_hide'],'</option>
<option value="0" disabled="disabled">-----------------</option>
<option value="show_News"',($_SESSION[QT]['cal_shownews'] ? ' class="bold"' : ''),'>',$L['Topic_news_show'],'</option>
<option value="hide_News"',(!$_SESSION[QT]['cal_shownews'] ? ' class="bold"' : ''),'>',$L['Topic_news_hide'],'</option>
<option value="0" disabled="disabled">-----------------</option>
<option value="all"',($_SESSION[QT]['cal_showall'] ? ' class="bold"' : ''),'>',$L['Topic_show_all'],'</option>
<option value="this"',(!$_SESSION[QT]['cal_showall'] ? ' class="bold"' : ''),'>',$L['Topic_show_this'],'</option>
</select>&nbsp;<input type="submit" name="m-ok" class="small" value="',$L['Ok'],'" id="m-ok"/>
<script type="text/javascript">
<!--
document.getElementById("m-ok").style.visibility="hidden";
document.getElementById("m-ok").value="";
-->
</script>
</span></div>
</form>
';
}

// Query: list of topics per day in this section

$arrTopics = array();
$intCountTopics = 0;
$arrCountTopics = array();

switch(substr($oDB->type,0,5))
{
case 'mysql': $strQ = 'SELECT id,numid,type,status,SUBSTRING('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' LEFT('.$v.',6)="'.($intYear*100+$intMonth).'"'; break;
case 'mssql': $strQ = 'SELECT id,numid,type,status,SUBSTRING('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' LEFT('.$v.',6)="'.($intYear*100+$intMonth).'"'; break;
case 'pg':    $strQ = 'SELECT id,numid,type,status,SUBSTRING('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTRING('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
case 'ibase': $strQ = 'SELECT id,numid,type,status,SUBSTRING('.$v.' FROM 7 FOR 2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTRING('.$v.' FROM 1 FOR 6)="'.($intYear*100+$intMonth).'"'; break;
case 'sqlit': $strQ = 'SELECT id,numid,type,status,SUBSTR('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTR('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
case 'acces': $strQ = 'SELECT id,numid,type,status,MID('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' LEFT('.$v.',6)="'.($intYear*100+$intMonth).'"'; break;
case 'db2':   $strQ = 'SELECT id,numid,type,status,SUBSTR('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTR('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
case 'oci':   $strQ = 'SELECT id,numid,type,status,SUBSTR('.$v.',7,2) as eventday,y,x FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTR('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
default: die('Unknown db type '.$oDB->type);
}

$oDB->Query($strQ);
while($row=$oDB->Getrow())
{
  if ( !empty($row['eventday']) )
  {
    $intDay = intval($row['eventday']);
    if ( !empty($intDay) )
    {
    $arrTopics[$intDay][]=$row;
    $intCountTopics++;
    if ( !isset($arrCountTopics[$row['status']]) ) { $arrCountTopics[$row['status']]=1; } else { $arrCountTopics[$row['status']]++; }
    }
  }
}

// --------
// DISPLAY MAIN CALENDAR
// --------

// Form

echo '
<table class="hidden" cellspacing="0" style="width:700px"><tr class="hidden" style="vertical-align:middle">
<td>
<h2>';
if ( date('n',$dCurrentDate)>1 ) echo '<a href="',$oVIP->selfurl,'?s=',$s,'&amp;v=',$v,'&amp;y=',$intYear,'&amp;m='.(date('n',$dCurrentDate)-1).'">&lt;</a> ';
echo $L['dateMMM'][date('n',$dCurrentDate)];
if ( date('n',$dCurrentDate)<12 ) echo ' <a href="',$oVIP->selfurl,'?s=',$s,'&amp;v=',$v,'&amp;y=',$intYear,'&amp;m='.(date('n',$dCurrentDate)+1).'">&gt;</a>';
echo '</h2>
</td>
<td style="text-align:right; vertical-align:middle">
<form class="small" method="get" action="',$oVIP->selfurl,'">
<input type="hidden" name="s" id="s" value="',$s,'"/>
<input type="hidden" name="v" id="v" value="',$v,'"/>
<input type="hidden" name="y" id="y" value="',$intYear,'"/>
',$L['Display_at'],' <select class="small" name="v">
<option value="firstpostdate"',($v=='firstpostdate' ? QSEL : ''),'>',$L['First_message'],'</option>
<option value="lastpostdate"',($v=='lastpostdate' ? QSEL : ''),'>',$L['Last_message'],'</option>
<option value="-" disabled="disabled">-----------------</option>
<option value="wisheddate"',($v=='wisheddate' ? QSEL : ''),'>',$L['Wisheddate'],'</option>
<option value="eventdate"',($v=='eventdate' ? QSEL : ''),'>',$L['Eventdate'],'</option>
</select>
',$L['Month'],' <select class="small" name="m">
';
for ($i=1;$i<13;$i++)
{
echo '<option',($i==date('n') ? ' class="bold" ' : ''),' value="',$i,'"',($i==$intMonth ? QSEL : ''),'>',$L['dateMMM'][$i],'</option>';
}
echo '</select> ';
echo '<select class="small" name="y">';
for ($i=$intYear-1;$i<$intYear+2;$i++)
{
echo '<option value="',$i,'"',($i==$intYear ? QSEL : ''),'>',$i,'</option>';
}
echo '</select> <input class="small" type="submit" name="submit" id="submit" value="',$L['Ok'],'"/></td>',N;
echo '</form></td>';
echo '</tr></table>';

// Calendar

echo '<table class="data_s" cellspacing="0" style="width:700px">';
echo '<tr class="data_s">';
echo '<th class="week date_first">&nbsp;</th>';
foreach($L['dateDDD'] as $i=>$str)
{
echo '<th class="date d',$i,'" style="width:95px">',$str,'</th>';
}
echo '</tr>';

$iShift=0;
for ($intWeek=0;$intWeek<6;$intWeek++)
{
  echo '<tr class="data_s">';
  echo '<th class="week">',$intShiftWeek,'</th>'; $intShiftWeek++;
  for ($intDay=1;$intDay<8;$intDay++)
  {
    $d = strtotime("+$iShift days",$dFirstDay); $iShift++;
    $intShiftYear = date('Y',$d);
    $intShiftMonth = date('n',$d);
    $intShiftDay = date('j',$d);

    // date number
    if ( date('n',$dCurrentDate)==date('n',$d) )
    {
      echo '<td class="date d',$intDay,'"',(date('z',$dToday)==date('z',$d) ? ' id="zone_today"' : ''),'>';
      echo '<p class="datenumber">',$intShiftDay,'</p><p class="dateicon">&nbsp;';
      // date info topic
      if ( isset($arrTopics[$intShiftDay]) )
      {
        $intTopics = 0;
        Foreach ($arrTopics[$intShiftDay] as $intKey=>$arrValues)
        {
          $intTopics++;
          $oTopic = new cTopic($arrValues);

          if ( $bMap ) {
          if ( !empty($oTopic->y) && !empty($oTopic->x) ) {

            $strPname = $intShiftDay.' '.$L['dateMMM'][date('n',$dCurrentDate)].' - ';
            if ( $s==$oTopic->section ) { $strPname .= ($oSEC->numfield=='N' ? '' : sprintf($oSEC->numfield,$oTopic->numid)); } else { $strPname .= sprintf('%03s',$oTopic->numid); }
            $strPname .= ' '.$oSYS->statuses[$oTopic->status]['statusname'];
            $strPlink = '<a class="gmap" href="qtr_topic.php?s='.$oTopic->section.'&amp;t='.$oTopic->id.'">'.$L['Topic'].'</a> &middot; <a class="small" href="http://maps.google.com?q='.$oTopic->y.','.$oTopic->x.'+('.urlencode($strPname).')&z='.$_SESSION[QT]['m_map_gzoom'].'" title="'.$L['map']['In_google'].'" target="_blank">[G]</a>';
            $strPinfo = '<span class="small bold">Lat: '.QTdd2dms($oTopic->y).' <br/>Lon: '.QTdd2dms($oTopic->x).'</span><br/><span class="small">DD: '.round($oTopic->y,8).', '.round($oTopic->x,8).'</span><br/>'.$strPlink;
            $oMapPoint = new cMapPoint($oTopic->y,$oTopic->x,$strPname,$strPname.'<br/>'.$strPinfo);
            if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['icon']) )        $oMapPoint->icon        = $_SESSION[QT]['m_map'][$oTopic->section]['icon'];
            if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['shadow']) )      $oMapPoint->shadow      = $_SESSION[QT]['m_map'][$oTopic->section]['shadow'];
            if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['printicon']) )   $oMapPoint->printicon   = $_SESSION[QT]['m_map'][$oTopic->section]['printicon'];
            if ( isset($_SESSION[QT]['m_map'][$oTopic->section]['printshadow']) ) $oMapPoint->printshadow = $_SESSION[QT]['m_map'][$oTopic->section]['printshadow'];
            $arrExtData[] = $oMapPoint;

          }}

          // icon
          if ( strtolower($oTopic->type)=='a' )
          {
            $strTicon = $_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif';
            $strTname = $L['Ico_topic_a_0'];
          }
          else
          {
            if ( isset($oSYS->statuses[$oTopic->status]['statusname']) )
            {
            $strTicon = $_SESSION[QT]['skin_dir'].'/'.$oSYS->statuses[$oTopic->status]['icon'];
            $strTname = $oSYS->statuses[$oTopic->status]['statusname'];
            }
            else
            {
            $strTicon = 'admin/ico_status.gif';
            $strTname = 'unknown status';
            }
          }
          if ( $intTopics>=12 )
          {
            echo '...';
            break;
          }
          else
          {
            $str='';
            if ( $bMap ) {
            if ( $bMapGoogle && !$_SESSION[QT]['m_map_hidelist'] && !empty($oTopic->y) && !empty($oTopic->x) ) {
            $str = ' onmouseover="map.setCenter(new GLatLng('.$oTopic->y.','.$oTopic->x.'));"';
            }}
            echo '<a class="ajaxmouseover" id="t',$oTopic->id,'"',$str,' href="qtr_topic.php?s=',$s,'&amp;t=',$oTopic->id,'">',AsImg($strTicon,'T',$strTname,'ico i_topic'),'</a> ';
          }
        }
      }
    }
    else
    {
      echo '<td class="date_out">';
      echo '<p class="datenumber">',$intShiftDay,'</p><p class="dateicon">&nbsp;';
    }
    echo '</p></td>';
  }
  echo '</tr>';
  if ( $intShiftMonth>$intMonth && $intShiftYear==$intYear ) break;
}

echo '</table>';

// --------
// NEXT MONTH
// --------

$intMonth++;
if ( $intMonth>12) { $intMonth=1; $intYear++; }
if ( $intYear>2037 ) die('Invalid year');

$dCurrentDate = mktime(0,0,0,$intMonth,1,$intYear);
$dFirstDay = mktime(0,0,0,$intMonth,1,$intYear);
if ( date('l',$dFirstDay)!='Monday' )
{
  $dFirstDay = strtotime('-1 week',$dFirstDay);
  $dFirstMonday = strtotime('next monday',$dFirstDay);
  // correction for php 4.2
  // find last monday
  for ($i=date('j',$dFirstDay);$i<32;$i++)
  {
    $dI = mktime(0,0,0,date('n',$dFirstDay),$i,date('Y',$dFirstDay));
    if ( !$dI )
    {
    if ( date('N',$dI)==1 ) $dFirstMonday = $dI;
    }
  }
  $dFirstDay = $dFirstMonday;
}

// LIST OF TOPICS PER DAY IN THIS SECTION

$arrTopics = array();
$intCountTopicsN=0;

switch(substr($oDB->type,0,5))
{
case 'mysql': $strQ = 'SELECT SUBSTRING('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' LEFT('.$v.',6)="'.($intYear*100+$intMonth).'"'; break;
case 'mssql': $strQ = 'SELECT SUBSTRING('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' LEFT('.$v.',6)="'.($intYear*100+$intMonth).'"'; break;
case 'pg':    $strQ = 'SELECT SUBSTRING('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTRING('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
case 'ibase': $strQ = 'SELECT SUBSTRING('.$v.' FROM 7 FOR 2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTRING('.$v.' FROM 1 FOR 6)="'.($intYear*100+$intMonth).'"'; break;
case 'sqlit': $strQ = 'SELECT SUBSTR('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTR('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
case 'acces': $strQ = 'SELECT MID('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' LEFT('.$v.',6)="'.($intYear*100+$intMonth).'"'; break;
case 'db2':   $strQ = 'SELECT SUBSTR('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTR('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
case 'oci':   $strQ = 'SELECT SUBSTR('.$v.',7,2) as eventday FROM '.TABTOPIC.' WHERE '.$strOptions.' SUBSTR('.$v.',1,6)="'.($intYear*100+$intMonth).'"'; break;
default: die('Unknown db type '.$oDB->type);
}

$oDB->Query($strQ);
while($row=$oDB->Getrow())
{
  // count topic per date
  if ( !empty($row['eventday']) )
  {
    $intDay = intval($row['eventday']);
    if ( !empty($intDay) )
    {
    if ( !isset($arrTopics[$intDay]) ) $arrTopics[$intDay]=0;
    $arrTopics[$intDay]++;
    $intCountTopicsN++;
    }
  }
}

// --------
// DISPLAY SUBDATA
// --------

echo '<table class="hidden" cellspacing="0"><tr class="hidden">';
echo '<td class="hidden" style="width:210px">';

// NEXT MONTH

echo '<h2>'.$L['dateMMM'][date('n',$dCurrentDate)].'</h2>';
echo '<table class="data_s" cellspacing="0" style="width:200px">';
echo '<tr class="data_s">';
foreach($L['dateD'] as $i=>$str)
{
echo '<th class="date_next d',$i,'">',$str,'</th>';
}
echo '</tr>';

$iShift=0;
for ($intWeek=0;$intWeek<6;$intWeek++)
{
  echo '<tr class="data_s">';
  for ($intDay=1;$intDay<8;$intDay++)
  {
    $d = strtotime("+$iShift days",$dFirstDay); $iShift++;
    $intShiftYear = date('Y',$d);
    $intShiftMonth = date('n',$d);
    $intShiftDay = date('j',$d);
    // date number
    if ( date('n',$dCurrentDate)==date('n',$d) )
    {
      echo '<td class="date_next d',$intDay,'"',(date('z',$dToday)==date('z',$d) ? ' id="zone_today"' : ''),'>';
      if ( !empty($arrTopics[$intShiftDay]) )
      {
        echo '<a class="date_next" href="qtr_calendar.php?s=',$s,'&amp;y=',$intYear,'&amp;m=',$intMonth,'">',$intShiftDay,'</a> ';
      }
      else
      {
        echo $intShiftDay;
      }
    }
    else
    {
      echo '<td class="date_out_next">';
      echo $intShiftDay;
    }
    echo '</td>';
  }
  echo '</tr>';
  if ( $intShiftMonth>$intMonth && $intShiftYear==$intYear ) break;
}

echo '</table>';

echo '</td>';

echo '<td class="hidden" style="width:220px">';

// DISPLAY Preview

echo '<h2>',$L['Preview'],'</h2>';
echo '<script type="text/javascript"></script><noscript>Your browser does not support JavaScript</noscript>';
echo '<div style="width:210px" id="title_err"></div>';

echo '</td>';

echo '<td class="hidden">';

// DISPLAY MAP
  
if ( $bMap )
{
  echo '<!-- Map module -->',N;
  if ( count($arrExtData)>0 )
  {
    if ( $_SESSION[QT]['m_map_hidelist'] ) 
    {
    echo '<p style="margin:2px;text-align:right"><a class="small" href="',$oVIP->selfuri,'&amp;showmap">',$L['map']['Show_map'],'</a></p>',N;
    }
    else
    {
    echo '<p style="margin:2px;text-align:right"><a class="small" href="',$oVIP->selfuri,'&amp;hidemap">',$L['map']['Hide_map'],'</a></p>',N;
    }
    $strMapHelp = sprintf($L['map']['items'],count($arrExtData),strtolower(LangS('Topic',$intCountTopics)) );
    if ( $bMapGoogle )
    {
      echo '<div class="gmap" style="margin:0 0 0 auto;">';
      if ( !$_SESSION[QT]['m_map_hidelist'] )
      {
      echo QTgmapZoomControl($arrExtData);
      echo '<div id="map_canvas" style="width:100%; height:250px;"></div>';
      }
      if ( !empty($strMapHelp) ) echo '<p class="gmap" style="margin:4px 0 0 0">'.$strMapHelp.'</span>';
      echo '</div>';
    }
    if ( $bMapSitework )
    {
      echo '<p class="gmap">This version of SiteWork cannot display calendar topics.</p>',N;
    }
  }
  else
  {
    echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>',N;
  }
  echo '<!-- Map module end -->',N;
}
echo '</td>';

echo '</tr></table>';

$strDetailLegend = '<p class="preview_section"><b>'.$L['dateMMM'][date('n',$dMainDate)].'</b> '.LangS('Topic',$intCountTopics).'</p>';
foreach( $arrCountTopics as $strKey => $intValue)
{
$strDetailLegend .= '<p class="preview_section">'.$intValue.' '.$oSYS->statuses[$strKey]['name'].'</p>';
}
$strDetailLegend .= '<br/>';
$strDetailLegend .= '<p class="preview_section"><b>'.$L['dateMMM'][date('n',$dCurrentDate)].'</b> '.LangS('Topic',$intCountTopicsN).'</p>';

// --------
// HTML END
// --------

if ( $bMap )
{
  if ( count($arrExtData)>0 ) { $bSmallMap=true; include('qtrm_map_load.php'); } else { echo '<script type="text/javascript">function GUnload() { return true; }</script>'; }
}

include('qtr_p_footer.php');

?>