<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registrations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanView('V5') ) HtmlPage(11);
if ( !isset($_GET['a']) ) die('Missing parameter a');
$a = strip_tags($_GET['a']); // action search type: ref, kw, tst, db, user, actor

include('bin/qtr_fn_sql.php');

// --------
// INITIALISE
// --------

$oVIP->selfname = $L['Search_result'];

include('qtr_search_inc.php');

$oVIP->selfurl = 'qtr_search_re.php';
$oVIP->exiturl = 'qtr_search.php?'.QTargimplode(QTargexplode());
$oVIP->exitname = $L['Search'];

// MAP MODULE

if ( UseModule('map') ) { $strCheck='S'; include('qtrm_map_ini.php'); }  else { $bMap=false; }

// --------
// HTML START
// --------

if ( $a=='tst' )
{
$strHeadScript = '
<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
  $(".tag").hover(function() {
    var oTag = $(this);
    $.post("qtr_j_tag.php",{s:oTag.attr("title"),val:oTag.html(),lang:"'.$_SESSION[QT]['lang_iso'].'",na:"('.strtolower($L['E_no_desc']).')"}, function(data) { oTag.attr({title:data}); } );
    });
  });
-->
</script>
';
}


include('qtr_p_header.php');

echo '<table class="button" cellspacing="0">',N;
echo '<tr class="button">',N;
echo '<td>&nbsp;</td>',N;
echo '<td style="width:25px" class="button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_t_0.gif','T',$L['Ico_topic_t_0'],'ico i_topic'),'</td>',N;
echo '<td style="width:120px" class="button">&nbsp;<a href="qtr_search_re.php?a=last" class="button">',$L['Recent_messages'],'</a>&nbsp;</td>',N;
echo '<td style="width:10px">&nbsp;</td>',N;
echo '<td style="width:25px" class="button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_topic_a_0.gif','T',$L['Ico_topic_a_0'],'ico i_topic'),'</td>',N;
echo '<td style="width:120px" class="button">&nbsp;<a href="qtr_search_re.php?a=news" class="button">',$L['All_news'],'</a>&nbsp;</td>',N;
if ($oVIP->role!='V')
{
  echo '<td style="width:10px">&nbsp;</td>',N;
  echo '<td style="width:25px" class="button">',AsImg($_SESSION[QT]['skin_dir'].'/ico_user_p_1.gif','T',$L['Ico_user_p_1'],'ico i_user'),'</td>',N;
  echo '<td style="width:120px" class="button">&nbsp;<a href="qtr_search_re.php?a=user&amp;k1=',$oVIP->id,'&amp;k2=',urlencode($oVIP->username),'" class="button">',$L['All_my_topics'],'</a>&nbsp;</td>',N;
}
echo '</tr>',N;
echo '</table>',N;

echo '<h2>',$oVIP->selfname,'</h2>',N;

// COUNT

if ( isset($_GET['debug']) ) $oDB->debug=true;

$oDB->Query( $strCount );
$row = $oDB->Getrow();
$intCount = $row['countid'];

// FOUND

switch($a)
{
case 'ref':
  $strSubtitle = $k1;
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  $strSubtitle = $L['Ref'].': '.$strSubtitle.'&nbsp;&nbsp;&middot;&nbsp;&nbsp;'.LangS('Result',$intCount);
  break;
case 'kw':
  $strSubtitle = '"'.$k1.'" &nbsp;&middot;&nbsp; '.LangS('Result',$intCount);
  if ( $k2=='0' && count($arrKeys)>1 )
  {
    $strSubtitle .= ' &nbsp;&middot;&nbsp; <a href="'.$oVIP->selfurl.'?a=kw&amp;k1='.$k1.'&amp;k2=1&amp;s='.$s.'&amp;k3='.$k3.'">'.$L['Search_by_words'].'</a>';
  }
  if ( $k2=='1' && count($arrKeys)>1 )
  {
    $strSubtitle = '"'.implode('" '.$L['or'].' "',$arrKeys).'"&nbsp;&nbsp;&middot;&nbsp;&nbsp;'.LangS('Result',$intCount);
    $strSubtitle .= ' &nbsp;&middot;&nbsp; <a href="'.$oVIP->selfurl.'?a=kw&amp;k1='.$k1.'&amp;k2=0&amp;s='.$s.'&amp;k3='.$k3.'">'.$L['Search_exact_words'].' "'.$k1.'"</a>';
  }
  $strExtraparam = '&amp;k2='.$k2.'&amp;k3='.$k3;
  break;
case 'db':
  $strSubtitle = $k1;
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  $strSubtitle = ObjTrans('field',$k2,true).': '.$strSubtitle.'&nbsp;&nbsp;&middot;&nbsp;&nbsp;'.LangS('Result',$intCount);
  break;
case 'news':
  $strSubtitle = $L['All_news'];
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  break;
case 'last':
  $strSubtitle = $L['Recent_messages'];
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  break;
case 'user':
  $strSubtitle = $L['Topics'].' '.strtolower($L['By']).' '.$k2;
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  $strExtraparam = '&amp;k2='.urlencode($k2);
  break;
case 'actor':
  $strSubtitle = $L['Topics_handled'].' '.strtolower($L['By']).' '.$k2;
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  $strExtraparam = '&amp;k2='.urlencode($k2);
  break;
case 'tst':
  $strSubtitle='';
  if ( $k1=='-1' )    { $strSubtitle = $L['Any_time']; }
  elseif ( $k1=='w' ) { $strSubtitle = $L['This_week']; }
  elseif ( $k1=='m' ) { $strSubtitle = $L['This_month']; }
  elseif ( $k1=='y' ) { $strSubtitle = $L['This_year']; }
  elseif ( is_numeric($k1) ) $strSubtitle = $L['dateMMM'][intval($k1)].' '.$intYear;
  if ( $k2=='-1' )
  {
    $strSubtitle .= ', '.$L['Any_status'];
  }
  else
  {
    $strSubtitle .= ', '.$oSYS->statuses[$k2]['statusname'];
  }
  if ( count($arrTags)>0 )  $strSubtitle .= ', '.$L['Tag_only'].' "'.implode('" or "',$arrTags).'"';
  if ( $s>=0 ) $strSubtitle .= ' ('.$L['Section'].': '.(isset($oSYS->sections[$s]) ? $oSYS->sections[$s] : '').')';
  $strSubtitle = '<p>'.$strSubtitle.' &middot; '.LangS('Result',$intCount).'</p>';
  $strExtraparam = '&amp;k2='.$k2.'&amp;k3='.$k3.'&amp;y='.$intYear;
  break;

}

// NO RESULT

if ($intCount==0)
{
  echo '<p>',$strSubtitle,'</p>',N;
  echo '<p>',$L['None'],'</p>',N;
  echo '<p>&laquo;&nbsp;<a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>';
  include('qtr_p_footer.php');
  exit;
}

// -----
// QUERY
// -----

  // order
  $strFullOrder = 't.'.$strOrder.' '.$strDir;
  if ( $strOrder=='title' ) $strFullOrder='p.title'.' '.$strDir;
  if ( $strOrder=='sectiontitle' ) $strFullOrder='s.title'.' '.$strDir;
  // second order
  if ( $strOrder!='lastpostdate' ) $strFullOrder .= ',t.lastpostdate DESC';

$oDB->Query( LimitSQL($strField.$strFrom.$strWhere,$strFullOrder,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );

// --------
// DISPLAY
// --------

echo '<p>',$strSubtitle,'</p>',N;

// Button line and pager

$strPager = MakePager("$oVIP->selfurl?a=$a&amp;k1=$k1&amp;s=$s&amp;page=1".$strExtraparam,$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ($strPager!='') $strPager = $L['Page'].$strPager;

// -- Displays pager --

echo '<table class="hidden" cellspacing="0"><tr class="hidden">
<td class="hidden" id="pager_zt">&nbsp;',$strPager,'</td>
</tr>
</table>
';

// -- result --

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array();
$arrFields['icon'] = array('thclass'=>'th_t th_t_first th_t_ico');
if ( $bAddRef )
{
$arrFields['numid'] = array('text'=>$L['Ref'],'sort'=>TRUE,'thclass'=>'th_t th_t_ref');
}
$arrFields['smile'] = array('thclass'=>'th_t th_t_smi');
$arrFields['title'] = array('text'=>$L['Topics'],'sort'=>TRUE,'thclass'=>'th_t th_t_tit');
if ( QTR_LIST_ME )
{  
$arrFields['you'] = array('thclass'=>'th_t th_t_inf','thstyle'=>'width:10px');
}
$arrFields['sectiontitle'] = array('text'=>$L['Section'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf');
$arrFields['firstpostname'] = array('text'=>$L['Topic_starter'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:125px');
$arrFields['lastpostdate'] = array('text'=>$L['Last_message'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:135px');
if ( $a=='tst' && !empty($k3) )
{
$arrFields['tags'] = array('text'=>$L['Tags'],'thclass'=>'th_t th_t_inf th_t_last','thstyle'=>'width:80px');
}
else
{
$arrFields['replies'] = array('text'=>$L['Replys'],'thclass'=>'th_t th_t_sta th_t_last','thstyle'=>'width:70px');
}
/* ======== */
TableHeader($arrFields,$intCount,"qtr_search_re.php?a=$a&amp;k1=$k1&amp;s=$s&amp;page=1".$strExtraparam,$strOrder,$strDir,'th_topic');
/* ======== */

echo '</tr>',N;

/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,true,null,$strAlt,'N',$bMap);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }
  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="tf_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>',N;

echo '</table>',N;

// -- no data --
if ( $intWhile==0 ) echo '<p>',$L['None'],'...</p>',N;

// -- Displays pager --

// define csv options according to $intCount (max 10000)

$strCsv ='';
if ( $oVIP->role!='V' )
{
  if ( $intCount<=$_SESSION[QT]['topics_per_page'] )
  {
  $strCsv = '<a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;size=all&amp;n='.$intCount.$strExtraparam.'" class="a_csv">csv</a>';
  }
  else
  {
  $strCsv = '<a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;size=p'.$intPage.'&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">('.strtolower($L['Page']).')</span></a>';
  if ( $intCount<=1000 )                   $strCsv .= ' &middot; <a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;size=all&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">('.strtolower($L['All']).')</span></a>';
  if ( $intCount>1000 && $intCount<=2000 ) $strCsv .= ' &middot; <a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;size=m1&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">(1-1000)</span></a> &middot; <a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;size=m2&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">(1000-'.$intCount.')</span></a>';
  if ( $intCount>2000 && $intCount<=5000 ) $strCsv .= ' &middot; <a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;size=m5&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">(1-5000)</span></a>';
  if ( $intCount>5000 )                    $strCsv .= ' &middot; <a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;m=5&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">(1-5000)</span></a> &middot; <a href="qtr_search_re_csv.php?a='.$a.'&amp;k1='.$k1.'&amp;s='.$s.'&amp;m=10&amp;n='.$intCount.$strExtraparam.'" class="csv">csv <span class="small">(5000-10000)</span></a>'; 
  }
}
if ( !empty($strCsv) )
{
  $strPager = $strCsv.' &middot; '.$strPager;
  if ( substr($strPager,-10,10)==' &middot; ' ) $strPager = substr($strPager,0,-10);
}

echo '<table class="hidden" cellspacing="0"><tr class="hidden"><td class="hidden" id="pager_zb">',$strPager,'</td></tr></table>';

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)==0 )
  {
  echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>';
  }
  else
  {
     //select zoomto (maximum 15 items in the list)
     if ( count($arrExtData)>1 )
     {
       $str = '<p class="gmap" style="margin:0 0 4px 0"><a class="gmap" href="javascript:void(0)" onclick="zoomToFullExtend(); return false;">'.$L['map']['zoomtoall'].'</a> | '.$L['Goto'].' <select class="gmap" id="zoomto" name="zoomto" size="1" onchange="map.setCenter(eval(this.value));">';
       $str .= '<option class="gmap" value="new GLatLng('.QTgety($_SESSION[QT]['m_map_gcenter']).','.QTgetx($_SESSION[QT]['m_map_gcenter']).')"> </option>';
       $i=0;
       foreach($arrExtData as $intKey=>$oMapPoint)
       {
       $str .= '<option class="gmap" value="new GLatLng('.$oMapPoint->y.','.$oMapPoint->x.')">'.$oMapPoint->title.'</option>';
       $i++; if ( $i>15 ) break;
       }
       $str .= '</select></p>';
     }
  echo '
  <table class="hidden" style="margin-top:5px;">
  <tr class="hidden">
  <td class="gmap">
  ',( count($arrExtData)>1 ? $str :'' ),'
  <div id="map_canvas" style="width:100%; height:350px;"></div>
  <p class="gmap" style="margin:4px 0 0 0">',sprintf($L['map']['items'],strtolower( LangS('Topic',count($arrExtData))),strtolower(LangS('Topic',$intCount)) ),'</p>
  </td>
  </tr>
  </table>
  ';
  }
}

echo '<p>&laquo;&nbsp;<a href="',$oVIP->exiturl,'">',$oVIP->exitname,'</a></p>';

// --------
// HTML END
// --------

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)>0 ) { include('qtrm_map_load.php'); } else { echo '<script type="text/javascript">function GUnload() { return true; }</script>'; }
}

include('qtr_p_footer.php');