<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanView('V3') ) HtmlPage(11);
if ( !isset($_SESSION[QT]['editing']) ) $_SESSION[QT]['editing']=false;

// ---------
// PRE SETTINGS
// ---------

$s = -1;
$t = -1;
$tt = 'ticket';
$bCanEdit = false;
if ( $oVIP->role!='V' ) $bCanEdit=true;
if ( isset($_GET['s']) ) $s = intval($_GET['s']);
if ( isset($_POST['s']) ) $s = intval($_POST['s']);
if ( isset($_GET['t']) ) $t = intval($_GET['t']);
if ( isset($_POST['t']) ) $t = intval($_POST['t']);
if ( isset($_GET['tt']) ) $tt = $_GET['tt'];
if ( isset($_POST['tt']) ) $tt = $_POST['tt'];
if ( isset($_GET['edit']) ) $_SESSION[QT]['editing']=($_GET['edit']=='1' ? true : false);
if ( isset($_POST['edit']) ) $_SESSION[QT]['editing']=($_POST['edit']=='1' ? true : false);
if ( !$bCanEdit ) $_SESSION[QT]['editing']=false;
if ( isset($_GET['helpframe']) ) $_SESSION[QT]['helpframe']=($_GET['helpframe']=='1' ? true : false);

// Tabs dictionary

CheckDico('tab',true);

if ( $tt=='ticket' && $_SESSION[QT]['editing'] ) require_once('bin/qtr_fn_tags.php');

// ---------
// SUBMITTED
// ---------

// When Moderator change actor+status, actor must be changed first to notify him on the status change...

if ( isset($_POST['Msection']) )
{
  $s = intval($_POST['Msection']);
  $t = intval($_POST['Mtopic']);
  $oVIP->exiturl = 'qtr_topic.php?s='.$s.'&amp;t='.$t.'&amp;tt='.$tt;
  $oVIP->exitname = $L['Section'];

  if ( empty($_POST['Mactor']) && empty($_POST['Maction']) )
  {
    $oVIP->exitname = 'No action';
    $oVIP->EndMessage('0');
  }

  if ( !empty($_POST['Mactor']) )
  {
    if ( !isset($t) ) die('Missing topic id');

    if ( $_POST['Mactor']=='actor*' )
    {
      $oVIP->exiturl = 'qtr_cmd.php?a=topicactor&amp;s='.$s.'&amp;t='.$t.'&amp;tt='.$tt.'&amp;v=*&amp;old='.$_POST['Moldactor'];
      $oVIP->exitname = $L['Change'].' '.$L['Status'];
      $oVIP->EndMessage('0');
    }

    $oTopic = new cTopic($t);
    $oTopic->SetActor($_POST['Mactor']);
    // exit (if no action, if action, continue with action
    if ( empty($_POST['Maction']) )
    {
      $oVIP->selfname = $L['Change'].' '.$L['Userrole_MA'];
      $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
    }
  }

  if ( substr($_POST['Maction'],0,7)=='status_' )
  {
    $oVIP->exiturl = 'qtr_cmd.php?a=topicstatus&amp;s='.$s.'&amp;t='.$t.'&amp;tt='.$tt.'&amp;v='.substr($_POST['Maction'],-1,1);
    $oVIP->exitname = $L['Change'].' '.$L['Status'];
    $oVIP->EndMessage('0');
  }

  if ( substr($_POST['Maction'],0,5)=='type_' )
  {
    $oVIP->exiturl = 'qtr_cmd.php?a=topictype&amp;s='.$s.'&amp;t='.$t.'&amp;tt='.$tt.'&amp;v='.substr($_POST['Maction'],-1,1);
    $oVIP->exitname = $L['Change'].' '.$L['Status'];
    $oVIP->EndMessage('0');
  }

  if ( $_POST['Maction']=='reply' )
  {
    $oVIP->exiturl = 'qtr_form_edit.php?s='.$s.'&amp;t='.$t.'&amp;tt='.$tt.'&amp;a=re';
    $oVIP->exitname = $L['Post_reply'];
    $oVIP->EndMessage('0');
  }
  if ( $_POST['Maction']=='move' )
  {
    $oVIP->exiturl = 'qtr_cmd.php?a=topicmove&amp;s='.$s.'&amp;t='.$t.'&amp;tt='.$tt;
    $oVIP->exitname = $L['Move'];
    $oVIP->EndMessage('0');
  }
  if ( $_POST['Maction']=='delete' )
  {
    $oVIP->exiturl = 'qtr_cmd.php?a=topicdelete&amp;s='.$s.'&amp;t='.$t.'&amp;tt='.$tt;
    $oVIP->exitname = $L['Delete'];
    $oVIP->EndMessage('0');
  }
}

// --------
// INITIALISE
// --------

if ( $s<0 ) die('Missing section id...');
if ( $t<0 ) die('Missing topic id...');

$oSEC = new cSection($s);

  if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(12),$_SESSION[QT]['skin_dir'],0);
  }
  if ( $oSEC->type==2 && $oVIP->role=='V' )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(11),$_SESSION[QT]['skin_dir'],0);
  }

  if ( $oSEC->type==2 && $oVIP->role=='U' && $oTopic->firstpostuser != $oVIP->id )
  {
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(11),$_SESSION[QT]['skin_dir'],0);
  }

$oTopic = new cTopic($t,$oVIP->id);
$arrTabs = array();
$arrOtherTabs = array();

if ( $oTopic->type=='A' )
{
  // get only 2 tabs in case of news-topic
  $arrTabs = GetSectionTabs(-2);
  if ( $tt=='ticket' ) $tt='messages';
}
else
{
  $arrTabs = GetSectionTabs($s);

  // add 'other' to the tabs (if $arrOtherTabs is not empty)
  $arr = $oTopic->GetDataTabs(array_keys($arrTabs));
  if ( count($arr)>0 )
  {
    $arrTabs['other'] = cTab::GetTab('other');
    // create a new list with the db-properties of the other tabs
    foreach($arr as $str)
    {
      $arrOtherTabs[$str] = cTab::GetTab($str);
    }
  }
}

$strCommand = '';
$limit = 0;
$PAGEcurr = 1;
if ( isset($_GET['page']) ) { $limit = ($_GET['page']-1)*$_SESSION[QT]['replies_per_page']; $PAGEcurr=$_GET['page']; }
if ( isset($_GET['view']) ) { $_SESSION[QT]['viewmode'] = $_GET['view']; }

$oVIP->selfurl = 'qtr_topic.php';
$oVIP->exiturl = 'qtr_topics.php?s='.$s;
$oVIP->selfname = $L['Messages'];

// MAP MODULE

$bMap = UseModule('map');
if ( $bMap && $tt!='ticket' ) $bMap=false;
if ( $bMap ) { $strCheck=$s; include('qtrm_map_ini.php'); }

// BUTTONS

if ( $oSEC->status==1 )
{
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['E_section_closed'].'&nbsp;</span></td>';
}
else
{
  $strCommand = '<td class="button" style="width:120px">&nbsp;<a class="button" href="qtr_form_edit.php?s='.$oSEC->id.'&amp;a=nt">'.$L['Post_new_topic'].'</a>&nbsp;</td>';
  if ( $oVIP->role=='V' && $_SESSION[QT]['visitor_right']<7 )
  {
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['Post_new_topic'].'&nbsp;</span></td>';
  }
}
$strCommand = ( QTR_BACKBUTTON ? '<td class="button" style="width:20px"><a href="'.$oVIP->exiturl.'" class="button">'.QTR_BACKBUTTON.'</a></td>' : '').$strCommand;

// TOPIC DESCRIPTION AND MAP

$strDescr = '';
$strLocation = '';

// topic description

if ( $_SESSION[QT]['section_desc']=='1' )
{
  if ( $oTopic->numid >= 0 && $oSEC->numfield!='N' )
  {
  $strDescr .= '<p id="topic_reference">';
  $strDescr .= sprintf($oSEC->numfield,$oTopic->numid);
  if ( $oTopic->type=='T') $strDescr .= ' &middot; '.$oSYS->statuses[$oTopic->status]['statusname'];
  $strDescr .= '</p>';
  }
}

// --------
// HTML START // java is required (tabs and edit data)
// --------

$strHeadScript = '';

if ( $tt=='ticket' && !$_SESSION[QT]['editing'] )
{
  $strHeadScript .= '
  <script type="text/javascript" src="bin/qt_jquery.js"></script>
  <script type="text/javascript">
  <!--
  $(document).ready(function() {
    $(".tag").hover(function() {
      var oTag = $(this);
      $.post("qtr_j_tag.php",{s:"'.$s.'",val:oTag.html(),lang:"'.$_SESSION[QT]['lang_iso'].'",na:""}, function(data) { oTag.attr({title:data}); } );
      });
    });
  -->
  </script>
  ';
}

if ( $tt=='ticket' && $_SESSION[QT]['editing'] )
{
  $arrCss = array('qt_jquery.css');

  $arr1 = TagsRead($_SESSION[QT]['lang_iso'],$s);
  $arr2 = TagsRead($_SESSION[QT]['lang_iso'],'*');
  $arrTags = array_merge($arr1,$arr2);
  if ( count($arrTags)<100 )
  {
    $arr1 = $oSEC->GetTagsUsed();
    foreach($arr1 as $strKey=>$strDesc) { if ( !isset($arrTags[$strKey]) ) $arrTags[$strKey]=$strDesc; }
  }
  $str = '';
  foreach($arrTags as $strKey=>$strDesc) { $str .= '{n:"'.$strKey.'",d:"'.($strKey==$strDesc ? ' ' : substr($strDesc,0,64)).'"},'; }
  $str = substr($str,0,-1);

  $strHeadScript .= '
  <script type="text/javascript" src="bin/qt_jquery.js"></script>
  <script type="text/javascript" src="bin/qt_jquery_auto.js"></script>
  <script type="text/javascript">
  <!--
  $(document).ready(function() {
    $("#tag").autocomplete(['.$str.'],{
      minChars:0,
      width:250,
      matchContains:1,
      multiple:true,
      multipleSeparator:";",
      formatItem: function(row) { return (row.d==" ") ? row.n : (row.n+"<span class=small> - " + row.d + "</span>"); },
      formatResult: function(row) { return row.n; }
      });      
    $(".tag").hover(function() {
      var oTag = $(this);
      $.post("qtr_j_tag.php",{s:"'.$s.'",val:oTag.html(),lang:"'.$_SESSION[QT]['lang_iso'].'",na:"..."}, function(data) { oTag.attr({title:data}); } );
      });
    });
  -->
  </script>
  ';
}
if ( $tt!='ticket' && $_SESSION[QT]['editing'] )
{
  $strHeadScript .= '
  <script type="text/javascript" src="bin/qt_jquery.js"></script>
  <script type="text/javascript" src="bin/qt_jquery_date.js"></script>
  ';
}

if ( $tt=='messages' && $_SESSION[QT]['bbc']=='1' )
{
  $strHeadScript .= '<link rel="stylesheet" type="text/css" href="bin/css/qtr_bbc.css"/>'.N;
}

if ( $bMap ) {
if ( !empty($oTopic->x) && !empty($oTopic->y) ) {
  $strBodyAddOnunload='GUnload()';
}}

if ( $tt=='messages' && $_SESSION[QT]['show_quick_reply']=='1' ) $intBbc=1;
$bIE=true;

include('qtr_p_header.php');

// MODERATOR ACTION

if ( $oVIP->IsStaff() )
{
  // list of status
  $strStatus = '';
  foreach($oSYS->statuses as $strId=>$arrStatus)
  {
  $strStatus .= '<option value="status_'.$strId.'"'.($oTopic->status==$strId ? ' class="bold"' : '').'>'.$L['Status'].': '.$arrStatus['statusname'].'</option>';
  }
  // list of types
  $strTypes = '';
  foreach($oSYS->types as $strId=>$arrType)
  {
  $strTypes .= '<option value="type_'.$strId.'"'.($oTopic->type==$strId ? ' class="bold"' : '').'>'.$L['Style'].': '.$arrType['name'].'</option>';
  }
  // list of actors (take the top 12, then reorder by name)
  $arr = GetUsers('M','','numpost DESC,name ASC');
  $arrModerators = array();
  $i=1;
  foreach($arr as $intKey=>$strValue) { $arrModerators[$intKey]=$strValue; $i++; if ( $i>12 ) break; }
  asort($arrModerators);
  $strActors = '';
  foreach($arrModerators as $intId=>$strName) { $strActors .= '<option value="'.$intId.'"'.($oTopic->actorid==$intId ? ' class="bold"' : '').'>'.$strName.'</option>'; }
  if ( count($arr)>12 )
  {
  $strActors .= '<option value="" disabled="disabled">-----------------</option>';
  $strActors .= '<option value="actor*">'.$L['More'].'...</option>';
  }
  echo '
  <form method="post" action="qtr_topic.php" id="m-form">
  <div class="modboard">
  <span class="modboard">',$L['Topic'],S,'<input type="hidden" name="Msection" value="',$oTopic->section,'"/>
  <input type="hidden" name="Mtopic" value="',$oTopic->id,'"/>
  <input type="hidden" name="Mref" value="',$oTopic->numid,'"/>
  <select name="Maction" class="small" onchange="document.getElementById(\'m-form\').submit();">
  <option value="">',S,'</option>
  <option value="reply">',$L['Post_reply'],'...</option>
  <option value="move">',$L['Move'],'...</option>
  <option value="delete">',$L['Delete'],'...</option>
  <option value="" disabled="disabled">-----------------</option>',$strStatus,'
  <option value="" disabled="disabled">-----------------</option>',$strTypes,'
  </select>',S,$L['Change_actor'],S,'
  <select name="Mactor" class="small" onchange="document.getElementById(\'m-form\').submit();">
  <option value="">',S,'</option>',$strActors,'
  </select> <input type="submit" name="Msubmit" value="',$L['Ok'],'" class="small" id="m-ok"/>
  <script type="text/javascript">
  <!--
  document.getElementById("m-ok").style.visibility="hidden";
  document.getElementById("m-ok").value="";
  -->
  </script>
  </span>
  </div>
  </form>
  ';
}

// DISPLAY BUTTON

echo '
<table class="button button_top" cellspacing="0">
<tr class="button">
',$strCommand,'
<td>&nbsp;</td>
</tr>
</table>
<!-- End button and pager -->
';

// DISPLAY TOPIC DESCRIPITION

if ( !empty($strDescr) )
{
  echo $strDescr,N;
}

// DISPLAY TABS

echo HtmlTabs($arrTabs, $oVIP->selfurl.'?s='.$s.'&amp;t='.$t, $tt , 6, true, true, $L['E_editing']);

// DISPLAY TAB PANEL

echo '<table class="pan" cellspacing="0">
<tr class="pan">
<td class="pan">
<div class="pan_top">',( isset($_SESSION['L']['tabdesc'][$tt]) ? ObjTrans('tabdesc',$tt,false) : ObjTrans('tab',$tt) ),'</div>
';

switch($tt)
{
case 'ticket':   include('qtr_topic_t.php'); break;
case 'messages': include('qtr_topic_m.php'); break;
case 'documents':include('qtr_topic_d.php'); break;
case 'other':    include('qtr_topic_xo.php'); break;
default:         include('qtr_topic_x.php');
}

echo '
</td>
</tr>
</table>
';

// QuickSearch frame

if ( $tt=='ticket' && isset($arrTags) ) {
if ( is_array($arrTags) ) {
if ( count($arrTags)>0 ) {

  echo '<p class="small">',$L['Search_tag'],' ';
  foreach($arrTags as $strTag)
  {
    if ( !empty($strTag) ) echo '<span class="tagline" title=""><a class="tag small" href="qtr_search_re.php?a=tst&amp;s=',$s,'&amp;y=',date('Y'),'&amp;k1=-1&amp;k2=-1&amp;k3=',urlencode($strTag),'">',$strTag,'</a></span> ';
  }
  echo '</p>';

}}}

// Helpframe

if ( !isset($_SESSION[QT]['helpframe']) ) $_SESSION[QT]['helpframe']=false;

if ( !in_array($tt,array('ticket','messages','documents')) ) {
if ( !empty($arrTabs[$tt]->tabframe) ) {

  $strHelp = QTconv($arrTabs[$tt]->tabframe,'4');
  if ( substr($strHelp,0,1)=='@' ) { $bUrl=true; $strHelp=trim(substr($strHelp,1)); }  else { $bUrl=false; }
  if ( $bUrl && substr($strHelp,0,1)=='@' ) { $bIframe=false; $strHelp=trim(substr($strHelp,1)); }  else { $bIframe=true; }

  if ( $_SESSION[QT]['helpframe'] )
  {
    echo '<p>';
    echo ($bIframe ? '<a href="'.$oVIP->selfurl.'?s='.$s.'&t='.$t.'&tt='.$tt.'&helpframe=0" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">'.$L['Helpframe_hide'].'</a>' : '<span class="disable">'.$L['Helpframe_hide'].'</span>' );
    echo ($bIframe ? ' &middot; <a href="#" onclick="document.getElementById(\'tabiframe\').src=\''.$strHelp.'\'; return false;">'.$L['Helpframe_refresh'].'</a>' : '' );
    echo ($bUrl ? ' &middot; <a href="'.$strHelp.'" target="_blank">'.$L['Helpframe_window'].'</a>' : '');
    echo '</p>';

    if ( $bUrl )
    {    
      if ( $bIframe )
      {
      echo '<iframe id="tabiframe" class="tabiframe" width="100%" height="500px" src="'.$strHelp.'"></iframe>';
      }
      else
      {
      echo '<p class="disable">The web site is accessible only in a separate window...</p>';
      }
    }
    else
    {
    echo $strHelp;
    }
  }
  else
  {
    echo '<p>';
    echo ($bIframe ? '<a href="'.$oVIP->selfurl.'?s='.$s.'&t='.$t.'&tt='.$tt.'&helpframe=1" onclick="return qtEdited(bEdited,\''.$L['E_editing'].'\');">'.$L['Helpframe_show'].'</a>' : '<span class="disable">'.$L['Helpframe_show'].'</span>' );
    echo ($bUrl ? ' &middot; <a href="'.$strHelp.'" target="_blank">'.$L['Helpframe_window'].'</a>' : '' );
    echo '</p>';
  }

}}

// --------
// HTML END
// --------

// MAP MODULE
if ( $bMap ) { $bSmallMap=($_SESSION[QT]['viewmode']=='C'); include('qtrm_map_load.php'); }

include('qtr_p_footer.php');

?>