<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
if ( !$oVIP->CanView('V2') ) HtmlPage(11);
include('bin/qtr_fn_sql.php');

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 ) die('Missing section id...');

// ---------
// SUBMITTED
// ---------

if ( isset($_POST['m-ok']) )
{
  if ( $_POST['Maction']=='nt' )
  {
    $oVIP->exiturl = 'qtr_form_edit.php?s='.$s.'&amp;a=nt';
    $oVIP->exitname = $L['Post_new_topic'];
    $oVIP->EndMessage('0');
  }
  if ( $_POST['Maction']=='show_Z' ) $_SESSION[QT]['show_closed']='1';
  if ( $_POST['Maction']=='hide_Z' ) $_SESSION[QT]['show_closed']='0';
  if ( $_POST['Maction']=='print' )
  {
    echo 'No yet developped';
    exit;
  }
  if ( $_POST['d_last']!='-' )
  {
    $_SESSION[QT]['lastcolumn']=$_POST['d_last']; // can be '0' (none)
  }
}

// ---------
// INITIALISE
// ---------

$oSEC = new cSection($s);

if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(12),$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(11),$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qtr_topics.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strCommand = '';
$numid = '';

$strOrder = $oSEC->d_order; //lastpostdate
if ( $strOrder=='title' ) { $strDirec='ASC'; } else { $strDirec='DESC'; }
$intPage = 1;
$intLimit = 0;
if ( isset($_GET['page']) ) { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) $strOrder = $_GET['order'];
if ( isset($_GET['dir']) ) $strDirec = $_GET['dir'];

if ( QTR_LIST_ME && $oVIP->numpost>0 )
{
  $oDB2 = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
}

// MAP MODULE

if ( UseModule('map') ) { $strCheck=$s; include('qtrm_map_ini.php'); } else { $bMap=false; }

// --------
// HTML START
// --------

$strHeadScript = '<script type="text/javascript" src="bin/qt_jquery.js"></script>
<script type="text/javascript">
<!--
$(document).ready(function() {
  $(".tag").hover(function() {
    var oTag = $(this);
    $.post("qtr_j_tag.php",{s:oTag.attr("title"),val:oTag.html(),lang:"'.$_SESSION[QT]['lang_iso'].'",na:""}, function(data) { oTag.attr({title:data}); } );
    });
  });
-->
</script>
';

$bJava = false;
include('qtr_p_header.php');

// SECTION OPTIONS

if ( $oSEC->status==1 )
{
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['E_section_closed'].'&nbsp;</span></td>';
}
else
{
  $strCommand = '<td class="button" style="width:120px">&nbsp;<a class="button" href="qtr_form_edit.php?s='.$oSEC->id.'&amp;a=nt">'.$L['Post_new_topic'].'</a>&nbsp;</td>';
  if ( $oVIP->role=='V' && $_SESSION[QT]['visitor_right']<7 )
  {
  $strCommand = '<td class="button" style="width:120px"><span class="button_off">&nbsp;'.$L['Post_new_topic'].'&nbsp;</span></td>';
  }
}

$strByuser = '';
if ( $oSEC->type==2 && $oVIP->role!='M' && $oVIP->role!='A' ) $strByuser = ' AND t.firstpostuser='.$oVIP->id;
if ( !$_SESSION[QT]['show_closed'] ) $strByuser .= ' AND t.status<>"Z"';

// BUTTON LINE AND PAGER

$oDB->Query('SELECT count(t.id) as countid FROM '.TABTOPIC.' t WHERE t.section='.$oSEC->id.$strByuser);
$row = $oDB->Getrow();
$intCount = $row['countid'];
$strPager = MakePager("$oVIP->selfurl?s=$oSEC->id&amp;order=$strOrder&amp;dir=$strDirec",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ( $strPager!='' ) $strPager = $L['Page'].$strPager;

// BUTTONS

$strCommand = ( QTR_BACKBUTTON ? '<td class="button" style="width:20px"><a href="'.$oVIP->exiturl.'" class="button">'.QTR_BACKBUTTON.'</a></td>' : '').N.$strCommand.N.'<td></td>';

// Moderator Actions
if ( $oVIP->IsStaff() )
{
$arr = array('views'=>$L['Views'],'eventdate'=>$L['Eventdate'],'wisheddate'=>$L['Wisheddate'],'status'=>$L['Status'],'actorname'=>$L['Userrole_MA'],'notifiedname'=>$L['Userrole_UN'],'tags'=>$L['Tags']);
echo '
<form method="post" action="qtr_topics.php?s=',$s,'" id="m-form">
<div class="modboard">
<span class="modboard">',$L['Userrole'][$oVIP->role],' <input type="hidden" name="s" value="',$oSEC->id,'"/>
<select name="Maction" class="small" onchange="document.getElementById(\'m-ok\').click();">
<option value=""> </option>
<option value="nt">',$L['Post_new_topic'],'...</option>
<option value="" disabled="disabled">---------------</option>
<option value="show_Z"',($_SESSION[QT]['show_closed'] ? ' class="bold"' : ''),'>',$L['Topic_closed_show'],'</option>
<option value="hide_Z"',(!$_SESSION[QT]['show_closed'] ? ' class="bold"' : ''),'>',$L['Topic_closed_hide'],'</option>
</select> ',$L['Last_column'],S;
echo '<select id="d_last" name="d_last" class="small" onchange="document.getElementById(\'m-ok\').click();">';
echo '<option value="-">',S,'</option>';
echo QTasOption($arr,'',array('current'=>$oSEC->d_last,'classC'=>'bold'));
echo '<option value="-" disabled="disabled">---------------</option>
<option value="0"'.($oSEC->d_last=='0' ? ' class="bold"' : '').' class="small">('.$L['None'].')</option>
<option value="-" disabled="disabled">---------------</option>
<option value="id" class="small">Id</option>
<option value="modifdate" class="small">',$L['Modified'],'</option>
';
if ( $bMap ) echo '<option value="coord" class="small">',$L['Coord'],'</option>
';
echo '
</select> <input type="submit" name="m-ok" value="',$L['Ok'],'" class="small" id="m-ok"/>
<script type="text/javascript">
<!--
document.getElementById("m-ok").style.visibility="hidden";
document.getElementById("m-ok").value="";
-->
</script>
</span>
</div>
</form>',N;
}
// End Moderator actions

if ( $_SESSION[QT]['section_desc']=='1' )
{
  if ( !empty($oSEC->descr) ) echo '<!-- Section description -->',N,'<p id="sectiondesc">',$oSEC->descr,'</p>',N,'<!-- Section description -->',N,N;
}

echo '
<!-- Button and pager -->
<table class="button button_top" cellspacing="0">
<tr class="button">',N,$strCommand,N,'<td id="pager_zt">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';

// DISPLAY

if ( $intCount==0 )
{
  echo '<p>',$L['None'],'... </p>',N;
  include('qtr_p_footer.php');
  exit;
}

// LIST TOPICS

$strExtra = $oSEC->d_last; // can be "0" (moderator requests no-field)
if ( strlen($_SESSION[QT]['lastcolumn'])>0 ) $strExtra = $_SESSION[QT]['lastcolumn'];

switch($strExtra)
{
case 'replies': $strExtraLabel=$L['Replys']; break;
case 'views': $strExtraLabel=$L['Views']; break;
case 'status': $strExtraLabel=$L['Status']; break;
case 'wisheddate': $strExtraLabel=$L['Wisheddate']; break;
case 'eventdate': $strExtraLabel=$L['Eventdate']; break;
case 'id': $strExtraLabel='Id'; break;
case 'actorname': $strExtraLabel=$L['Userrole_MA']; break;
case 'notifiedname': $strExtraLabel=$L['Userrole_UN']; break;
case 'tags': $strExtraLabel=$L['Tags']; break;
case 'modifdate': $strExtraLabel=$L['Modified']; break;
case 'coord': $strExtraLabel=$L['Coord']; break;
default: $strExtraLabel=$strExtra;
}

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array(); // TEXT['S'] SORT[false] CLASS[''] STYLE['']
$arrFields['icon'] = array('thclass'=>'th_t th_t_ico th_t_first');
if ( $oSEC->numfield!='N' )
{
$arrFields['numid'] = array('text'=>$L['Ref'],'sort'=>TRUE,'thclass'=>'th_t th_t_ref' );
}
if ( !empty($oSEC->prefix) )
{
$arrFields['smile'] = array('thclass'=>'th_t th_t_smi');
}
$arrFields['title'] = array('text'=>$L['Topics'],'sort'=>TRUE,'thclass'=>'th_t th_t_tit');
if ( QTR_LIST_ME )
{  
$arrFields['you'] = array('thclass'=>'th_t th_t_inf','thstyle'=>'width:10px');
}
$arrFields['firstpostname'] = array('text'=>$L['Topic_starter'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:140px');
$arrFields['lastpostdate'] = array('text'=>$L['Last_message'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:140px');
if ( empty($strExtra) || $strExtra=='N' || $strExtra=='replies' )
{
$arrFields['replies'] = array('text'=>$L['Replys'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta th_t_last','thstyle'=>'width:75px');
}
else
{
$arrFields['replies'] = array('text'=>$L['Replys'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta','thstyle'=>'width:75px');
$arrFields[$strExtra] = array('text'=>$strExtraLabel,'sort'=>($strExtra=='tags' ? FALSE : TRUE),'thclass'=>'th_t th_t_sta th_t_last','thstyle'=>'width:80px','tdstyle'=>($strExtra=='status' ? 'background-color:%bg' : ''));
}
/* ======== */
TableHeader($arrFields,$intCount,"$oVIP->selfurl?s=$oSEC->id&amp;page=1",$strOrder,$strDirec,'th_topic');
/* ======== */

echo '</tr>',N;

/* ======== */
$strState = 't.*,p.title,p.icon,p.textmsg FROM '.TABTOPIC.' t INNER JOIN '.TABPOST.' p ON t.firstpostid=p.id WHERE t.section = '.$oSEC->id.$strByuser;
if ( $strOrder=='title' ) { $str='p.title'; } else { $str='t.'.$strOrder; }
if ( $_SESSION[QT]['news_on_top']==1 ) $str = 't.type ASC, '.$str;
$oDB->Query( LimitSQL($strState,$str.' '.$strDirec,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );
/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,true,$oSEC,$strAlt,$strExtra,$bMap);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }

  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="tf_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=1;$i<count($arrFields)-1;$i++) { echo '<td class="tf_t"></td>',N; }
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>
</table>
';

// BUTTON LINE AND PAGER

// define csv options according to $intCount (max 10000)

$strCsv ='';
if ( $oVIP->role!='V' )
{
  if ( $intCount<=$_SESSION[QT]['topics_per_page'] )
  {
  $strCsv = '<a href="qtr_topics_csv.php?s='.$s.'&amp;size=all&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="csv">csv</a>';
  }
  else
  {
  $strCsv = '<a href="qtr_topics_csv.php?s='.$s.'&amp;size=p'.$intPage.'&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="csv">csv <span class="small">('.strtolower($L['Page']).')</span></a>';
  if ( $intCount<=1000 )                   $strCsv .= ' &middot; <a href="qtr_topics_csv.php?s='.$s.'&amp;size=all&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="csv">csv <span class="small">('.strtolower($L['All']).')</span></a>';
  if ( $intCount>1000 && $intCount<=2000 ) $strCsv .= ' &middot; <a href="qtr_topics_csv.php?s='.$s.'&amp;size=m1&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="csv">csv <span class="small">(1-1000)</span></a> &middot; <a href="qtr_topics_csv.php?s='.$s.'&amp;size=m2&amp;n='.$intCount.'" class="csv">csv <span class="small">(1000-'.$intCount.')</span></a>';
  if ( $intCount>2000 && $intCount<=5000 ) $strCsv .= ' &middot; <a href="qtr_topics_csv.php?s='.$s.'&amp;size=m5&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="csv">csv <span class="small">(1-5000)</span></a>';
  if ( $intCount>5000 )                    $strCsv .= ' &middot; <a href="qtr_topics_csv.php?s='.$s.'&amp;m=5&amp;n='.$intCount.'&amp;order='.$strOrder.'&amp;dir='.$strDirec.'" class="csv">csv <span class="small">(1-5000)</span></a> &middot; <a href="qtr_topics_csv.php?s='.$s.'&amp;m=10&amp;n='.$intCount.'" class="csv">csv <span class="small">(5000-10000)</span></a>';
  }
}
if ( !empty($strCsv) )
{
  $strPager = $strCsv.' &middot; '.$strPager;
  if ( substr($strPager,-10,10)==' &middot; ' ) $strPager = substr($strPager,0,-10);
}

if ( $intCount>2 )
{
echo '
<!-- Button and pager -->
<table class="button button_bot" cellspacing="0">
<tr class="button">',N,$strCommand,N,'<td id="pager_zb">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';
}
else
{
echo '<p class="csv">',$strPager,'</p>';
}

// TAGS FILTRING

if ( QTR_LIST_TAG && !empty($_SESSION[QT]['tags']) )
{
  require_once('bin/qtr_fn_tags.php');
  $arrTags = $oSEC->GetTagsUsed($s,50);
  if ( count($arrTags)>0 ) 
  {
    if ( count($arrTags)>5 ) 
    {
    echo '<p class="tagbox">'.$L['Show_only_tag'],'</p><div class="tagbox">';
    foreach($arrTags as $strTag)
    {
      echo '<a class="tag',(count($arrTags)>12 ? ' small' : ''),'" href="qtr_search_re.php?a=tst&amp;s=',$s,'&amp;y=',date('Y'),'&amp;k1=-1&amp;k2=-1&amp;k3=',$strTag,'">',$strTag,'</a>&nbsp; ';
    }
    echo '</div>',N;
    }
    else
    {
    echo '<p class="tagline">'.$L['Show_only_tag'];
    foreach($arrTags as $strTag)
    {
      echo ' <span class="tagline" title=""><a class="tag" href="qtr_search_re.php?a=tst&amp;s=',$s,'&amp;y=',date('Y'),'&amp;k1=-1&amp;k2=-1&amp;k3=',urlencode($strTag),'">',$strTag,'</a></span>';
    }
    echo '</p>',N;
    }
  }
}

// MAP MODULE

if ( $bMap )
{
  echo '<!-- Map module -->',N;
  if ( count($arrExtData)>0 )
  {
    $strMapHelp = '<p class="gmap" style="margin:4px 0 0 0">'.sprintf( $L['map']['items'],count($arrExtData),strtolower(LangS('Topic',$oSEC->topics)) ).'</p>';

    if ( $bMapGoogle )
    {
      echo '<table class="hidden" style="margin-top:5px;">',N;
      echo '<tr class="hidden">',N;
      echo '<td class="gmap">',N;
      if ( !$_SESSION[QT]['m_map_hidelist'] )
      {
      echo QTgmapZoomControl($arrExtData);
      echo '<div id="map_canvas" style="width:100%; height:400px;"></div>',N;
      }
      echo $strMapHelp;
      echo '</td>',N;
      echo '</tr>',N;
      echo '</table>',N;
    }

    if ( $bMapSitework )
    {
      if ( !$_SESSION[QT]['m_map_hidelist'] ) include('qtrm_sitework/mapapi.php');
    }

    // Show/Hide

    if ( $_SESSION[QT]['m_map_hidelist'] ) 
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;showmap">',$L['map']['Show_map'],'</a></p>';
    }
    else
    {
    echo '<p style="margin:2px"><a href="',$oVIP->selfurl,'?s=',$s,'&amp;hidemap">',$L['map']['Hide_map'],'</a></p>';
    }

  }
  else
  {
    echo '<p class="gmap">'.$L['map']['E_noposition'].'</p>';
  }
  echo '<!-- Map module end -->',N;
}

// ---------
// HTML END
// ---------

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)>0 ) { include('qtrm_map_load.php'); } else { echo '<script type="text/javascript">function GUnload() { return true; }</script>'; }
}

include('qtr_p_footer.php');

?>