<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registrations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
$oSYS->output='csv';
if ( !$oVIP->CanView('V2') ) HtmlPage(11);

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 ) die('Missing section id...');

function ToCsv($str)
{
  if ( $str=='' ) return '"";';
  $str = str_replace('&nbsp;',' ',$str);
  $str = QTconv($str,'-4');
  $str = str_replace('"',"'",$str);
  $str = str_replace(';',',',$str);
  return '"'.$str.'";';
}

// ---------
// INITIALISE
// ---------

// Check arguments

$size = strip_tags($_GET['size']);
$intCount = intval($_GET['n']);

if ( empty($size) || $intCount <= $_SESSION[QT]['topics_per_page'] ) $size='all';
if ( strlen($size)>6 || strlen($size)<2 ) die('Invalid argument');
if ( substr($size,0,1)!='p' && substr($size,0,1)!='m' && $size!='all') die('Invalid argument');
if ( substr($size,0,1)=='p' )
{
  $i = intval(substr($size,1));
  if ( empty($i) ) die('Invalid argument');
  if ( ($i-1) > $intCount/$_SESSION[QT]['topics_per_page'] ) die('Invalid argument');
}
if ( substr($size,0,1)=='m' )
{
  if ( $size!='m1' && $size!='m2' && $size!='m5' && $size!='m10' ) die('Invalid argument');
}
if ( $intCount >1000 && $size=='all' ) die('Invalid argument');
if ( $intCount<=1000 && substr($size,0,1)=='m' ) die('Invalid argument');
if ( $intCount>1000 && substr($size,0,1)=='p' ) die('Invalid argument');

// apply page argument

if ( substr($size,0,1)=='p' ) $_GET['page'] = substr($size,1);

// Initialise

$strCSV = '';

include('bin/qtr_fn_sql.php');

$oSEC = new cSection($s);

if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,$L['R_staff'],$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(11),$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qtr_topics.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strCommand = '';
$numid = '';

$strOrder = $oSEC->d_order; // lastpostdate
if ( $strOrder=='title' ) { $strDirec='ASC'; } else { $strDirec = 'DESC'; }
$intPage = 1;
$intLimit = 0;
$intLen = $_SESSION[QT]['topics_per_page'];
if ( isset($_GET['page']) ) { $intLimit = (intval($_GET['page'])-1)*$intLen; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) $strOrder = $_GET['order'];
if ( isset($_GET['dir']) ) $strDirec = $_GET['dir'];

// apply argument

if ( $size=='all') { $intLimit=0; $intLen=$intCount; }
if ( $size=='m1' ) { $intLimit=0; $intLen=999; }
if ( $size=='m2' ) { $intLimit=1000; $intLen=1000; }
if ( $size=='m5' ) { $intLimit=0; $intLen=4999; }
if ( $size=='m10') { $intLimit=5000; $intLen=5000; }

if ( QTR_LIST_ME && $oVIP->numpost>0)
{
$oDB2 = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
}

// --------
// HTML START
// --------

// LIST TOPICS

$strExtra = $oSEC->d_last; // can be "0" (moderator requests no-field)
if ( strlen($_SESSION[QT]['lastcolumn'])>0 ) $strExtra = $_SESSION[QT]['lastcolumn'];

$strByuser = '';
if ( $oSEC->type==2 && $oVIP->role!='M' && $oVIP->role!='A' ) $strByuser = ' AND t.firstpostuser='.$oVIP->id;
if ( !$_SESSION[QT]['show_closed'] ) $strByuser .= ' AND t.status<>"Z"';

switch($strExtra)
{
case 'replies': $strExtraLabel=$L['Replys']; break;
case 'views': $strExtraLabel=$L['Views']; break;
case 'status': $strExtraLabel=$L['Status']; break;
case 'wisheddate': $strExtraLabel=$L['Wisheddate']; break;
case 'eventdate': $strExtraLabel=$L['Eventdate']; break;
case 'id': $strExtraLabel='Id'; break;
case 'actorname': $strExtraLabel=$L['Userrole_MA']; break;
case 'notifiedname': $strExtraLabel=$L['Userrole_UN']; break;
case 'tags': $strExtraLabel=$L['Tags']; break;
default: $strExtraLabel=$strExtra;
}

/* ======== */
$arrFields = array();
$arrFields['csvdate'] = $L['Date'];
$arrFields['csvtime'] = $L['Time'];
$arrFields['status'] = 'Status';
if ( $oSEC->numfield!='N' ) $arrFields['numid'] = $L['Ref'];
if ( !empty($oSEC->prefix) ) $arrFields['smile'] = 'Ico';
$arrFields['title'] = $L['Topics'];
$arrFields['text'] = 'Text';
$arrFields['firstpostname'] = $L['Topic_starter'];
if ( empty($strExtra) || $strExtra=='N' || $strExtra=='no' )
{
$arrFields['lastpostdate'] = $L['Last_message'];
}
else
{
$arrFields['lastpostdate'] = $L['Last_message'];
$arrFields[$strExtra] = $strExtraLabel;
}
$arrFields['uid'] = 'UID';
/* ======== */
foreach($arrFields as $str)
{
$strCSV .= ToCsv($str);
}
$strCSV = substr($strCSV,0,-1)."\r\n";
/* ======== */
$strState = 't.*,p.title,p.icon,p.textmsg FROM '.TABTOPIC.' t INNER JOIN '.TABPOST.' p ON t.firstpostid=p.id WHERE t.section='.$oSEC->id.$strByuser;
if ( $strOrder=='title' ) { $strOrder='p.title'; } else { $strOrder='t.'.$strOrder; }
if ( $_SESSION[QT]['news_on_top']==1 ) $strOrder = 't.type ASC, '.$strOrder;
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$intLen,$intCount) );
/* ======== */
$intWhile=0;
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,true,$oSEC,'',$strExtra);
  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$intCount ) break;  
}
/* ======== */

// OUPUT

if ( isset($_GET['debug']) )
{
  echo $strCSV;
  exit;
}

if ( !headers_sent() )
{
  header('Content-Type: text/csv; charset='.QTR_HTML_CHAR);
  header('Content-Disposition: attachment; filename="qtr_'.date('YmdHi').'.csv"');
}

echo $strCSV;

?>