<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.2 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
$oSYS->output='print';
if ( $_SESSION[QT]['visitor_right']<2 && $oVIP->role=='V' ) HtmlPage(11);
if ( !$oVIP->CanView('V2') ) HtmlPage(11);

$s = -1;
if ( isset($_GET['s']) ) $s = intval(strip_tags($_GET['s']));
if ( isset($_POST['s']) ) $s = intval(strip_tags($_POST['s']));
if ( $s<0 ) die('Missing section id...');

// ---------
// INITIALISE
// ---------

include('bin/qtr_fn_sql.php');

$oSEC = new cSection($s);

if ( $oSEC->type==1 && ($oVIP->role=='V' || $oVIP->role=='U') )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(12),$_SESSION[QT]['skin_dir'],0);
}
if ( $oSEC->type==2 && $oVIP->role=='V' )
{
  // exit
  $oVIP->selfname = $L['Section'];
  $oVIP->exitname = ObjTrans('index','i',$_SESSION[QT]['index_name']);
  $oVIP->EndMessage(NULL,Error(11),$_SESSION[QT]['skin_dir'],0);
}

$oVIP->selfurl = 'qtr_topics_prt.php';
$oVIP->selfname = $L['Section'].': '.$oSEC->name;

$strCommand = '';
$numid = '';

$strOrder = $oSEC->d_order; //'lastpostdate';
if ( $strOrder=='title' ) { $strDirec='ASC'; } else { $strDirec = 'DESC'; }
$intPage = 1;
$intLimit = 0;
if ( isset($_GET['page']) ) { $intLimit = (intval($_GET['page'])-1)*$_SESSION[QT]['topics_per_page']; $intPage = intval($_GET['page']); }
if ( isset($_GET['order']) ) $strOrder = $_GET['order'];
if ( isset($_GET['dir']) ) $strDirec = $_GET['dir'];

if ( QTR_LIST_ME && $oVIP->numpost>0 )
{
  $oDB2 = new cDB($qtr_dbsystem,$qtr_host,$qtr_database,$qtr_user,$qtr_pwd,$qtr_port,$qtr_dsn);
}

// MAP MODULE

if ( UseModule('map') ) { $strCheck=$s; include('qtrm_map_ini.php'); } else { $bMap=false; }

// --------
// HTML START
// --------

if ( $bMap ) $strBodyAddOnunload='GUnload()';

include('qtr_p_header.php');

echo '
<h2>',$oSEC->name,'</h2>
';

// SECTION OPTIONS

$byuser = '';
if ( $oSEC->type==2 && $oVIP->role!='M' && $oVIP->role!='A' ) $byuser = ' AND t.firstpostuser='.$oVIP->id;
if ( !$_SESSION[QT]['show_closed'] ) $byuser .= ' AND t.status<>"Z"';

// BUTTON LINE AND PAGER

$oDB->Query('SELECT count(t.id) as countid FROM '.TABTOPIC.' t WHERE t.section='.$oSEC->id.$byuser);
$row = $oDB->Getrow();
$intCount = $row['countid'];
$strPager = MakePager("$oVIP->selfurl?s=$oSEC->id",$intCount,$_SESSION[QT]['topics_per_page'],$intPage);
if ($strPager!='') $strPager = $L['Page'].$strPager;

if ($_SESSION[QT]['section_desc']=='1')
{
  if (!empty($oSEC->descr)) echo '<!-- Section description -->',N,'<p id="sectiondesc">',$oSEC->descr,'</p>',N,'<!-- Section description -->',N,N;
}

echo '
<!-- Button and pager -->
<table class="tbutton tbutton_top" cellspacing="0">
<tr class="button">
<td id="pager_zt">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';

// DISPLAY

if ( $intCount==0 )
{
  echo '<p>',$L['None'],'...</p>',N;
  include('qtr_p_footer.php');
  exit;
}

// LIST TOPICS

$strExtra = $oSEC->d_last; // can be "0" (moderator requests no-field)
if ( strlen($_SESSION[QT]['lastcolumn'])>0 ) $strExtra = $_SESSION[QT]['lastcolumn'];

switch($strExtra)
{
case 'replies': $strExtraLabel=$L['Replys']; break;
case 'views': $strExtraLabel=$L['Views']; break;
case 'status': $strExtraLabel=$L['Status']; break;
case 'wisheddate': $strExtraLabel=$L['Wisheddate']; break;
case 'eventdate': $strExtraLabel=$L['Eventdate']; break;
case 'id': $strExtraLabel='Id'; break;
case 'actorname': $strExtraLabel=$L['Userrole_MA']; break;
case 'notifiedname': $strExtraLabel=$L['Userrole_UN']; break;
case 'tags': $strExtraLabel=$L['Tags']; break;
case 'coord': $strExtraLabel=$L['Coord']; break;
default: $strExtraLabel=$strExtra;
}

echo '<table class="data_t" cellspacing="0">',N;
echo '<tr class="data_t">',N;

/* ======== */
$arrFields = array(); // TEXT['S'] SORT[false] CLASS[''] STYLE['']
$arrFields['icon'] = array('thclass'=>'th_t th_t_ico th_t_first');
if ( $oSEC->numfield!='N' )
{
$arrFields['numid'] = array('text'=>$L['Ref'],'sort'=>TRUE,'thclass'=>'th_t th_t_ref' );
}
if ( !empty($oSEC->prefix) )
{
$arrFields['smile'] = array('thclass'=>'th_t th_t_smi');
}
$arrFields['title'] = array('text'=>$L['Topics'],'sort'=>TRUE,'thclass'=>'th_t th_t_tit');
if ( QTR_LIST_ME )
{  
$arrFields['you'] = array('thclass'=>'th_t th_t_inf','thstyle'=>'width:10px');
}
$arrFields['firstpostname'] = array('text'=>$L['Topic_starter'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:140px');
$arrFields['lastpostdate'] = array('text'=>$L['Last_message'],'sort'=>TRUE,'thclass'=>'th_t th_t_inf','thstyle'=>'width:140px');
if ( empty($strExtra) || $strExtra=='N' || $strExtra=='replies' )
{
$arrFields['replies'] = array('text'=>$L['Replys'],'sort'=>TRUE,'thclass'=>'th_t th_t_last th_t_sta','thstyle'=>'width:75px');
}
else
{
$arrFields['replies'] = array('text'=>$L['Replys'],'sort'=>TRUE,'thclass'=>'th_t th_t_sta','thstyle'=>'width:75px');
$arrFields[$strExtra] = array('text'=>$strExtraLabel,'sort'=>($strExtra=='tags' ? FALSE : TRUE),'thclass'=>'th_t th_t_sta th_t_last','thstyle'=>'width:80px','tdstyle'=>($strExtra=='status' ? 'background-color:%bg' : ''));
}
/* ======== */
TableHeader($arrFields,$intCount,"$oVIP->selfurl?s=$oSEC->id&amp;page=1",$strOrder,$strDirec,'th_topic');
/* ======== */

echo '</tr>',N;

/* ======== */
$strState = 't.*,p.title,p.icon,p.textmsg FROM '.TABTOPIC.' t INNER JOIN '.TABPOST.' p ON t.firstpostid=p.id WHERE t.section = '.$oSEC->id.$byuser;
if ( $strOrder=='title' ) { $strOrder='p.title'; } else { $strOrder='t.'.$strOrder; }
if ( $_SESSION[QT]['news_on_top']==1 ) $strOrder = 't.type ASC, '.$strOrder;
$oDB->Query( LimitSQL($strState,$strOrder.' '.$strDirec,$intLimit,$_SESSION[QT]['topics_per_page'],$intCount) );
/* ======== */
$intWhile=0;
$strAlt='r1';
while($row=$oDB->Getrow())
{
  TableRow($arrFields,$row,true,$oSEC,$strAlt,$strExtra,$bMap);
  if ( $strAlt=='r1' ) { $strAlt='r2'; } else { $strAlt='r1'; }

  $intWhile++; 
  //odbcbreak
  if ( $intWhile>=$_SESSION[QT]['topics_per_page'] ) break;  
}
/* ======== */

echo '<tr class="tf_t">',N;
echo '<td class="tf_t tf_t_first"></td>',N;
For ($i=0;$i<(count($arrFields)-2);$i++)
{
echo '<td class="tf_t"></td>',N;
}
echo '<td class="tf_t tf_t_last"></td>',N;
echo '</tr>
</table>
';

// MAP MODULE

if ( $bMap )
{
if ( count($arrExtData)==0 )
{
echo '
<p class="gmap">',$L['map']['E_noposition'],'</p>
';
}
else
{
echo '
<div class="gmap" style="margin-top:5px;width:600px;">',QTgmapZoomControl($arrExtData),'
<div id="map_canvas" style="width:100%; height:',(count($arrExtData)>2 ? '410' : '360'),'px"></div>
<p class="gmap" style="margin:4px 0 0 0">',sprintf( $L['map']['items'],count($arrExtData),strtolower(LangS('Topic',$oSEC->topics)) ),'</p>
</div>
';
}
}

// BUTTON LINE AND PAGER

if ( $intCount>2 )
{
echo '
<!-- Button and pager -->
<table class="tbutton tbutton_bot" cellspacing="0">
<tr class="button">
<td id="pager_zb">',$strPager,'</td>
</tr>
</table>
<!-- End button and pager -->
';
}

// ---------
// HTML END
// ---------

// MAP MODULE

if ( $bMap )
{
  if ( count($arrExtData)>0 ) { include('qtrm_map_load.php'); } else { echo '<script type="text/javascript">function GUnload() { return true; }</script>'; }
}

include('qtr_p_footer.php');

?>