<?php

/**
 * PHP versions 4 and 5
 *
 * LICENSE: This source file is subject to version 3.0 of the PHP license
 * that is available through the world-wide-web at the following URI:
 * http://www.php.net/license. If you did not receive a copy of
 * the PHP License and are unable to obtain it through the web, please
 * send a note to license@php.net so we can mail you a copy immediately.
 *
 * @category   Safety
 * @package    QT-registerations
 * @author     Philippe Vandenberghe <info@qt-cute.org>
 * @copyright  2008-2012 The PHP Group
 * @version    2.3 build:20090710
 * @link       http://www.qt-cute.org/doc/package/qtr
 * @since      File available since Release 1.0.0
 * @deprecated File deprecated in Release 3.0.0
 */

session_start();
require_once('bin/qtr_init.php');
if ( $_SESSION[QT]['avatar']=='0' ) die(Error(10));
if ( !$oVIP->CanView('U') ) die(Error(11));

// INITIALISE

include('bin/qtr_fn_edit.php');
include('bin/qt_lib_smtp.php');
include(Translate('qtr_reg.php'));

$id = -1;
if (isset($_GET['id'])) $id = $_GET['id'];
if ( isset($_POST['id']) ) $id = intval(strip_tags($_POST['id']));
if ( $id<0 ) die('Missing parameters');
if ( $oVIP->id!=$id && !$oVIP->IsStaff() ) die(Error(11));

$avatar_width = 120;
$avatar_height = 120;
$avatar_size = 12;

  // get avatar parameters
  $arrParams = GetParam(false,'param like "avatar_%"');
  if ( isset($arrParams['avatar_width']) ) $avatar_width = $arrParams['avatar_width'];
  if ( isset($arrParams['avatar_height']) ) $avatar_height = $arrParams['avatar_height'];
  if ( isset($arrParams['avatar_size']) ) $avatar_size = $arrParams['avatar_size'];

$oVIP->selfurl = 'qtr_usr_img.php';
$oVIP->selfname = $L['Change_avatar'];
$oVIP->exiturl = 'qtr_usr.php?id='.$id;
$oVIP->exitname = $L['Profile'];

$oDB->Query('SELECT name,photo,children,parentmail,role FROM '.TABUSER.' WHERE id='.$id);
$row = $oDB->Getrow();

  // staff cannot edit other staff
  if ( $row['role']=='M' && $oVIP->role=='M' && $oVIP->id!=$id ) die(Error(13));

// --------
// SUBMITTED FOR DELETE
// --------

if ( isset($_POST['del']) )
{
  if ( file_exists(QTR_DIR_PIC.$row['photo']) ) unlink(QTR_DIR_PIC.$row['photo']);
  $oDB->Query('UPDATE '.TABUSER.' SET photo="0" WHERE id='.$id);
  $oVIP->EndMessage(NULL,$L['S_delete'],$_SESSION[QT]['skin_dir'],2);
}

// --------
// SUBMITTED FOR UPLOAD
// --------

if ( isset($_POST['ok']) )
{
  // Check uploaded document
  
  $error = InvalidUpload($_FILES['title'],$_SESSION[QT]['avatar'],'',intval($_SESSION[QT]['avatar_size']),intval($_SESSION[QT]['avatar_width']),intval($_SESSION[QT]['avatar_height']));

  // Save

  if ( empty($error) )
  {
    //File has passed all validation, copy it to the final destination and remove the temporary file:

    $strDir = TargetDir(QTR_DIR_PIC,$id);
    $strExt = strtolower(substr(strrchr($_FILES['title']['name'],'.'),1));

    copy($_FILES['title']['tmp_name'],QTR_DIR_PIC.$strDir.$id.'.'.$strExt);
    $oDB->Query('UPDATE '.TABUSER.' SET photo="'.$strDir.$id.'.'.$strExt.'" WHERE id='.$id);
    unlink($_FILES['title']['tmp_name']);

    // SEND PARENT EMAIL (IF COPPA)
    if ( $_POST['child']!='0' ) {
    if ( QTR_USE_COPPA ) {
      $strSubject='Profile updated';
      $strMessage="Your children (login: %s) has modified his/her avatar on the board {$_SESSION[QT]['site_name']}.";
      $strFile = $_SESSION[QT]['language'].'/mail_profile_coppa.php';
      if ( file_exists($strFile) ) include($strFile);
      $strMessage = sprintf($strMessage, $_POST['name']);
      QTmail($row['parentmail'],QTconv($strSubject,'-4'),QTconv($strMessage,'-4'),QTR_HTML_CHAR);
    }}

    // exit
    $oVIP->EndMessage(NULL,$L['S_update'],$_SESSION[QT]['skin_dir'],2);
  }
}

// --------
// HTML START
// --------

$strHeadScript = '
<script type="text/javascript">
<!--
function ValidateForm(theForm)
{
  if (theForm.title.value.length==0) { alert(qtHtmldecode("'.$L['Missing'].': File")); return false; }
  return null;
}
-->
</script>
';
include('qtr_p_header.php');

echo '<table class="hidden" cellspacing="0">',N;
echo '<tr class="hidden">',N;
echo '<td class="hidden" style="width:175px;"><br/>',AsImgBox(AsImg( (empty($row['photo']) ? '' : QTR_DIR_PIC.$row['photo']),'',$row['name']),'picbox','',$row['name']),'</td>',N;
echo '<td class="hidden">',N;

HtmlMsg(0,'400px','',$oVIP->selfname);

echo '<form method="post" action="',$oVIP->selfurl,'" enctype="multipart/form-data" onsubmit="return ValidateForm(this);">',N;

if ( !empty($error) ) echo '<span class="error">',$error,'</span>',N;
echo '<p class="small" style="text-align:right">',$L['H_Change_avatar'],'</p>
<p style="text-align:right">
<input type="hidden" name="max_file_size" value="',($avatar_size*1024),'"/>
<input type="hidden" name="name" value="',$row['name'],'"/>
<input type="hidden" name="id" value="',$id,'"/>
<input type="hidden" name="child" value="',$row['children'],'"/>
<input type="hidden" name="parentmail" value="',$row['parentmail'],'"/>
<input type="file" id="title" name="title" size="32"/>
<input type="submit" name="ok" value="',$L['Save'],'"/></p>
</form>
';

HtmlMsg(1);

if ( !empty($row['photo']) )
{
  HtmlMsg(0,'400px','',$L['Delete_avatar']);
  echo '<form method="post" action="',$oVIP->selfurl,'">
  <p style="text-align:right">
  <input type="hidden" name="id" value="',$id,'"/>
  <input type="submit" name="del" value="',$L['Delete'],'"/></p>
  </form>
  ';
  HtmlMsg(1);
}

echo '
</td>
</tr>
</table>
<p><a href="',$oVIP->exiturl,'">&laquo; ',$oVIP->exitname,'</a></p>
';

// HTML END

include('qtr_p_footer.php');

?>